2007-01-23 16:04  paulbeach

	* firebird2/src/: gpre/ftn.cpp (1.20.2.4), gpre/gpre.cpp
	(1.26.2.4), gpre/gpre.h (1.33.2.3), jrd/isc_file.cpp (1.52.2.9),
	jrd/isc_ipc.cpp (1.37.2.2), jrd/isc_sync.cpp (1.55.2.6),
	jrd/license.h (1.30.2.2), jrd/pag.cpp (1.37.2.10), jrd/unix.cpp
	(1.25.2.3), remote/inet.cpp (1.70.2.10), remote/inet_server.cpp
	(1.26.2.5), remote/remote_def.h (1.23.2.1), remote/xdr.cpp
	(1.9.2.6), utilities/rebuild.cpp (1.8.2.1), v5_examples/align.h
	(1.6.2.1):

	Make HPUX consistent across the source

2007-01-23 15:27  asfernandes

	* firebird2/doc/WhatsNew (1.36.2.61):

	Misc

2007-01-22 16:57  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.9):

	Add correct prefix to sub-component of windows installer.

2007-01-22 14:25  paulbeach

	* firebird2/: doc/WhatsNew (1.36.2.60), src/jrd/isc_file.cpp
	(1.52.2.8), src/install/arch-specific/hpux/Makefile.in (1.1.2.1),
	src/install/arch-specific/hpux/classic/makeinstallImage.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/classic/postInstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/classic/postUninstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/classic/preInstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/classic/preUninstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/classic/tarInstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/classic/tarUninstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/classic/tarmainInstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/classic/tarmainUninstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/misc/changedbaPassword.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/misc/changegdslibrarycompatibleLink.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/misc/createaliasDB.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/misc/firebird.init.d.hpux.in
	(1.1.2.1),
	src/install/arch-specific/hpux/misc/rc.config.firebird.hpux.in
	(1.1.2.1),
	src/install/arch-specific/hpux/super/makeinstallImage.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/postInstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/postUninstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/preInstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/preUninstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/tarInstall.sh.in
	(1.1.2.1), src/install/arch-specific/hpux/super/tarUninstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/super/tarmainInstall.sh.in
	(1.1.2.1),
	src/install/arch-specific/hpux/super/tarmainUninstall.sh.in
	(1.1.2.1):

	More changes to support HPUX Ports

2007-01-22 13:27  paulbeach

	* firebird2/: configure.in (1.141.2.41), src/burp/canonical.cpp
	(1.20.2.2), src/common/classes/locks.h (1.5.2.7), src/jrd/flu.cpp
	(1.34.2.1), src/jrd/gds.cpp (1.84.2.11), src/jrd/isc_file.cpp
	(1.52.2.7), src/jrd/isc_sync.cpp (1.55.2.5), src/jrd/sort.cpp
	(1.38.2.2), src/jrd/thd.h (1.12.2.6), src/remote/inet.cpp
	(1.70.2.9), src/remote/xdr.cpp (1.9.2.5), src/utilities/drop.cpp
	(1.19.2.2):

	Changes to support HPUX Ports

2007-01-04 20:34  tsteinmaurer

	* firebird2/src/install/arch-specific/win32/de/:
	installation_liesmich.txt (1.1.2.5), liesmich.txt (1.1.2.5):

	Adjustments in the German translation based on the English version
	for Firebird 1.5.4

2007-01-04 18:17  makowski

	* firebird2/src/install/arch-specific/win32/fr/:
	documents-en-francais.txt (1.1.2.2), installation_lisezmoi.txt
	(1.1.2.6), lisezmoi.txt (1.1.2.5):

	updated for 1.5.4 release candidate 1

2006-12-21 11:59  paul_reeves

	* firebird2/src/install/arch-specific/win32/custom_messages.inc
	(1.1.2.6):

	Comment out line not needed by innosetup

2006-12-20 15:49  paul_reeves

	* firebird2/src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.13):

	Add note that this file is for RC1

2006-12-20 15:48  paul_reeves

	* firebird2/src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.12):

	Update warning

2006-12-20 13:10  paul_reeves

	* firebird2/src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.11):

	Update documentation (and as a by product fix CORE-1037)

2006-12-19 13:08  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	FirebirdInstallEnvironmentChecks.inc (1.1.2.8),
	FirebirdInstallSupportFunctions.inc (1.1.2.7),
	FirebirdInstall_15.iss (1.5.2.26), custom_messages.inc (1.1.2.5):

	Backport relevant enhancements to Windows installation kits from
	V2.0

2006-12-19 13:05  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	de/custom_messages_de.inc (1.1.2.4), fr/custom_messages_fr.inc
	(1.1.2.6), hu/custom_messages_hu.inc (1.1.2.7),
	pt/custom_messages_pt.inc (1.1.2.4), si/custom_messages_si.inc
	(1.1.2.3), ba/Instalacija_ProcitajMe.txt (1.1.2.1),
	ba/ProcitajMe.txt (1.1.2.1), ba/custom_messages_ba.inc (1.1.2.1),
	es/custom_messages_es.inc (1.1.2.1), es/leame.txt (1.1.2.1),
	es/leame_instalacion.txt (1.1.2.1), it/custom_messages_it.inc
	(1.1.2.1), it/leggimi.txt (1.1.2.1), it/leggimi_installazione.txt
	(1.1.2.1), pl/custom_messages_pl.inc (1.1.2.1), pl/czytajto.txt
	(1.1.2.1), pl/instalacja_czytajto.txt (1.1.2.1), ru/Readme.txt
	(1.1.2.1), ru/custom_messages_ru.inc (1.1.2.1),
	ru/installation_readme.txt (1.1.2.1):

	Add additional language support for Windows installation kits

2006-12-18 16:12  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.25), Readme.txt (1.2.2.9),
	custom_messages.inc (1.1.2.4), installation_readme.txt (1.2.2.10):

	Backport relevant changes to the installation package build script,
	so as to keep 1.5 and 2.0 in step.  Minor mods to readme files.

2006-12-13 15:28  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/pt/instalação_leia-me.txt
	(1.1.2.4):

	rename file to remove non-ascii chars from filename

2006-12-13 15:27  paul_reeves

	* firebird2/src/install/arch-specific/win32/i18n_readme.txt
	(1.1.2.5):

	Bring notes up-to-date

2006-12-13 14:25  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/pt/instalacao_leia-me.txt
	(1.1.2.1):

	rename file to remove non-ascii chars from filename

2006-12-13 11:18  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/firebird_install_logo1.bmp
	(1.1.2.1):

	Commit enhanced bitmap for windows installer

2006-12-12 12:01  paul_reeves

	* firebird2/src/include/gen/autoconfig_msvc.h (1.85.2.1):

	It always helps to define constants before using them. :-)

2006-12-12 10:15  dimitr

	* firebird2/: doc/WhatsNew (1.36.2.59), src/jrd/isc_version.h
	(1.1.2.34):

	Update.

2006-12-12 08:59  hvlad

	* firebird2/src/jrd/: dfw.epp (1.45.2.8), obj.h (1.2.4.1):

	Fix for CORE-1051: Possible stack corruption in
	DFW\check_dependencies

2006-12-07 08:23  dimitr

	* firebird2/doc/WhatsNew (1.36.2.58):

	no message

2006-12-07 08:11  hvlad

	* firebird2/doc/WhatsNew (1.36.2.57):

	Update WhatsNew

2006-12-06 22:23  hvlad

	* firebird2/src/jrd/tra.cpp (1.38.2.5):

	Backported from FB2 fix for CORE-1042 : Transaction numbers can
	overflow 32-bit signed integer and corrupt database

2006-12-06 17:07  alexpeshkoff

	* firebird2/: autogen.sh (1.8.2.3), configure.in (1.141.2.40):

	Fixes for AIX build

2006-12-06 16:16  dimitr

	* firebird2/doc/WhatsNew (1.36.2.56):

	Docs.

2006-12-06 16:02  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.33):

	Adjusted version number.

2006-12-06 14:53  dimitr

	* firebird2/src/jrd/ExecuteStatement.cpp (1.14.2.8):

	Backported fix for CORE-921.

2006-11-30 10:06  alexpeshkoff

	* firebird2/src/jrd/evl.cpp (1.34.2.10):

	removed old hack for AIX, no idea what it was for

2006-11-19 15:37  alexpeshkoff

	* firebird2/src/jrd/inf.cpp (1.20.2.1):

	backport

2006-11-05 15:37  alexpeshkoff

	* firebird2/: autogen.sh (1.8.2.2), configure.in (1.141.2.39),
	builds/make.new/config/config.h.in (1.1.2.1),
	builds/posix/Makefile.in.boot.gpre (1.14.2.3),
	builds/posix/Makefile.in.client.gbak (1.6.2.3),
	builds/posix/Makefile.in.client.gdef (1.5.2.3),
	builds/posix/Makefile.in.client.gfix (1.7.2.3),
	builds/posix/Makefile.in.client.gpre (1.9.2.4),
	builds/posix/Makefile.in.client.isql (1.6.2.3),
	builds/posix/Makefile.in.client.qli (1.1.2.3),
	builds/posix/Makefile.in.client.util (1.9.2.5),
	builds/posix/Makefile.in.codes (1.7.2.2),
	builds/posix/Makefile.in.embed.gbak (1.6.2.3),
	builds/posix/Makefile.in.embed.gdef (1.5.2.3),
	builds/posix/Makefile.in.embed.gfix (1.7.2.3),
	builds/posix/Makefile.in.embed.gpre (1.9.2.4),
	builds/posix/Makefile.in.embed.isql (1.6.2.3),
	builds/posix/Makefile.in.embed.lockmgr (1.5.2.2),
	builds/posix/Makefile.in.embed.qli (1.10.2.3),
	builds/posix/Makefile.in.embed.util (1.8.2.4),
	builds/posix/Makefile.in.extern.editline (1.2.2.2),
	builds/posix/Makefile.in.extlib (1.10.2.8),
	builds/posix/Makefile.in.fbserver (1.11.2.7),
	builds/posix/Makefile.in.fbutil (1.6.2.1),
	builds/posix/Makefile.in.gpre (1.8.2.1),
	builds/posix/Makefile.in.inet_server (1.11.2.4),
	builds/posix/Makefile.in.intl (1.11.2.5),
	builds/posix/Makefile.in.libfbclient (1.14.2.6),
	builds/posix/Makefile.in.libfbcommon (1.6.2.1),
	builds/posix/Makefile.in.libfbembed (1.10.2.5),
	builds/posix/Makefile.in.libfbserver (1.6.2.5),
	builds/posix/Makefile.in.libfbstatic (1.5.2.1),
	builds/posix/Makefile.in.msgs (1.12.2.1),
	builds/posix/Makefile.in.static.gbak (1.6.2.2),
	builds/posix/Makefile.in.static.gpre (1.10.2.3),
	builds/posix/Makefile.in.static.isql (1.6.2.1),
	builds/posix/make.defaults (1.25.2.10), builds/posix/make.rules
	(1.19.2.3), builds/posix/make.shared.targets (1.13.2.2),
	builds/posix/prefix.aix (1.1.2.1), src/burp/burp.cpp (1.33.2.3),
	src/burp/misc.cpp (1.4.2.1), src/common/classes/alloc.h (1.21.2.6),
	src/common/classes/locks.h (1.5.2.6), src/dsql/blk.h (1.5.2.1),
	src/dsql/dsql.h (1.28.2.4), src/dsql/make.cpp (1.30.2.6),
	src/dsql/parse.y (1.79.2.8), src/gpre/cmd.cpp (1.9.2.2),
	src/gpre/msc.cpp (1.6.2.1), src/jrd/ExecuteStatement.cpp
	(1.14.2.7), src/jrd/align.cpp (1.8.2.1), src/jrd/blb.cpp
	(1.30.2.7), src/jrd/btr.cpp (1.33.2.6), src/jrd/cmp.cpp
	(1.52.2.20), src/jrd/codes.epp (1.17.2.1), src/jrd/common.h
	(1.73.2.5), src/jrd/event.cpp (1.27.2.2), src/jrd/evl.cpp
	(1.34.2.9), src/jrd/exe.cpp (1.68.2.13), src/jrd/ext.cpp
	(1.25.2.1), src/jrd/gds.cpp (1.84.2.10), src/jrd/idx.cpp
	(1.16.2.10), src/jrd/isc_file.cpp (1.52.2.6), src/jrd/isc_sync.cpp
	(1.55.2.4), src/jrd/jrd.cpp (1.76.2.11), src/jrd/jrd.h (1.42.2.8),
	src/jrd/license.h (1.30.2.1), src/jrd/met.epp (1.61.2.9),
	src/jrd/opt.cpp (1.73.2.28), src/jrd/par.cpp (1.43.2.6),
	src/jrd/rse.cpp (1.28.2.6), src/jrd/sch.cpp (1.6.2.7),
	src/jrd/sch_proto.h (1.1.1.1.4.1), src/jrd/sdl.cpp (1.13.2.1),
	src/jrd/thd.cpp (1.19.2.4), src/jrd/thd.h (1.12.2.5),
	src/jrd/unix.cpp (1.25.2.2), src/lock/lock.cpp (1.56.2.8),
	src/qli/all.cpp (1.14.2.1), src/qli/command.cpp (1.8.2.1),
	src/qli/expand.cpp (1.12.2.1), src/qli/meta.epp (1.17.2.3),
	src/remote/interface.cpp (1.48.2.4), src/utilities/drop.cpp
	(1.19.2.1), src/utilities/util.cpp (1.8.2.2):

	Ported firebird 1.5 to AIX. Main required changes: 1. Force use of
	xlC compiler in AIX case.  2. Changed ALIGNMENT to be FB_ALIGNMENT
	to avoid conflicts with AIX .h files.  3. Changed jrd/thread and
	dsql/var strcutures' names for same reason.  4. Now it's possible
	to set extension of dependency files.  5. Now it's possible to set
	LIB_LINK in prefix.OS file.  6. Fix for #define isc_facility in
	codes.epp.  7. Added AIX specific threading (they have pthreads
	slightly different from linux).  8. And - a lot of (IPTR) were
	needed.  There are also some small fixes, where xlC wanted, but
	they are trivial enough not to mention here.

2006-10-25 10:33  paulbeach

	* firebird2/doc/WhatsNew (1.36.2.55):

	Fix for Core-966 etc

2006-10-24 17:05  paulbeach

	* firebird2/src/remote/inet.cpp (1.70.2.8):

	Fix for Core-966

2006-10-23 15:05  paulbeach

	* firebird2/src/remote/inet.cpp (1.70.2.7):

	Fix for Core-157 / Core-363 backported to the 1.5 tree

2006-10-06 19:33  awharrison

	* firebird2/src/jrd/vio.cpp (1.49.2.4):

	Backported a fix to eliminate some wrong length record errors

	Normally, deleted records are represented by a stub which has no
	data so should not be used for VIO_data calls when building the
	version chain.	Under some circumstances, however, the deleted flag
	is set on a complete record version with a delta back version.
	When that happens, the record should be retrieved

2006-09-09 11:11  hvlad

	* firebird2/src/jrd/tpc.cpp (1.6.2.1):

	Backport fix for CORE-911: AV in Classic server after long idle
	period when using long running read committed readonly transaction

2006-05-08 13:26  paulbeach

	* firebird2/: doc/WhatsNew (1.36.2.54), src/isql/isql.epp
	(1.32.2.19):

	ISQL issues, non error on buffer overflow, and quoted string
	problems.

2006-03-07 07:11  robocop

	* firebird2/src/install/arch-specific/win32/fr/:
	documents-en-francais.txt (1.1.2.1), documents-en-français.txt
	(1.1.2.4):

	Changed problematic document's name.

2006-03-03 08:34  kkuznetsov

	* firebird2/builds/posix/prefix.solaris (1.5.2.9):

	Removed profile gcc flag noticed by Douglas.K.Moore

2006-01-31 11:44  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.24), FirebirdInstall_15.iss
	(1.5.2.25), de/installation_liesmich.txt (1.1.2.4),
	hu/telepitesi_segedlet.txt (1.1.2.2), pt/instalação_leia-me.txt
	(1.1.2.3), si/instalacija_precitajMe.txt (1.1.2.3):

	Tidy up misc Win32 install stuff after 1.5.3 release

2006-01-31 08:16  robocop

	* firebird2/src/burp/backup.epp (1.24.2.7):

	Post v1.5.3 fix: gbak should skip all system objects when doing
	backup.

2006-01-31 08:15  robocop

	* firebird2/src/utilities/dba.epp (1.27.2.7):

	Post v1.5.3 fix: gstat should print error from Windows instead of
	"unknown Windows NT error."

2005-12-13 11:32  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.32):

	Updated buildno.

2005-12-09 03:23  robocop

	* firebird2/: doc/WhatsNew (1.36.2.53), src/gpre/c_cxx.cpp
	(1.20.2.3), src/gpre/gpre.cpp (1.26.2.3):

	Misc.

2005-12-08 14:21  hvlad

	* firebird2/doc/WhatsNew (1.36.2.52):

	Correct WhatsNew

2005-12-08 11:52  dimitr

	* firebird2/doc/WhatsNew (1.36.2.51):

	More docs.

2005-12-08 11:47  dimitr

	* firebird2/src/isql/isql.epp (1.32.2.18):

	Backported Claudio's fix for ISQL.

2005-11-30 05:24  robocop

	* firebird2/src/jrd/sch.cpp (1.6.2.6):

	Backport fix made by Vlad for SF Bug# 1175157: mutex not unlocked
	in the custom scheduler.

2005-11-30 05:22  robocop

	* firebird2/src/dsql/: dsql.h (1.28.2.3), user_dsql.cpp (1.20.2.5):

	Backport name from FB2 to avoid conflict with non-FB libraries.

2005-11-30 05:21  robocop

	* firebird2/src/jrd/met.epp (1.61.2.8):

	Fortunately we didn't use this code in FB1.5, but I'm posting the
	correct one as documentation.

2005-11-29 11:22  kkuznetsov

	* firebird2/src/gpre/ftn.cpp (1.20.2.3):

	Fix my previous commit to FTN gpre module

2005-11-24 11:02  dimitr

	* firebird2/doc/WhatsNew (1.36.2.50):

	Described more changes.

2005-11-17 12:13  makowski

	* firebird2/src/install/arch-specific/win32/fr/:
	custom_messages_fr.inc (1.1.2.5), documents-en-français.txt
	(1.1.2.3), installation_lisezmoi.txt (1.1.2.5):

	modification for the 1.5.3 release

2005-11-15 15:22  kkuznetsov

	* firebird2/builds/posix/: prefix.solaris (1.5.2.8),
	prefix.solaris-64gcc (1.3.2.4):

	Update sparc build

2005-11-08 13:10  kkuznetsov

	* firebird2/src/dsql/: dsql.h (1.28.2.2), user_dsql.cpp (1.20.2.4):

	Renamed ERR to fb_ERR to avoid conflict on Solaris

2005-10-26 16:31  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.12):

	backported qli fix

2005-10-24 18:51  awharrison

	* firebird2/src/gpre/: ada.cpp (1.15.2.1), c_cxx.cpp (1.20.2.2),
	cmp.cpp (1.12.2.1), cmp_proto.h (1.5.2.1), cob.cpp (1.22.2.1),
	form.h (1.5.2.1), ftn.cpp (1.20.2.2), gpre.cpp (1.26.2.2), gpre.h
	(1.33.2.2), pas.cpp (1.10.2.1), pat.cpp (1.8.2.1):

	Allow more than 32767 identifiers.

2005-10-20 15:01  kkuznetsov

	* firebird2/src/gpre/ftn.cpp (1.20.2.1):

	Fix unresolved refence to ISC_prefix in fortran gpre module

2005-10-03 17:50  paul_reeves

	* firebird2/src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.24):

	Restart system if classic server still running after
	uninstallation.

2005-10-03 08:33  paul_reeves

	* firebird2/doc/WhatsNew (1.36.2.49):

	Allow build_no.h to be used for mass consumption again.

2005-10-01 03:08  robocop

	* firebird2/src/common/config/config.cpp (1.40.2.7):

	Correct comment.

2005-09-30 15:13  paul_reeves

	* firebird2/src/: common/config/config.cpp (1.40.2.6),
	common/config/config.h (1.23.2.2), dsql/gen.cpp (1.33.2.5),
	install/arch-specific/win32/BuildExecutableInstall.bat (1.10.2.23),
	install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.6), install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.23), install/misc/firebird.conf (1.28.2.8),
	jrd/isc_version.h (1.1.2.31), misc/src_bundle.sh (1.2.2.4):

	Add OldColumnNaming parameter. Update build number.

2005-09-22 09:13  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.30):

	Incremented the build number.

2005-09-22 09:08  dimitr

	* firebird2/doc/WhatsNew (1.36.2.48):

	Added missing bugfixes.

2005-09-22 08:22  dimitr

	* firebird2/doc/WhatsNew (1.36.2.47):

	no message

2005-09-21 09:51  alexpeshkoff

	* firebird2/src/jrd/isc_ipc.cpp (1.37.2.1):

	backported diagnostic enhancement

2005-09-20 19:26  dimitr

	* firebird2/doc/WhatsNew (1.36.2.46):

	Described recent commits.

2005-09-06 11:55  alexpeshkoff

	* firebird2/src/jrd/why.cpp (1.23.2.4):

	fixed security bug (AV) with too long filename

2005-09-06 07:11  robocop

	* firebird2/src/install/arch-specific/win32/: hu/olvass_el.txt
	(1.1.2.3), pt/leia-me.txt (1.1.2.4):

	Misc.

2005-08-31 08:11  dimitr

	* firebird2/src/jrd/intl.cpp (1.32.2.3):

	Backported a regression fix with NONE charset.

2005-08-19 12:52  alexpeshkoff

	* firebird2/src/jrd/isc.cpp (1.36.2.2):

	Security fix - don't trust UID, received from client

2005-08-19 12:11  alexpeshkoff

	* firebird2/src/jrd/isc.cpp (1.36.2.1):

	Fixed bug, discussed privately with Helen, Paul, Dmitry.  Wrong
	Borland's attempt to have "superuser" in windows had broken
	isc_user_*() family of functions.

2005-08-17 10:39  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.22), FirebirdInstall_15.iss
	(1.5.2.22), Readme.txt (1.2.2.8), installation_readme.txt
	(1.2.2.9), de/liesmich.txt (1.1.2.4), fr/lisezmoi.txt (1.1.2.4),
	hu/olvass_el.txt (1.1.2.2), pt/leia-me.txt (1.1.2.3):

	Upgrade Win32 installer for 1.5.3

2005-08-17 10:37  paul_reeves

	* firebird2/builds/win32/: make_boot.bat (1.5.2.2),
	msvc6/gpre_boot.dsp (1.17.2.2):

	Add init.* to gpre_boot.dsp. Add clearer error handler to
	make_boot.bat

2005-08-14 11:35  dimitr

	* firebird2/src/jrd/: isc_version.h (1.1.2.28), isc_version.h
	(1.1.2.29):

	Updated the version info.

2005-08-14 11:33  dimitr

	* firebird2/doc/WhatsNew (1.36.2.45):

	1) Fixed formatting.  2) Added a couple of forgotten bugfixes to
	the 1.5.0 section, as requested by the bug reporter.

2005-08-10 21:32  hvlad

	* firebird2/doc/WhatsNew (1.36.2.44):

	Update WhatsNew

2005-08-09 13:07  hvlad

	* firebird2/src/alice/tdr.cpp (1.17.2.3):

	Backport fix for unregistered bug - crash occured in service gfix
	code when it tried to reattach to currently unavailable database.
	Since service can't interact with end user an endless loop leads to
	overflow service buffer and crash as result.

2005-08-09 10:19  hvlad

	* firebird2/src/jrd/: btr.cpp (1.33.2.5), idx.cpp (1.16.2.9):

	Backport fix bug SF #1076858

2005-08-09 10:00  hvlad

	* firebird2/src/jrd/cch.cpp (1.35.2.4):

	Backport temporary fix to prevent 100% cpu load in case of write
	failure

2005-08-09 09:30  hvlad

	* firebird2/src/jrd/winnt.cpp (1.22.2.1):

	Backport fix for wrong error (write failure) detection

2005-07-26 15:06  arnobrinkman

	* firebird2/src/jrd/btr.cpp (1.33.2.4):

	Fix bug SF #1242982   Equality search on first segment (integer) in
	compound indexes resulted   in more scans on specific values (2^n,
	f.e. 131072) then needed.

2005-07-26 14:57  arnobrinkman

	* firebird2/builds/win32/msvc7/: engine.vcproj (1.21.2.4),
	engine_classic.vcproj (1.20.2.4), engine_embed.vcproj (1.8.2.4),
	fb_lock_print.vcproj (1.13.2.4), fbclient.vcproj (1.17.2.5),
	gpre_boot.vcproj (1.12.2.4):

	Fix MSVC7 builds for Firebird 1.5

2005-06-19 05:11  robocop

	* firebird2/builds/win32/msvc6/fb_lock_print.dsp (1.17.2.3):

	Totally misc.

2005-06-17 19:31  alexpeshkoff

	* firebird2/: builds/win32/msvc6/engine.dsp (1.32.2.3),
	builds/win32/msvc6/engine_classic.dsp (1.28.2.3),
	builds/win32/msvc6/engine_embed.dsp (1.9.2.2),
	builds/win32/msvc6/fb_lock_print.dsp (1.17.2.2),
	builds/win32/msvc6/fbclient.dsp (1.33.2.4), src/jrd/gds.cpp
	(1.84.2.9), src/jrd/init.cpp (1.1.2.2):

	backported fix for SF bug #739480 - fixed MSVC6 build

2005-06-17 18:59  alexpeshkoff

	* firebird2/builds/posix/make.shared.variables (1.26.2.1):

	backported fix for SF bug #739480

2005-06-17 18:37  alexpeshkoff

	* firebird2/src/jrd/gds.cpp (1.84.2.8):

	backported fix for SF bug #739480

2005-06-17 18:35  alexpeshkoff

	* firebird2/src/jrd/: init.cpp (1.1.2.1), init.h (1.1.2.1):

	backported InitMutex and InitInstance classes to 1.5 release

2005-06-16 11:44  arnobrinkman

	* firebird2/src/dsql/: gen.cpp (1.33.2.4), make.cpp (1.30.2.5),
	pass1.cpp (1.72.2.10):

	Backport bugfixes from FB2

	- Fix unneeded evaluation of last item by COALESCE function, noted
	by Dmitry - Fix bug SF #1191006 Using where params in SUM return
	incorrect   results parameters weren't checked on equality in
	node_match() - Fix SF bug #1016969   -804 Data type unknown with
	searched CASE and parameters in results - Fix BLOB sub-type bug in
	MAKE_desc_list which is used by COALESCE/CASE - Fix bug with domain
	and aggregate query which could cause assert failure

2005-06-12 03:00  robocop

	* firebird2/src/isql/show.epp (1.17.2.1):

	Backport fix for show_generators.

2005-06-09 11:36  kkuznetsov

	* firebird2/builds/posix/prefix.solaris (1.5.2.7):

	syncronising x86 and sparc prefix

2005-06-09 11:04  kkuznetsov

	* firebird2/: configure.in (1.141.2.38),
	builds/posix/prefix.solaris (1.5.2.6):

	Small fixes to Solaris sparc

2005-06-08 15:56  dimitr

	* firebird2/doc/WhatsNew (1.36.2.43):

	no message

2005-06-08 15:50  dimitr

	* firebird2/src/dsql/ddl.cpp (1.50.2.6):

	Fixed bug with lost charset/collation in local variables, reported
	by Eugene Kilin.

2005-06-07 12:22  dimitr

	* firebird2/: src/jrd/cmp.cpp (1.52.2.19), src/jrd/jrd.h
	(1.42.2.7), src/jrd/met.epp (1.61.2.7), doc/WhatsNew (1.36.2.42):

	Backported some fixes from HEAD.

2005-06-07 11:55  dimitr

	* firebird2/doc/WhatsNew (1.36.2.41):

	Backported some fixes from HEAD.

2005-06-07 11:26  dimitr

	* firebird2/src/jrd/tra.cpp (1.38.2.4):

	Backported some fixes from HEAD.

2005-06-07 11:17  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.12):

	Backported some fixes from HEAD.

2005-06-07 11:12  dimitr

	* firebird2/src/jrd/met.epp (1.61.2.6):

	Backported some fixes from HEAD.

2005-06-07 11:06  dimitr

	* firebird2/src/: dsql/ddl.cpp (1.50.2.5), remote/interface.cpp
	(1.48.2.3):

	Backported some fixes from HEAD.

2005-05-12 09:04  robocop

	* firebird2/src/isql/isql.epp (1.32.2.17):

	Backport Miroslav Penchev fix for ISQL_disconnect_database
	overwriting the Quiet flag permanently.

2005-05-05 10:42  robocop

	* firebird2/src/isql/isql.epp (1.32.2.16):

	Fix SF Bug #1152787 Replaced /* by ** when we are already inside a
	comment, to avoid the parsing error when we are looking forward.
	Fixed a couple of Borland bugs, including one logical condition
	nobody of us noticed it was using && instead of || as it should.
	This bug doesn't exist in v2.

2005-04-29 08:24  kkuznetsov

	* firebird2/configure.in (1.141.2.37):

	Solaris spark install config files the same as x86

2005-04-28 09:53  kkuznetsov

	* firebird2/builds/posix/: prefix.solaris (1.5.2.5),
	prefix.solaris-64gcc (1.3.2.3):

	Solaris fixes

2005-04-28 08:46  robocop

	* firebird2/doc/WhatsNew (1.36.2.40):

	FB v1.5's what's new.

2005-04-28 08:37  robocop

	* firebird2/src/isql/isql.epp (1.32.2.15):

	Backport isql fixes: Another fix for the -b (Bail On Error) option
	when SQL commands are issued and no db connection exists yet.
	Apply Miroslav Penchev's patch for bug with -Q always returning 1
	to the operating system, discovered by Ivan Prenosil.

2005-04-26 09:31  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/: Makefile.in
	(1.1.2.5), CS/pkginfo.in (1.1.2.4), LIBGCC/pkginfolg.in (1.1.2.2),
	SS/pkginfo.in (1.1.2.3):

	Backporting some Solaris install system

2005-04-26 09:28  kkuznetsov

	* firebird2/: builds/posix/prefix.solaris-64gcc (1.3.2.2),
	configure.in (1.141.2.36):

	Backporting some Solaris install system

2005-04-23 17:01  dimitr

	* firebird2/doc/WhatsNew (1.36.2.39):

	Updated docs.

2005-04-13 15:02  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.3):

	Some more moving from solx86 to sol-sparc-64

2005-04-13 15:02  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.3.2.1):

	file prefix.solaris-64gcc was added on branch B1_5_Release on
	2005-04-26 07:28:37 +0000

2005-04-13 13:46  dimitr

	* firebird2/src/burp/restore.epp (1.31.2.5):

	Fixed bug when a computed column of blob/array type zeroes the
	first column of the table being restored.  In short words, some
	data were lost during restore.

2005-04-13 09:46  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.2):

	Some workarounds

2005-04-07 16:59  kkuznetsov

	* firebird2/builds/posix/prefix.solaris-64gcc (1.1):

	Starting work to port FB2 to Solaris sparc 64 using gcc
	(incomplete)

2005-04-03 07:00  robocop

	* firebird2/builds/win32/parse.bat (1.4.2.1):

	We always used byacc and this file's inline help recommends byacc,
	but it attempts to use yacc. Go figure.

2005-04-03 06:59  robocop

	* firebird2/src/isql/isql.epp (1.32.2.14):

	Fix my previous commit for the -bail option.

2005-04-03 06:58  robocop

	* firebird2/src/dsql/: parse.cpp (1.72.2.6), parse.y (1.79.2.7):

	Fix crash in filter declaration.

2005-04-01 12:19  dimitr

	* firebird2/src/jrd/pwd.cpp (1.16.2.2):

	Fixed lockups spotted by Claudio.

2005-04-01 09:48  robocop

	* firebird2/src/isql/: extra_proto.h (1.2.4.1), extract.epp
	(1.10.2.2), isql.epp (1.32.2.13), isql.h (1.9.2.1), isql_proto.h
	(1.4.2.1):

	Backport HEAD changes: 1.- Fix garbage printed when
	EXTRACT_list_table can't find the requested table.  2.- Detect more
	cases of failure for BailOnError option.  3.- Free some resources
	properly.  4.- Change some variables that must be of size
	MAXPATHLEN.  5.- An input file should be acknowledged only when
	input() succeeds.  6.- No more input files: we are in interactive
	mode again.  7.- COMMIT and SET TRANSACTION should report failure.
	8.- Performance goes to diagnostic file always, not one time to
	output and another time to diagnostic file.

2005-04-01 09:26  robocop

	* firebird2/src/utilities/: install_client.cpp (1.1.2.4),
	install_reg.cpp (1.9.2.6), install_svc.cpp (1.18.2.6), registry.cpp
	(1.10.2.6):

	Little tweaks to be able to build those install* utilities.

2005-03-28 11:22  robocop

	* firebird2/src/remote/inet_server.cpp (1.26.2.4):

	Just make sure we have a terminated string.

2005-03-28 11:02  robocop

	* firebird2/src/isql/isql.epp (1.32.2.12):

	Fix conflict between single line comments and block comments.

2005-03-26 05:08  robocop

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.7.2.3):

	Solve bug with AddMonth when facing January.

2005-03-26 05:07  robocop

	* firebird2/src/jrd/pag.cpp (1.37.2.9):

	Misc.

2005-03-23 13:59  alexpeshkoff

	* firebird2/src/remote/inet_server.cpp (1.26.2.3):

	backported security fix

2005-02-24 18:45  alexpeshkoff

	* firebird2/src/jrd/ExecuteStatement.cpp (1.14.2.6):

	Fixed SF bug #1124720

2005-02-10 11:25  kkuznetsov

	* firebird2/src/gpre/gpre.h (1.33.2.1):

	Fix refences to FTN_fini in grpre_boot if configured with fortran

2005-02-10 00:25  skidder

	* firebird2/src/jrd/pag.cpp (1.37.2.8):

	Please GCC

2005-02-09 23:14  skidder

	* firebird2/src/jrd/pag.cpp (1.37.2.7):

	Re-enable the ODS architecture compatibility check disabled by Deej
	10 years ago

2005-02-07 09:01  robocop

	* firebird2/src/isql/isql.epp (1.32.2.11):

	sqldaid and sqldabc are unused crap borrowed from IBM 15 years ago.
	 Don't show them as they contain garbage.

2005-02-07 08:39  robocop

	* firebird2/src/isql/isql.epp (1.32.2.10):

	fb-checkins shows that Continuation, a var that doens't exist in
	FB2's isql, was set always after process_statement, in v1.5 so
	let's keep it this way.

2005-02-07 08:29  robocop

	* firebird2/src/isql/isql.epp (1.32.2.9):

	Backport -bail command line option in isql at request by Paul
	Beach.	Help wasn't updated.  Did a few minor fixes, too.

2005-02-06 11:50  alexpeshkoff

	* firebird2/src/dsql/ddl.cpp (1.50.2.4):

	Fixed AV in DDL.

2005-02-01 14:59  kkuznetsov

	* firebird2/doc/README.install.Solaris_on_Intel (1.1.2.3):

	Document updated for Super Server

2005-02-01 10:01  kkuznetsov

	* firebird2/: configure.in (1.141.2.35), src/utilities/srvrmgr.cpp
	(1.13.2.6):

	Last cosmetic changes to Solx86

2005-01-28 17:08  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/SS/prototype.in
	(1.1.2.5):

	small fixes

2005-01-28 14:43  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/: CS/pkginfo.in
	(1.1.2.3), CS/prototype.in (1.1.2.6), SS/pkginfo.in (1.1.2.2),
	SS/prototype.in (1.1.2.4):

	Add libgdsmt.so link for combability with 1.0

2005-01-26 15:50  kkuznetsov

	* firebird2/: configure.in (1.141.2.34),
	src/extern/editline/configure (1.1.2.2),
	src/extern/editline/configure.in (1.1.2.2),
	src/utilities/srvrmgr.cpp (1.13.2.5):

	Some more fixes to solaris x 86 port add ability to link with
	editline

2005-01-26 10:50  alexpeshkoff

	* firebird2/src/jrd/: btr.cpp (1.33.2.3), btr_proto.h (1.7.2.2),
	idx.cpp (1.16.2.8):

	Backported bugfix for descending indices in ref-constraints

2005-01-26 08:29  kkuznetsov

	* firebird2/src/common/config/config_file.cpp (1.11.2.5):

	FIX: Value of errno after successed fread is undefined accoding to
	standard.  Using errno causes writing to syslog a lot of confusing
	messages.  Changen checking of errno to ferror

2005-01-24 03:19  stryqx

	* firebird2/builds/posix/: prefix.example (1.4.2.2), prefix.freebsd
	(1.6.2.3), prefix.sinixz (1.16.2.2), prefix.solaris (1.5.2.4),
	prefix.solx86 (1.18.2.2):

	Fix final instances of gds_delay to gds_relay.

2005-01-21 11:19  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/: CS/prototype.in
	(1.1.2.5), SS/prototype.in (1.1.2.3):

	add fogotten aliases.conf to target package

2005-01-20 12:27  dimitr

	* firebird2/src/burp/: backup.epp (1.24.2.6), restore.epp
	(1.31.2.4):

	Fixed v1.5.1 regression.

2005-01-18 17:38  kkuznetsov

	* firebird2/src/common/config/config_file.cpp (1.11.2.4):

	Fixed: using stdio's functions without including ib_stdio.h (or
	stdio.h at least) causes no sfio replacement on Solaris Superserver

2005-01-18 04:58  stryqx

	* firebird2/src/extern/editline/makelist (1.1.2.2):

	Using tr to map a-z to A-Z doesn't always work as expected on all
	platforms, especially when a locale is set where the number of
	lower case characters is different to the number of upper case
	characters. Using the lower and upper case character classes fixes
	this problem.

2005-01-17 16:56  kkuznetsov

	* firebird2/src/utilities/srvrmgr.cpp (1.13.2.4):

	Small fixes

2005-01-13 11:30  kkuznetsov

	* firebird2/src/utilities/srvrmgr.cpp (1.13.2.3):

	Fix my previos minor error

2005-01-13 11:29  kkuznetsov

	* firebird2/src/install/: arch-specific/solx86gcc/SS/postinstall.in
	(1.1.2.2), arch-specific/solx86gcc/SS/postremove.in (1.1.2.2),
	arch-specific/solx86gcc/SS/preinstall.in (1.1.2.2),
	arch-specific/solx86gcc/SS/prototype.in (1.1.2.2),
	misc/firebird.init.d.Solaris.in (1.1.2.1):

	Some fixes to Solaris packaging system

2004-12-13 11:31  paul_reeves

	* firebird2/src/: jrd/isc_version.h (1.1.2.27),
	install/arch-specific/win32/BuildExecutableInstall.bat (1.10.2.21),
	install/arch-specific/win32/si/custom_messages_si.inc (1.1.2.2),
	install/arch-specific/win32/si/instalacija_precitajMe.txt
	(1.1.2.2):

	Minor Win32 packaging updates for RC5

2004-12-10 06:34  skidder

	* firebird2/doc/WhatsNew (1.36.2.38):

	Add description for my last change

2004-12-10 06:30  skidder

	* firebird2/src/burp/backup.epp (1.24.2.5):

	Backport fix for Firebird 1.0 regression

2004-12-09 15:43  kkuznetsov

	* firebird2/configure.in (1.141.2.33):

	Added Solaris packagind files to configure.in

2004-12-09 15:41  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/: CS/pkginfo.in
	(1.1.2.2), CS/prototype.in (1.1.2.4), SS/pkginfo.in (1.1.2.1),
	SS/postinstall.in (1.1.2.1), SS/postremove.in (1.1.2.1),
	SS/preinstall.in (1.1.2.1), SS/prototype.in (1.1.2.1):

	Added Solaris SS packaging files

2004-12-06 10:45  kkuznetsov

	* firebird2/: configure.in (1.141.2.32), src/utilities/srvrmgr.cpp
	(1.13.2.2), src/utilities/util.cpp (1.8.2.1):

	Some fixes to Solaris x86 super build while linking with Sun
	threads, still unstable

2004-12-03 08:59  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.18):

	Fixed SF #1077595. This time it's my fault :-(

2004-11-30 14:38  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/BuildExecutableInstall.bat (1.10.2.20),
	jrd/isc_version.h (1.1.2.26):

	Update for RC4

2004-11-27 16:57  dimitr

	* firebird2/src/jrd/opt.cpp (1.73.2.27):

	Fixed one more regression by Nickolay.

2004-11-27 16:47  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.17):

	Restored my bugfix which was accidentally removed by Nickolay
	during his massive backporting

2004-11-22 16:37  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/fr/installation_lisezmoi.txt
	(1.1.2.4):

	Fix some minor presentation issues in Win32 install kit.

2004-11-22 16:12  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.19),
	fr/installation_lisezmoi.txt (1.1.2.3), fr/lisezmoi.txt (1.1.2.3),
	hu/custom_messages_hu.inc (1.1.2.6):

	Fix some minor presentation issues in Win32 install kit.

2004-11-22 15:04  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/FirebirdInstall_15.iss (1.5.2.21),
	jrd/isc_version.h (1.1.2.25):

	Sync build number

2004-11-22 15:00  paul_reeves

	* firebird2/src/install/arch-specific/win32/hu/:
	custom_messages_hu.inc (1.1.2.5), installation_readme_hu.txt
	(1.1.2.2), olvass_el.txt (1.1.2.1), telepitesi_segedlet.txt
	(1.1.2.1):

	Update Hungarian translations of Win32 install kit

2004-11-22 06:11  skidder

	* firebird2/: builds/posix/firebird.vers (1.3.2.3), src/jrd/gds.cpp
	(1.84.2.7), src/jrd/gds_proto.h (1.17.2.1):

	Konstantin's change made to B1_5_Release branch on Nov, 13 was
	breaking DEV_BUILD on POSIX. Undo the change and backport the fix
	from HEAD which is supposed to make Solaris happy

2004-11-20 10:22  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.24):

	Update build number for 1.5.2 RC3

2004-11-19 09:27  alexpeshkoff

	* firebird2/doc/WhatsNew (1.36.2.37):

	documented my last fix in 1.5

2004-11-18 20:59  skidder

	* firebird2/doc/WhatsNew (1.36.2.36):

	Document my last fix

2004-11-18 20:53  skidder

	* firebird2/src/install/arch-specific/linux/misc/firebird.xinetd.in
	(1.2.2.4):

	Fix problem with XP SP2 clients talking to POSIX server
	(SF#1065511)

2004-11-18 09:11  arnobrinkman

	* firebird2/doc/WhatsNew (1.36.2.35):

	no message

2004-11-17 22:57  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.72.2.9):

	Fix bug in aggregate-functions which burried EXISTS/SINGULAR
	predicate.

	See bug #1063254

2004-11-17 22:52  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.26):

	FB1.5.1-RC2 bugfix : SELECT * FROM   TableX a	LEFT JOIN ViewX b
	ON (b.ID = a.ID) where the "VIEW b" relations didn't use a index,
	but was possible

2004-11-17 12:41  alexpeshkoff

	* firebird2/src/jrd/jrd.cpp (1.76.2.10):

	fixed server locking on attempt to restore database at location out
	of subtree, restricted by DatabaseAccess

2004-11-17 10:43  tsteinmaurer

	* firebird2/src/install/arch-specific/win32/de/liesmich.txt
	(1.1.2.3):

	Fixed some types and used wordings

2004-11-17 10:35  tsteinmaurer

	*
	firebird2/src/install/arch-specific/win32/de/installation_liesmich.txt
	(1.1.2.3):

	Fixed some types and used wordings

2004-11-16 15:52  tsteinmaurer

	* firebird2/src/install/arch-specific/win32/de/:
	installation_liesmich.txt (1.1.2.2), liesmich.txt (1.1.2.2):

	Added German translations based on the English files from 1.5.2 RC2

2004-11-16 12:15  tsteinmaurer

	*
	firebird2/src/install/arch-specific/win32/de/custom_messages_de.inc
	(1.1.2.3):

	Some adjustments/corrections in the initial German translation

2004-11-16 10:39  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/preinstall.sh.in
	(1.2.2.7):

	applied patch, submitted by Hamatoma Jones

2004-11-13 10:25  kkuznetsov

	* firebird2/builds/posix/firebird.vers (1.3.2.2):

	Fixed Solaris Classic X86 port link errors commenting absent in
	libfbembed functions gds__alloc_debug gds__default_printer
	gds_alloc_flag_unfreed gds_alloc_report gds_interprete_cpp
	isc_interprete_cpp

2004-11-13 09:20  paul_reeves

	* firebird2/doc/README.user.embedded (1.1.2.4):

	Update version number

2004-11-13 09:14  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.18), hu/custom_messages_hu.inc
	(1.1.2.4):

	[no log message]

2004-11-12 15:48  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.17), FirebirdInstall_15.iss
	(1.5.2.20), Readme.txt (1.2.2.7), custom_messages.inc (1.1.2.3),
	i18n_readme.txt (1.1.2.4), de/custom_messages_de.inc (1.1.2.2),
	fr/custom_messages_fr.inc (1.1.2.4), hu/custom_messages_hu.inc
	(1.1.2.3), pt/custom_messages_pt.inc (1.1.2.3),
	pt/instalação_leia-me.txt (1.1.2.2), pt/leia-me.txt (1.1.2.2),
	si/custom_messages_si.inc (1.1.2.1), si/instalacija_precitajMe.txt
	(1.1.2.1):

	Update Win32 installation kits Improve i18n guidelines

2004-11-11 12:19  kkuznetsov

	* firebird2/configure.in (1.141.2.31):

	Fix threading build problem on Solaris x86 build

2004-11-10 18:18  makowski

	*
	firebird2/src/install/arch-specific/win32/fr/documents-en-français.txt
	(1.1.2.2):

	Update for the new url for the quick start guide in french on main
	Firebird site and the french site

2004-11-10 12:29  makowski

	* firebird2/src/install/arch-specific/win32/fr/:
	custom_messages_fr.inc (1.1.2.3), documents-en-français.txt
	(1.1.2.1), installation_lisezmoi.txt (1.1.2.2), lisezmoi.txt
	(1.1.2.2):

	Update of the files and added a nex file documents-en-français.txt
	to explain where to find french documentation

2004-11-09 15:35  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/hu/installation_readme_hu.txt
	(1.1.2.1):

	Add Win32 Installation readme in Hungarian

2004-11-09 15:24  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/hu/custom_messages_hu.inc
	(1.1.2.2):

	Update Win32 Install custom messages in Hungarian

2004-11-09 15:23  paul_reeves

	* firebird2/src/install/arch-specific/win32/pt/:
	custom_messages_pt.inc (1.1.2.2), instalação_leia-me.txt (1.1.2.1):

	add Win32 installation readme in Portuguese

2004-11-09 08:07  paul_reeves

	* firebird2/src/: jrd/isc_version.h (1.1.2.23), misc/src_bundle.sh
	(1.2.2.3), install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.16), install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.19):

	Update Build Number for 1.5.2 RC2

2004-11-08 18:06  skidder

	* firebird2/doc/WhatsNew (1.36.2.34):

	Add description for ISQL fix

2004-11-06 07:12  skidder

	* firebird2/doc/WhatsNew (1.36.2.33):

	Add description for savepoints fix

2004-11-06 07:05  skidder

	* firebird2/src/jrd/exe.cpp (1.68.2.11):

	Fix possible server crash when EXECUTE_IMMEDIATE is used to release
	or rollback transaction to non-existing savepoint. Reported by
	David Rushby as a part of 1.5.2 field test

2004-11-04 07:16  robocop

	* firebird2/src/isql/isql.epp (1.32.2.8):

	Make add_row() usable: 1.- Since the engine doesn't validate dates,
	do it here.  2.- Since the tm struct maps zero to 1900, account for
	that after receiving the input from the user.  (FW porting fixes I
	never committed to FB1.)

2004-11-04 06:31  robocop

	* firebird2/src/isql/isql.epp (1.32.2.7):

	Fix addrow when sqlda should be expanded.  Fix a couple memory
	leaks in case errors happen.  (FW porting fixes I never committed
	to FB1.)

2004-11-03 18:00  skidder

	* firebird2/builds/win32/msvc7/Firebird2.sln (1.9.2.5):

	Fix compilation problem in MSVC7 debug build

2004-11-03 17:52  skidder

	* firebird2/src/isql/isql.epp (1.32.2.6):

	Backport fixes for the following problems: 1) single-line comment
	marks and statement terminator sequences should be tolerated inside
	multi-line string literals 2) do not convert tabs to spaces in
	literals

2004-11-01 13:49  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.15), FirebirdInstall_15.iss
	(1.5.2.18), Readme.txt (1.2.2.6), custom_messages.inc (1.1.2.2),
	i18n_readme.txt (1.1.2.3), installation_readme.txt (1.2.2.8),
	de/custom_messages_de.inc (1.1.2.1), de/installation_liesmich.txt
	(1.1.2.1), de/liesmich.txt (1.1.2.1), fr/custom_messages_fr.inc
	(1.1.2.2), hu/custom_messages_hu.inc (1.1.2.1),
	pt/custom_messages_pt.inc (1.1.2.1), pt/leia-me.txt (1.1.2.1):

	Extend i18n support in Win32 kits

2004-10-30 10:10  skidder

	* firebird2/configure.in (1.141.2.30):

	Add workaround for GCC 3.2 build problem

2004-10-30 02:16  skidder

	* firebird2/doc/WhatsNew (1.36.2.32):

	Adjust doco for Arno fix once again

2004-10-29 21:44  skidder

	* firebird2/doc/WhatsNew (1.36.2.31):

	Add description for Arno fix

2004-10-26 01:22  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.25):

	Better solution for not distributing "possible Unknown candidates"
	to outer joins.

2004-10-24 13:57  arnobrinkman

	* firebird2/src/jrd/: opt.cpp (1.73.2.24), rse.h (1.13.2.2):

	bugfix: Fix wrong results with OUTER JOINs that exists since FB1.5

	Backport fix from HEAD as asked by Dmitry :-)

2004-10-23 20:08  skidder

	* firebird2/doc/WhatsNew (1.36.2.30):

	Slightly more verbose descriptions of POSIX packaging changes

2004-10-22 12:40  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.22):

	Update build number for 1.5.2

2004-10-22 00:26  arnobrinkman

	* firebird2/doc/WhatsNew (1.36.2.29):

	Hopefully this comment is clear enough :-/

	Example by code, with what i meant :

	SELECT * FROM	TableX x   LEFT JOIN TableY y ON (y.FK = x.PK)
	WHERE	x.FieldX IN (1,2,3,4,5)

	and "x.FieldX" isn't included in a index

2004-10-20 20:37  dimitr

	* firebird2/doc/WhatsNew (1.36.2.28):

	Added latest commits

2004-10-20 20:17  dimitr

	* firebird2/src/jrd/fun.epp (1.22.2.6):

	Backported a couple of Claudio's fixes.

2004-10-20 19:25  dimitr

	* firebird2/src/remote/inet.cpp (1.70.2.6):

	Second attempt to fix that damned events issues.

2004-10-20 18:50  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.fbserver (1.11.2.6),
	Makefile.in.libfbserver (1.6.2.4):

	fixed posix SS build

2004-10-18 22:48  skidder

	* firebird2/src/install/misc/firebird.conf (1.28.2.7):

	Update BugCheckAbort option description

2004-10-18 22:35  skidder

	* firebird2/doc/WhatsNew (1.36.2.27):

	Clarify change description

2004-10-18 21:22  skidder

	* firebird2/doc/WhatsNew (1.36.2.26):

	Document the last change

2004-10-18 20:53  skidder

	* firebird2/src/remote/srvr_w32.cpp (1.26.2.3):

	Backport fix making Windows server crash silently if this ever
	happens

2004-10-18 02:28  skidder

	* firebird2/src/misc/src_bundle.sh (1.2.2.2):

	Add support for daily builds

2004-10-17 19:41  hvlad

	* firebird2/src/jrd/fun.epp (1.22.2.5):

	Fix server ability to report failed UDF name

2004-10-15 13:02  paul_reeves

	* firebird2/src/install/arch-specific/win32/i18n_readme.txt
	(1.1.2.2):

	Add instructions for i18n of the Win32 installer.

2004-10-15 07:55  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.16):

	Backported bugfix related to naturally updatable views.

2004-10-14 18:56  alexpeshkoff

	* firebird2/src/jrd/ExecuteStatement.cpp (1.14.2.5):

	backported bugfix from HEAD: numeric datatypes, represented by
	floating-point variables, were processed incorrect.

2004-10-12 17:34  hvlad

	* firebird2/src/jrd/evl.cpp (1.34.2.8):

	Fix memory leak when a query contains both GROUP BY and DISTINCT
	and result set is empty

2004-10-09 16:20  dimitr

	* firebird2/doc/WhatsNew (1.36.2.25):

	Added description for the latest commit.

2004-10-09 16:14  dimitr

	* firebird2/src/jrd/rse.cpp (1.28.2.5):

	Backported the recent resource leak fix.

2004-10-08 16:24  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	FirebirdInstall_15.iss (1.5.2.17), custom_messages.inc (1.1.2.1),
	i18n_readme.txt (1.1.2.1), fr/custom_messages_fr.inc (1.1.2.1),
	fr/installation_lisezmoi.txt (1.1.2.1), fr/lisezmoi.txt (1.1.2.1):

	Add i18n support to the Win32 installation script. With thanks to
	Philippe Makowski for the initial cut.

2004-10-08 04:00  skidder

	* firebird2/doc/WhatsNew (1.36.2.24):

	Add description for my change

2004-10-08 03:54  skidder

	* firebird2/src/jrd/vio.cpp (1.49.2.3):

	Fix handling of deadlocks when pessimistic locks are used

2004-10-07 23:34  skidder

	* firebird2/: acx_pthread.m4 (1.1.2.1), configure.in (1.141.2.29),
	builds/posix/Makefile.in.extlib (1.10.2.7),
	builds/posix/Makefile.in.fbserver (1.11.2.5),
	builds/posix/Makefile.in.intl (1.11.2.4),
	builds/posix/Makefile.in.libfbclient (1.14.2.5),
	builds/posix/Makefile.in.libfbserver (1.6.2.3),
	builds/posix/make.defaults (1.25.2.9), builds/posix/prefix.mingw
	(1.19.2.2), builds/posix/prefix.solx86gcc (1.1.2.7):

	Backport fixes to build threaded versions of various shared
	libraries

2004-10-05 17:09  hvlad

	* firebird2/src/dsql/ddl.cpp (1.50.2.3):

	Use named constant

2004-10-05 17:01  dimitr

	* firebird2/doc/WhatsNew (1.36.2.23):

	Added recent commits.

2004-10-05 16:32  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.21):

	Corrected compatibility version info.

2004-10-05 12:56  paul_reeves

	* firebird2/: builds/win32/make_examples.bat (1.4.2.3),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.14), src/jrd/isc_version.h (1.1.2.20):

	Minor tweaks to Win32 build process. Increment Build Number.

2004-10-04 18:55  alexpeshkoff

	* firebird2/src/jrd/ExecuteStatement.cpp (1.14.2.4):

	Fixed AV in Execute Statement (1.5 specific bug, HEAD need not
	fixing)

2004-10-04 07:23  skidder

	* firebird2/acx_pthread.m4 (1.1):

	Use GNU autoconf macros to determine switches required to generate
	threaded binaries properly

2004-09-30 18:29  skidder

	* firebird2/configure.in (1.141.2.28):

	Correctly build on non-x86 SuSE linux

2004-09-29 12:03  paul_reeves

	* firebird2/src/remote/inet_server.cpp (1.26.2.2):

	No need to specifically log sigpipe errors when running SuperServer
	on *nix

2004-09-27 10:31  hvlad

	* firebird2/src/jrd/cch.cpp (1.35.2.3):

	Fix 100% CPU use by cache_writer in some rare cases

2004-09-25 21:38  dimitr

	* firebird2/src/jrd/rse.cpp (1.28.2.4):

	Backported some fixes: - server crashes with complex (lots of
	streams used in a sort/merge) queries

2004-09-25 21:32  dimitr

	* firebird2/src/remote/inet.cpp (1.70.2.5):

	Backported some fixes: 1) Server crash in op_connect 2) Events
	issues with NAT

2004-09-24 17:45  hvlad

	* firebird2/src/jrd/why.cpp (1.23.2.3):

	Don't rollback prepared 2PC sub-transaction

2004-09-24 17:38  hvlad

	* firebird2/src/dsql/: ddl.cpp (1.50.2.2), dsql.h (1.28.2.1):

	Corrects an error at DDL generation when the total size of all
	generated BLR exceeds 64K, but each slice does not exceed 64K. For
	ex, procedure sources is 55K and generated BLR is 12K

2004-09-24 17:34  hvlad

	* firebird2/src/jrd/tra.cpp (1.38.2.3):

	TRA_sweep don't release it's temp_lock in case of database shutdown

2004-09-24 17:33  hvlad

	* firebird2/src/jrd/cvt.cpp (1.20.2.2):

	Fix for lost least significant bits of value when rounding
	floating-point value to  int \ int64 value

2004-09-18 09:47  skidder

	* firebird2/: doc/WhatsNew (1.36.2.22), src/dsql/pass1.cpp
	(1.72.2.8), src/jrd/cmp.cpp (1.52.2.15), src/jrd/opt.cpp
	(1.73.2.23):

	Backport fixes for the problems detected by Valgrind

2004-09-18 09:20  skidder

	* firebird2/src/jrd/opt.cpp (1.73.2.22):

	backport fix for wrong plan order regression

2004-09-18 08:56  skidder

	* firebird2/: Makefile.in (1.3.2.1), configure.in (1.141.2.27),
	builds/posix/Makefile.in.firebird (1.37.2.14),
	src/misc/src_bundle.sh (1.2.2.1):

	Erik's packaging fixes

2004-09-18 07:32  skidder

	* firebird2/src/: jrd/evl.cpp (1.34.2.7), lock/print.cpp
	(1.19.2.2), wal/walw.cpp (1.20.2.2):

	Backport fix for the broken CURRENT_TIMESTAMP issue on 64-bit
	platforms

2004-09-18 01:34  skidder

	* firebird2/src/: include/fb_types.h (1.25.2.2), jrd/jrd.cpp
	(1.76.2.9), jrd/jrd.h (1.42.2.6), jrd/sch.cpp (1.6.2.5),
	jrd/thd.cpp (1.19.2.3), jrd/thd.h (1.12.2.4), jrd/thd_proto.h
	(1.2.4.1):

	Merge B1_5_1_AMD64 with its support for 64-bit NPTL builds (NPTL
	uses 64-bit thread IDs) into B1_5_Release branch

2004-09-17 22:34  skidder

	* firebird2/: configure.in (1.141.2.26),
	builds/posix/Makefile.in.client.gbak (1.6.2.2),
	builds/posix/Makefile.in.client.gdef (1.5.2.2),
	builds/posix/Makefile.in.client.gfix (1.7.2.2),
	builds/posix/Makefile.in.client.gpre (1.9.2.3),
	builds/posix/Makefile.in.client.isql (1.6.2.2),
	builds/posix/Makefile.in.client.qli (1.1.2.2),
	builds/posix/Makefile.in.client.util (1.9.2.4),
	builds/posix/Makefile.in.embed.gbak (1.6.2.2),
	builds/posix/Makefile.in.embed.gdef (1.5.2.2),
	builds/posix/Makefile.in.embed.gfix (1.7.2.2),
	builds/posix/Makefile.in.embed.gpre (1.9.2.3),
	builds/posix/Makefile.in.embed.isql (1.6.2.2),
	builds/posix/Makefile.in.embed.qli (1.10.2.2),
	builds/posix/Makefile.in.embed.util (1.8.2.3),
	builds/posix/Makefile.in.inet_server (1.11.2.3),
	builds/posix/Makefile.in.intl (1.11.2.3),
	builds/posix/Makefile.in.libfbclient (1.14.2.4),
	builds/posix/Makefile.in.libfbembed (1.10.2.4),
	builds/posix/fbintl.vers (1.2.2.1), builds/posix/firebird.vers
	(1.3.2.1), builds/posix/make.defaults (1.25.2.8),
	builds/posix/prefix.solx86gcc (1.1.2.6), doc/WhatsNew (1.36.2.21),
	src/common/classes/alloc.cpp (1.29.2.3), src/common/classes/alloc.h
	(1.21.2.5), src/common/classes/tree.h (1.13.2.4),
	src/dudley/exe.epp (1.18.2.3), src/jrd/btr.h (1.6.2.3),
	src/jrd/btr_proto.h (1.7.2.1), src/jrd/cch.h (1.2.4.1),
	src/jrd/event.cpp (1.27.2.1), src/jrd/event.h (1.7.2.1),
	src/jrd/jrd.h (1.42.2.5), src/jrd/vmsevent.cpp (1.5.2.1),
	src/qli/meta.epp (1.17.2.2), src/remote/inet_server.cpp (1.26.2.1),
	src/remote/server_stub.cpp (1.1.2.1),
	src/remote/os/sun/server_main_dummy.cpp (1.2.2.1), src/wal/wal.cpp
	(1.16.2.1), src/wal/wal.h (1.6.2.1), src/wal/walc.cpp (1.14.2.1),
	src/wal/walw.cpp (1.20.2.1), src/wal/wstatus.cpp (1.6.2.1):

	Support GCC 3.4 build, backport version script at the same time
	because we want to allow linking of C++ programs with Firebird and
	GCC 3.4 cannot build hack we used for this purpose earlier

2004-09-17 00:25  skidder

	* firebird2/src/remote/os/sun/server_main_dummy.cpp (1.2):

	Cleanup

2004-09-15 10:31  kkuznetsov

	* firebird2/src/remote/os/sun/server_main_dummy.cpp (1.1):

		os/sun/server_main_dummy.cpp is a file with noop routine
		server_main to put into libfbclient
		if it defined by firebird.vers mapfile while
		linking libfbclient with Sun-like LD

2004-09-15 00:01  skidder

	* firebird2/src/: common/classes/alloc.h (1.21.2.4),
	common/classes/array.h (1.3.2.4), common/classes/tree.h (1.13.2.3),
	common/classes/vector.h (1.1.2.2), jrd/cmp.cpp (1.52.2.14),
	jrd/cmp_proto.h (1.7.2.2), jrd/dfw.epp (1.45.2.7), jrd/exe.cpp
	(1.68.2.10), jrd/exe.h (1.15.2.3), jrd/idx.cpp (1.16.2.7),
	jrd/jrd.cpp (1.76.2.8), jrd/met.epp (1.61.2.5), jrd/opt.cpp
	(1.73.2.21), jrd/opt_proto.h (1.4.2.1), jrd/req.h (1.11.2.3),
	jrd/rpb_chain.h (1.2.2.1), jrd/scl.epp (1.21.2.4), jrd/scl_proto.h
	(1.4.2.2), jrd/tra.cpp (1.38.2.2), jrd/tra.h (1.13.2.2),
	jrd/tra_proto.h (1.4.2.1):

	Commit patch prepared by Daniel Urban improving request resource
	tracking logic. This is the largest change we plan to backport to
	1.5.2 and only because of very high users demand. Change spent in
	HEAD a few months and seems stable. Backport fix was tested by a
	number of users

2004-09-14 23:24  skidder

	* firebird2/src/common/config/config_file.cpp (1.11.2.3):

	Migrate Firebird 1.5 out from STL streams usage. It doesn't work in
	most versions of GCC in one form or another

2004-09-14 23:13  skidder

	* firebird2/src/common/classes/auto.h (1.9.2.1):

	Backport AutoPtr (used by other code to be committed)

2004-09-14 18:17  skidder

	*
	firebird2/src/install/arch-specific/linux/misc/firebird.init.d.mandrake.in
	(1.1.2.3):

	Add newline printed after Firebird SS service startup (backported
	to B1_5_Release)

2004-09-13 07:22  skidder

	* firebird2/src/jrd/val.h (1.10.2.2):

	Backport fix to B1_5_Release as it is needed to get into 1.5.2

2004-08-30 17:56  skidder

	* firebird2/src/extlib/ib_udf.sql (1.4.2.1):

	Increase default length for UDF arguments.  Value 255 is chosen
	because some of the access layers (BDE, MS Text Engine, Access,
	etc) threat longer strings as CLOBs and this may affect backward
	compatibility.

2004-08-20 07:11  skidder

	* firebird2/src/misc/src_bundle.sh (1.2):

	Erik's script producing source bundle including configure script.
	Invoked via: make srctarfile

2004-08-19 02:04  skidder

	* firebird2/src/misc/src_bundle.sh (1.1):

	Script which I use to generate Firebird source packages

2004-08-11 06:53  paul_reeves

	* firebird2/doc/README.user.embedded (1.1.2.3):

	Amend notes on use of embedded library for Helen.

2004-08-10 16:18  kkuznetsov

	* firebird2/doc/README.install.Solaris_on_Intel (1.1.2.2):

	Some coorections

2004-08-10 16:15  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/Makefile.in
	(1.1.2.4):

	Some corrections

2004-08-06 15:49  kkuznetsov

	* firebird2/: configure.in (1.141.2.25),
	doc/README.install.Solaris_on_Intel (1.1.2.1),
	src/install/arch-specific/solx86gcc/Makefile.in (1.1.2.3),
	src/install/arch-specific/solx86gcc/LIBGCC/pkginfolg.in (1.1.2.1),
	src/install/arch-specific/solx86gcc/LIBGCC/prototypelg.in
	(1.1.2.1):

	Added install script for gcc C++ runtime as separate package and
	readme file

2004-08-04 18:01  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/CS/: postinstall.in
	(1.1.2.3), postremove.in (1.1.2.2), preinstall.in (1.1.2.2),
	prototype.in (1.1.2.3):

	Some correctness and fixes

2004-08-04 16:03  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/CS/: postinstall.in
	(1.1.2.2), prototype.in (1.1.2.2):

	Some more files added to Solaris binary distibution

2004-08-03 18:21  kkuznetsov

	* firebird2/: configure.in (1.141.2.24),
	builds/posix/prefix.solx86gcc (1.1.2.5):


	Add support for Sox86 packaging (experimental) and fix relative dll
	path in linker opts

2004-08-03 18:18  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/: Makefile.in
	(1.1.2.2), CS/pkginfo.in (1.1.2.1), CS/postinstall.in (1.1.2.1),
	CS/postremove.in (1.1.2.1), CS/preinstall.in (1.1.2.1),
	CS/prototype.in (1.1.2.1):



	Adding Solaris packaging system based on sinix-z one very
	experimental

2004-08-02 12:07  stryqx

	* firebird2/src/common/classes/: array.h (1.3.2.3), tree.h
	(1.13.2.2), vector.h (1.1.2.1):

	Fix compilation with gcc 3.4.

2004-07-20 20:55  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.20):

	Bugfix: optimizer didn't add boolean-node when it was a OR operator
	and no index could be used.  This caused unnecessary evaluation of
	joined rse's to that rse.

2004-07-14 14:10  paul_reeves

	* firebird2/: doc/README.user.embedded (1.1.2.2),
	src/install/arch-specific/win32/installation_readme.txt (1.2.2.7):

	Minor doc changes for Fb 1.5.1

2004-07-06 15:12  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.19):

	Update Build number for 1.5.1

2004-07-06 15:10  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.13), FirebirdInstall_15.iss
	(1.5.2.16):

	Correct minor errors in the Win32 install builder.

2004-07-05 16:21  kkuznetsov

	* firebird2/builds/posix/: Makefile.in.fbserver (1.11.2.4),
	Makefile.in.libfbserver (1.6.2.2), make.defaults (1.25.2.7),
	prefix.solx86gcc (1.1.2.4):

	Maked "-pthreads" gcc Super flags platform specific to compile
	super on SolX86

2004-07-02 16:43  kkuznetsov

	* firebird2/: builds/posix/prefix.solx86gcc (1.1.2.3),
	src/jrd/thd.cpp (1.19.2.2):

	Some fixes to my previos commits on solx86

2004-07-01 18:12  kkuznetsov

	* firebird2/src/install/arch-specific/solx86gcc/Makefile.in
	(1.1.2.1):

	Some more build files for solx86gcc

2004-07-01 18:03  kkuznetsov

	* firebird2/: configure.in (1.141.2.23),
	builds/posix/prefix.solx86gcc (1.1.2.2), src/common/classes/locks.h
	(1.5.2.5), src/jrd/thd.cpp (1.19.2.1):

	Putting Solaris changes from HEAD to R1_5

2004-06-30 03:26  skidder

	* firebird2/builds/posix/fbintl.vers (1.2):

	Change license for source files which I wrote

2004-06-23 08:33  kkuznetsov

	* firebird2/configure.in (1.141.2.22):

	Putting some Solaris changes from HEAD to hear (B1_5_Release)

2004-06-21 07:24  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.18):

	Increment Fb 1.5.1 build number in preparation for RC3.

2004-06-19 10:11  dimitr

	* firebird2/src/jrd/par.cpp (1.43.2.5):

	Rolled back my bugfix until a proper solution is found.  It fixes
	the v1.5.1 regression with UDFs.

2004-06-16 17:41  kkuznetsov

	* firebird2/builds/posix/firebird.vers (1.3):

	Commented out THD_* functions if using new style of thd

2004-06-16 12:40  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.12):

	Make sure that ib_util.dll gets included in the Win32 embedded kit.

2004-06-11 09:41  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.17):

	Update Build Number for 1.5.1

2004-06-11 01:17  skidder

	* firebird2/doc/WhatsNew (1.36.2.20):

	Clean up WhatsNew

2004-06-09 16:31  paul_reeves

	* firebird2/doc/WhatsNew (1.36.2.19):

	update WhatsNew

2004-06-08 15:59  dimitr

	* firebird2/doc/sql.extensions/README.universal_triggers (1.1.2.2):

	Corrected a typo.

2004-06-08 14:10  kkuznetsov

	* firebird2/builds/posix/firebird.vers (1.2):

	Some more solx86 commits

2004-06-07 11:21  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/BuildExecutableInstall.bat (1.10.2.11),
	jrd/isc_version.h (1.1.2.16):

	Minor tweak to Win32 packaging builder. Update Build Numbers.

2004-06-03 15:12  paulbeach

	* firebird2/src/jrd/: svc.cpp (1.67.2.7), svc.h (1.15.2.1):

	Commit 1.5.1 RC2 Fix as per Dimitry Yemanov

2004-05-31 14:15  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.15):

	Update build numbers.

2004-05-24 17:28  dimitr

	* firebird2/src/remote/server.cpp (1.34.2.4):

	Fixed the reported events issue.  Let's try to wake up the parent
	port when the child one is getting disconnected. It allows to close
	all broken connections ASAP.

2004-05-24 17:06  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.52.2.13), par.cpp (1.43.2.4):

	Rolled back explicit compilation of UDF arguments.  To avoid this
	process from being duplicated, set nod_count to 0 for nod_function.
	 This solution seems to fix both the original bug and the reported
	v1.5.1 regression.

2004-05-23 20:31  skidder

	* firebird2/src/extern/editline/editline.c (1.1.4.4):

	editline.c is generated

2004-05-23 20:24  skidder

	* firebird2/: builds/posix/Makefile.in.extern.editline (1.2.2.1),
	builds/posix/Makefile.in.firebird (1.37.2.13),
	src/extern/editline/CHANGES (1.1.2.1), src/extern/editline/INSTALL
	(1.1.2.1), src/extern/editline/MANIFEST (1.1.4.1),
	src/extern/editline/Make.os9 (1.1.4.1),
	src/extern/editline/Makefile (1.2.4.1),
	src/extern/editline/Makefile.in (1.1.2.1),
	src/extern/editline/PLATFORMS (1.1.2.1), src/extern/editline/README
	(1.1.4.1), src/extern/editline/chared.c (1.1.2.1),
	src/extern/editline/chared.h (1.1.2.1),
	src/extern/editline/common.c (1.1.2.1),
	src/extern/editline/complete.c (1.2.2.1),
	src/extern/editline/config.guess (1.1.2.1),
	src/extern/editline/config.h.in (1.1.2.1),
	src/extern/editline/config.sub (1.1.2.1),
	src/extern/editline/configure (1.1.2.1),
	src/extern/editline/configure.in (1.1.2.1),
	src/extern/editline/editline.3 (1.1.4.1),
	src/extern/editline/editline.c (1.1.4.3),
	src/extern/editline/editline.h (1.2.2.1),
	src/extern/editline/editrc.5 (1.1.2.1), src/extern/editline/el.c
	(1.1.2.1), src/extern/editline/el.h (1.1.2.1),
	src/extern/editline/emacs.c (1.1.2.1), src/extern/editline/hist.c
	(1.1.2.1), src/extern/editline/hist.h (1.1.2.1),
	src/extern/editline/histedit.h (1.1.2.1),
	src/extern/editline/history.c (1.1.2.1),
	src/extern/editline/install-sh (1.1.2.1), src/extern/editline/key.c
	(1.1.2.1), src/extern/editline/key.h (1.1.2.1),
	src/extern/editline/makelist (1.1.2.1), src/extern/editline/map.c
	(1.1.2.1), src/extern/editline/map.h (1.1.2.1),
	src/extern/editline/os9.h (1.1.4.1), src/extern/editline/parse.c
	(1.1.2.1), src/extern/editline/parse.h (1.1.2.1),
	src/extern/editline/prompt.c (1.1.2.1),
	src/extern/editline/prompt.h (1.1.2.1), src/extern/editline/read.c
	(1.1.2.1), src/extern/editline/read.h (1.1.2.1),
	src/extern/editline/readline.c (1.1.2.1),
	src/extern/editline/refresh.c (1.1.2.1),
	src/extern/editline/refresh.h (1.1.2.1),
	src/extern/editline/search.c (1.1.2.1),
	src/extern/editline/search.h (1.1.2.1), src/extern/editline/sig.c
	(1.1.2.1), src/extern/editline/sig.h (1.1.2.1),
	src/extern/editline/sys.h (1.1.2.1), src/extern/editline/sysos9.c
	(1.1.4.1), src/extern/editline/sysunix.c (1.1.4.1),
	src/extern/editline/term.c (1.1.2.1), src/extern/editline/term.h
	(1.1.2.1), src/extern/editline/testit.c (1.1.4.1),
	src/extern/editline/tokenizer.c (1.1.2.1),
	src/extern/editline/tokenizer.h (1.1.2.1),
	src/extern/editline/tty.c (1.1.2.1), src/extern/editline/tty.h
	(1.1.2.1), src/extern/editline/unix.h (1.3.2.1),
	src/extern/editline/vi.c (1.1.2.1), src/extern/editline/TEST/test.c
	(1.1.2.1), src/extern/editline/np/fgetln.c (1.1.2.1),
	src/extern/editline/np/strlcat.c (1.1.2.1),
	src/extern/editline/np/strlcpy.c (1.1.2.1),
	src/extern/editline/np/unvis.c (1.1.2.1),
	src/extern/editline/np/vis.c (1.1.2.1),
	src/extern/editline/np/vis.h (1.1.2.1),
	src/extern/editline/readline/readline.h (1.1.2.1):

	Backport fresh editline to B1_5_Release

2004-05-13 16:02  paulbeach

	* firebird2/src/qli/compile.cpp (1.11.2.1):

	Fix QLI AV.... as per patch submitted by Vladimir Tsvigun
	QLI>declare i long; QLI>i = 10; Bang!

2004-05-08 05:40  skidder

	* firebird2/src/extern/editline/readline/readline.h (1.1):

	Import (unmodified) libedit-2.6.9 to provide line editing
	capabilities for isql

2004-05-08 05:33  skidder

	* firebird2/src/extern/editline/: CHANGES (1.1), INSTALL (1.1),
	Makefile.in (1.1), PLATFORMS (1.1), chared.c (1.1), chared.h (1.1),
	common.c (1.1), config.guess (1.1), config.h.in (1.1), config.sub
	(1.1), configure (1.1), configure.in (1.1), editrc.5 (1.1), el.c
	(1.1), el.h (1.1), emacs.c (1.1), hist.c (1.1), hist.h (1.1),
	histedit.h (1.1), history.c (1.1), install-sh (1.1), key.c (1.1),
	key.h (1.1), makelist (1.1), map.c (1.1), map.h (1.1), parse.c
	(1.1), parse.h (1.1), prompt.c (1.1), prompt.h (1.1), read.c (1.1),
	read.h (1.1), readline.c (1.1), refresh.c (1.1), refresh.h (1.1),
	search.c (1.1), search.h (1.1), sig.c (1.1), sig.h (1.1), sys.h
	(1.1), term.c (1.1), term.h (1.1), tokenizer.c (1.1), tokenizer.h
	(1.1), tty.c (1.1), tty.h (1.1), vi.c (1.1), TEST/test.c (1.1):

	Import (unmodified) libedit-2.6.9 to provide line editing
	capabilities for isql

2004-05-08 05:28  skidder

	* firebird2/src/extern/editline/np/: fgetln.c (1.1), strlcat.c
	(1.1), strlcpy.c (1.1), unvis.c (1.1), vis.c (1.1), vis.h (1.1):

	Import (unmodified) libedit-2.6.9 to provide line editing
	capabilities for isql

2004-05-03 19:05  skidder

	* firebird2/src/common/classes/auto.h (1.9):

	Close a couple potential tins of worms spotted by Claudio in my
	previous commits

2004-05-03 15:15  paul_reeves

	* firebird2/src/install/arch-specific/win32/Readme.txt (1.2.2.5):

	Supply updated readme.txt for Fb 1.5.1 on Win32

2004-05-03 03:52  skidder

	* firebird2/src/common/classes/auto.h (1.8):

	Care about quirks of Windows platform

2004-04-30 06:59  paul_reeves

	* firebird2/src/utilities/dba.epp (1.27.2.6):

	Allow gstat to use local host name with database aliases. Update
	build number.

2004-04-28 16:44  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.13), doc/WhatsNew
	(1.36.2.18),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.10):

	Extend BuildExecutableInstall.bat to create zip and embedded
	packages for Win32. Update build number. Update WhatsNew to reflect
	removal of string to blob fix.

2004-04-27 03:44  skidder

	* firebird2/src/jrd/blb.cpp (1.30.2.6):

	Back out my block leak fix and return to 1.5.0 logic in this place

2004-04-26 00:05  skidder

	* firebird2/src/jrd/blb.cpp (1.30.2.5):

	Use another approach to address memory leak when converting strings
	to blobs. This one works for updatable views

2004-04-25 11:57  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.12):

	Fixed bug in one of my previous commits.

2004-04-24 01:12  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.19):

	Fix bug introduced in first prerelease of 1.5.1 which caused a slow
	MERGE of some specific query.

	Fix bug with FULL JOIN and IS NULL in where clause.    SELECT *
	FROM TableX FULL OUTER JOIN TableY ON (...) WHERE TableY IS NULL

2004-04-21 12:01  paul_reeves

	* firebird2/src/utilities/install.cpp (1.1.2.6):

	Fix comparison typo so that we no longer overwrite newer versions
	of gds32.dll is <sys>.

2004-04-20 12:10  paul_reeves

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.10.2.9), FirebirdInstall_15.iss
	(1.5.2.15):

	Update Win32 packaging scripts.

2004-04-19 12:19  paulbeach

	* firebird2/src/install/misc/firebird.conf (1.28.2.6):

	Improve NFS Warning in conf file

2004-04-18 12:09  paul_reeves

	*
	firebird2/src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.8):

	Update build number to (more) correct value for Fb 1.5. Add support
	to generate fbclient_bor.lib from Implib.

2004-04-18 12:06  paul_reeves

	* firebird2/src/utilities/fbcpl/: fbdialog.cpp (1.1.2.8),
	fbdialog.h (1.1.2.5):

	cpl applet - Fix timing issues under XP/Win2k3.

2004-04-17 04:34  skidder

	* firebird2/src/install/misc/firebird.conf (1.28.2.5):

	Implement Paul B. suggestion about dangerous config file option

2004-04-17 03:13  skidder

	* firebird2/src/jrd/fun.epp (1.22.2.4):

	Fix UDF problems in 64-bit builds

2004-04-15 04:15  skidder

	* firebird2/src/install/arch-specific/linux/super/rpmfiles.txt.in
	(1.2.2.5):

	Fix small Linux SS packaging problem

2004-04-14 09:37  paul_reeves

	* firebird2/src/utilities/fbcpl/fbdialog.cpp (1.1.2.7):

	Fix memory leak in cpl applet.

2004-04-13 00:22  skidder

	* firebird2/builds/win32/msvc7/gstat.vcproj (1.11.2.4):

	Adjust MSVC7 makefiles for the latest Dmitry changes

2004-04-11 16:37  alexpeshkoff

	* firebird2/src/common/config/config_file.cpp (1.11.2.2):

	fixed problem with system log overflow in case of missing
	aliases.conf

2004-04-11 15:17  dimitr

	* firebird2/doc/WhatsNew (1.36.2.17):

	More v1.5.1 changes.

2004-04-11 14:44  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/misc/changeDBAPassword.sh.in
	(1.1.2.4):

	fixed problem with /etc/init.d/firebird modification

2004-04-10 19:24  skidder

	* firebird2/src/jrd/blb.cpp (1.30.2.4):

	Undo my change for BLOBs in read_only transactions and add comment

2004-04-10 16:24  dimitr

	* firebird2/src/jrd/svc.cpp (1.67.2.6):

	Enabled Services API for Win32 CS.

2004-04-10 16:23  dimitr

	* firebird2/src/utilities/gsec.cpp (1.16.2.2):

	1) Backported Service API fixes for GSEC.  2) Added a workaround
	for Win32 CS.

2004-04-10 16:19  dimitr

	* firebird2/builds/win32/msvc6/gstat.dsp (1.14.2.2):

	Fixed GSTAT to understand non-local connection strings.

2004-04-10 16:16  dimitr

	* firebird2/src/utilities/dba.epp (1.27.2.5):

	1) Fixed Services API issues with GSTAT.  2) Fixed GSTAT to
	understand non-local connection strings.

2004-04-10 05:28  skidder

	* firebird2/src/jrd/met.epp (1.61.2.4):

	Small safety fix for new modify_procedure logic

2004-04-10 03:54  skidder

	* firebird2/builds/posix/Makefile.in.intl (1.11.2.2):

	Add new collation for POSIX build. I lost 3 hours debugging it
	because I thought it is a problem with 1.5.1/AMD64 port

2004-04-09 01:46  skidder

	* firebird2/builds/posix/Makefile.in.extlib (1.10.2.6):

	Fix broken soname for libib_util.so in B1_5_Release (SF#904270)

2004-04-08 01:42  skidder

	* firebird2/builds/win32/msvc7/: alice.vcproj (1.8.2.3),
	alice_classic.vcproj (1.8.2.3), burp.vcproj (1.11.2.3),
	burp_classic.vcproj (1.11.2.3), common.vcproj (1.9.2.3),
	common_classic.vcproj (1.7.2.3), dsql_server.vcproj (1.10.2.3),
	dsql_server_classic.vcproj (1.10.2.3), engine.vcproj (1.21.2.3),
	engine_classic.vcproj (1.20.2.3), engine_embed.vcproj (1.8.2.3),
	fb2control.vcproj (1.1.2.3), fb_inet_server.vcproj (1.9.2.3),
	fb_lock_print.vcproj (1.13.2.3), fbclient.vcproj (1.17.2.4),
	fbembed.vcproj (1.14.2.3), fbguard.vcproj (1.11.2.3),
	fbserver.vcproj (1.10.2.3), fbudf.vcproj (1.6.2.3), gbak.vcproj
	(1.11.2.3), gdef.vcproj (1.11.2.3), gds32.vcproj (1.10.2.3),
	gfix.vcproj (1.10.2.3), gpre.vcproj (1.13.2.4), gsec.vcproj
	(1.10.2.3), gsplit.vcproj (1.5.2.3), gstat.vcproj (1.11.2.3),
	ib_udf.vcproj (1.10.2.3), ib_util.vcproj (1.10.2.3), instreg.vcproj
	(1.9.2.3), instsvc.vcproj (1.9.2.3), intl.vcproj (1.10.2.3),
	ipserver.vcproj (1.9.2.3), isql.vcproj (1.11.2.3), lock.vcproj
	(1.8.2.3), lock_classic.vcproj (1.8.2.3), qli.vcproj (1.10.2.3),
	remote.vcproj (1.11.2.3), remote_classic.vcproj (1.11.2.3),
	utilities.vcproj (1.10.2.3), utilities_classic.vcproj (1.9.2.3),
	v5_examples.vcproj (1.1.2.2), wal.vcproj (1.8.2.3),
	wal_classic.vcproj (1.8.2.3):

	Update MSVC7 makefiles

2004-04-08 01:40  skidder

	* firebird2/src/jrd/intl.cpp (1.32.2.2):

	Allow using NONE as a fully transparent charset everywhere

2004-04-06 17:50  dimitr

	* firebird2/doc/WhatsNew (1.36.2.16):

	More v1.5.1 changes.

2004-04-06 17:46  dimitr

	* firebird2/src/intl/collations/xx885913lt.h (1.1.2.1):

	Added new collation.

2004-04-06 17:42  dimitr

	* firebird2/: builds/win32/msvc6/intl.dsp (1.20.2.2),
	src/jrd/intlnames.h (1.7.2.3), src/intl/country_codes.h
	(1.1.1.1.4.1), src/intl/lc_iso8859_13.c (1.1.2.1), src/intl/ld.c
	(1.15.2.2):

	Added new collation.

2004-04-06 09:51  skidder

	* firebird2/src/: common/config/config.cpp (1.40.2.5),
	common/config/config.h (1.23.2.1), install/misc/firebird.conf
	(1.28.2.4), jrd/blob_filter.cpp (1.3.2.1), jrd/err.cpp (1.19.2.1),
	jrd/fun.epp (1.22.2.3), jrd/ibsetjmp.h (1.4.2.1), jrd/isc_sync.cpp
	(1.55.2.3):

	Add BugcheckAbort option to produce coredumps on BUGCHECKs and
	structured exceptions

2004-04-06 05:00  skidder

	* firebird2/src/remote/server.cpp (1.34.2.3):

	Backport fix to delete handling of op_aux_connect verb. This
	currently unused protocol verb received pointer over the wire and
	was writing some data at its location.

2004-04-06 04:45  skidder

	* firebird2/src/install/arch-specific/linux/Makefile.in (1.9.2.5):

	A couple versions of eu-strip I tried produce broken debug info.
	Let's standartize on binutils objcopy for now as it seems to be
	more reliable. I hope an official binutils version with needed
	feature aka 2.15 will be released soon

2004-04-05 00:59  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.18):

	Fix problem with IS NULL on ".. RelationX LEFT JOIN ViewY (...)
	WHERE ViewY.Field IS NULL" and let the optimizer choose for a MERGE
	when possible.	Still there are more situations when a MERGE could
	be made, but this requires stream-depended information.

2004-04-04 19:57  skidder

	* firebird2/src/jrd/dpm.epp (1.15.2.3):

	Allow to modify generators from read-only transactions again

2004-04-04 18:31  skidder

	* firebird2/doc/WhatsNew (1.36.2.15):

	Make fixes descriptions slightly more precise

2004-04-04 15:08  dimitr

	* firebird2/doc/WhatsNew (1.36.2.14):

	Added v1.5.1 changes.

2004-04-04 14:14  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.14):

	Updated build number.

2004-04-04 12:15  dimitr

	* firebird2/src/burp/restore.epp (1.31.2.3):

	Backported Claudio's solution to restore violated not-null
	constraints

2004-04-04 10:41  dimitr

	* firebird2/src/dsql/: dsql.cpp (1.54.2.4), user_dsql.cpp
	(1.20.2.3):

	Fixed the build.

2004-04-04 10:12  dimitr

	* firebird2/src/burp/backup.epp (1.24.2.4):

	Backported bugfix for SF #750659.

2004-04-04 10:04  dimitr

	* firebird2/src/jrd/svc.cpp (1.67.2.5):

	Fixed memory leak.

2004-04-04 01:05  skidder

	* firebird2/src/jrd/dfw.epp (1.45.2.6):

	Use more mild language in warning message in log file as requested
	by Dmitry Emanov

2004-04-03 01:31  arnobrinkman

	* firebird2/src/burp/burp.h (1.17.2.2):

	Bugfix: VIEWs are restored on storage order, this meant if we've a
	VIEW2 which depends on a other VIEW1 then VIEW2 can be restored
	before VIEW1 is restored.  Result of this is wrong DB_KEY_LENGTH
	value for VIEW2.  This fix recalculates db_key_length for all VIEWs
	when all relations are restored.

2004-04-03 01:25  arnobrinkman

	* firebird2/src/burp/restore.epp (1.31.2.2):

	Bugfix: VIEWs are restored on storage order, this meant if we've a
	VIEW2 which depends on a other VIEW1 then VIEW2 can be restored
	before VIEW1 is restored.  Result of this is wrong DB_KEY_LENGTH
	value for VIEW2.  This fix recalculates db_key_length for all VIEWs
	when all relations are restored.

2004-04-03 01:14  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.72.2.7):

	Fix wrong mapping for Count(*) in having clause when used with IN,
	ANY, SOME, ALL

2004-04-02 03:27  skidder

	* firebird2/src/remote/interface.cpp (1.48.2.2):

	Backport fix for IBO crashy behavior (SF#919246)

2004-04-01 05:33  skidder

	* firebird2/src/jrd/opt.cpp (1.73.2.17):

	Backport fix for nulls placement ignored in some queries using
	UNION, GROUP BY and DISTINCT clauses(SF#918653)

2004-04-01 05:03  skidder

	* firebird2/src/jrd/jrd.h (1.42.2.4):

	Backport jmpbuf fix for non-Linux/WIN_NT SS builds

2004-04-01 04:43  skidder

	* firebird2/src/jrd/blb.cpp (1.30.2.3):

	Backport fix for intensive transaction-level memory leak on
	conversion from string to blob

2004-04-01 04:36  skidder

	* firebird2/src/jrd/: blb.cpp (1.30.2.2), cch.cpp (1.35.2.2),
	dpm.epp (1.15.2.2):

	Backport fixes for all problems with readonly databases and
	transactions mentioned in SF#750664

2004-04-01 04:20  skidder

	* firebird2/src/jrd/pag.cpp (1.37.2.6):

	Backport fix for memory leak in isc_database_info

2004-03-31 07:56  skidder

	* firebird2/src/jrd/: dfw.epp (1.45.2.5), met.epp (1.61.2.3),
	met_proto.h (1.18.2.2):

	Backport fix for restore performance regression problem.

2004-03-31 07:08  skidder

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.9.2.4),
	Firebird2Boot.sln (1.1.2.1), alice.vcproj (1.8.2.2),
	alice_classic.vcproj (1.8.2.2), build_msg.vcproj (1.1.2.2),
	burp.vcproj (1.11.2.2), burp_classic.vcproj (1.11.2.2),
	codes.vcproj (1.1.2.2), common.vcproj (1.9.2.2),
	common_classic.vcproj (1.7.2.2), common_static.vcproj (1.1.2.1),
	dsql_server.vcproj (1.10.2.2), dsql_server_classic.vcproj
	(1.10.2.2), engine.vcproj (1.21.2.2), engine_classic.vcproj
	(1.20.2.2), engine_embed.vcproj (1.8.2.2), fb2control.vcproj
	(1.1.2.2), fb_inet_server.vcproj (1.9.2.2), fb_lock_print.vcproj
	(1.13.2.2), fbclient.vcproj (1.17.2.3), fbclient_static.vcproj
	(1.1.2.3), fbembed.vcproj (1.14.2.2), fbguard.vcproj (1.11.2.2),
	fbserver.vcproj (1.10.2.2), fbudf.vcproj (1.6.2.2), gbak.vcproj
	(1.11.2.2), gdef.vcproj (1.11.2.2), gds32.vcproj (1.10.2.2),
	gfix.vcproj (1.10.2.2), gpre.vcproj (1.13.2.3), gpre_boot.vcproj
	(1.12.2.3), gpre_static.vcproj (1.1.2.2), gsec.vcproj (1.10.2.2),
	gsplit.vcproj (1.5.2.2), gstat.vcproj (1.11.2.2), ib_udf.vcproj
	(1.10.2.2), ib_util.vcproj (1.10.2.2), instreg.vcproj (1.9.2.2),
	instsvc.vcproj (1.9.2.2), intl.vcproj (1.10.2.2), ipserver.vcproj
	(1.9.2.2), isql.vcproj (1.11.2.2), lock.vcproj (1.8.2.2),
	lock_classic.vcproj (1.8.2.2), qli.vcproj (1.10.2.2), remote.vcproj
	(1.11.2.2), remote_classic.vcproj (1.11.2.2), utilities.vcproj
	(1.10.2.2), utilities_classic.vcproj (1.9.2.2), v5_examples.vcproj
	(1.1.2.1), wal.vcproj (1.8.2.2), wal_classic.vcproj (1.8.2.2):

	Update MSVC7 makefiles

2004-03-31 04:42  skidder

	* firebird2/src/: jrd/intl_classes.h (1.4.2.1), jrd/jrd.h
	(1.42.2.3), utilities/fbcpl/fbdialog.cpp (1.1.2.6):

	Minor fixes needed to build Firebird 1.5 with VS2003

2004-03-29 09:40  skidder

	* firebird2/src/: common/classes/array.h (1.3.2.2), jrd/cmp.cpp
	(1.52.2.11), jrd/evl.cpp (1.34.2.6), jrd/exe.cpp (1.68.2.9),
	jrd/exe.h (1.15.2.2), jrd/opt.cpp (1.73.2.16), jrd/req.h
	(1.11.2.2):

	Backport invariant dependencies tracking logic. This should cure
	issues with recursive procedures and queries executed in loops like
	SF#627057, SF#922602 and resource leaks reported by Claus Holst

2004-03-29 07:04  skidder

	* firebird2/src/jrd/evl.cpp (1.34.2.5):

	Backport fix for crash on NULL in LIKE ESCAPE

2004-03-29 06:35  skidder

	* firebird2/src/lock/lock.cpp (1.56.2.7):

	Backport fixes for lock manger global objects naming problems on
	Windows, in particular: (1) use separate private mutex for each
	owner, (2) prefix lock manager area mutex with RootDirectory to
	avoid clash of several Firebird instances

2004-03-29 06:00  skidder

	* firebird2/src/jrd/fun.epp (1.22.2.2):

	Backport Fred Polizo's fix for UDF's receiving OCTETS parameters

2004-03-29 05:49  skidder

	* firebird2/: configure.in (1.141.2.21),
	builds/posix/Makefile.in.boot.gpre (1.14.2.2),
	builds/posix/Makefile.in.client.gpre (1.9.2.2),
	builds/posix/Makefile.in.embed.gpre (1.9.2.2),
	builds/posix/Makefile.in.static.gpre (1.10.2.2),
	builds/posix/prefix.linux_amd64 (1.4.2.1),
	builds/win32/msvc6/gpre.dsp (1.18.2.2),
	builds/win32/msvc6/gpre_boot.dsp (1.17.2.1),
	builds/win32/msvc6/gpre_static.dsp (1.3.2.1),
	builds/win32/msvc7/gpre.vcproj (1.13.2.2),
	builds/win32/msvc7/gpre_boot.vcproj (1.12.2.2),
	builds/win32/msvc7/gpre_static.vcproj (1.1.2.1),
	src/burp/canonical.cpp (1.20.2.1), src/dsql/ddl.cpp (1.50.2.1),
	src/dsql/dsql.cpp (1.54.2.3), src/dsql/user_dsql.cpp (1.20.2.2),
	src/dudley/exe.epp (1.18.2.2), src/extern/editline/editline.c
	(1.1.4.2), src/gpre/c_cxx.cpp (1.20.2.1), src/gpre/gpre.cpp
	(1.26.2.1), src/gpre/int.cpp (1.13.2.1), src/gpre/int_cxx.cpp
	(1.11.2.1), src/include/fb_types.h (1.25.2.1),
	src/install/arch-specific/linux/Makefile.in (1.9.2.4),
	src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.13.2.7),
	src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.11),
	src/install/arch-specific/linux/classic/postuninstall.sh.in
	(1.1.2.3),
	src/install/arch-specific/linux/misc/changeGdsLibraryCompatibleLink.sh.in
	(1.1.2.2),
	src/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.1.2.10), src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.20),
	src/install/arch-specific/linux/super/postuninstall.sh.in
	(1.1.2.5), src/install/arch-specific/linux/super/preinstall.sh.in
	(1.2.2.6), src/install/arch-specific/linux/super/rpmfiles.txt.in
	(1.2.2.4), src/jrd/ail.cpp (1.18.2.1), src/jrd/alt.cpp (1.21.2.2),
	src/jrd/blb.cpp (1.30.2.1), src/jrd/blb.h (1.6.2.1),
	src/jrd/btr.cpp (1.33.2.2), src/jrd/cch.cpp (1.35.2.1),
	src/jrd/common.h (1.73.2.4), src/jrd/cvt2.cpp (1.11.2.2),
	src/jrd/dfw.epp (1.45.2.4), src/jrd/dyn.epp (1.27.2.2),
	src/jrd/dyn.h (1.5.2.1), src/jrd/evl.cpp (1.34.2.4),
	src/jrd/fun.epp (1.22.2.1), src/jrd/gdsold.h (1.23.2.1),
	src/jrd/grant.epp (1.15.2.1), src/jrd/ibase.h (1.40.2.6),
	src/jrd/ini.epp (1.18.2.2), src/jrd/intlobj.h (1.6.2.1),
	src/jrd/jrd.cpp (1.76.2.7), src/jrd/met.epp (1.61.2.2),
	src/jrd/met_proto.h (1.18.2.1), src/jrd/pag.cpp (1.37.2.5),
	src/jrd/rec.cpp (1.9.2.1), src/jrd/scl.epp (1.21.2.3),
	src/jrd/tra.h (1.13.2.1), src/jrd/unix.cpp (1.25.2.1),
	src/jrd/utl.cpp (1.35.2.3), src/jrd/val.h (1.10.2.1),
	src/jrd/why.cpp (1.23.2.2), src/jrd/why_proto.h (1.6.2.2),
	src/qli/eval.cpp (1.22.2.1), src/qli/mov.cpp (1.17.2.2),
	src/remote/interface.cpp (1.48.2.1), src/remote/protocol.cpp
	(1.26.2.1), src/remote/server.cpp (1.34.2.2), src/remote/xdr.cpp
	(1.9.2.4), src/remote/xdr_proto.h (1.7.2.1):

	Backport AMD64 port

2004-03-27 14:36  alexpeshkoff

	* firebird2/src/: dsql/dsql.cpp (1.54.2.2),
	jrd/ExecuteStatement.cpp (1.14.2.3), jrd/ExecuteStatement.h
	(1.5.2.2), jrd/exe.cpp (1.68.2.8), jrd/why.cpp (1.23.2.1),
	jrd/why_proto.h (1.6.2.1):

	fixed memory leak in EXECUTE STATEMENT

2004-03-27 14:34  alexpeshkoff

	* firebird2/src/jrd/os/win32/config_root.cpp (1.7.2.3):

	fixed problem with searching firebird.conf in $FIREBIRD for win32

2004-03-26 17:06  skidder

	* firebird2/builds/posix/fbintl.vers (1.1):

	add forgotten file

2004-03-26 00:12  skidder

	* firebird2/: builds/posix/firebird.vers (1.1),
	builds/posix/prefix.linux_amd64 (1.4), src/remote/server_stub.cpp
	(1.1):

	1. POSIX build libraries export only public API. 2. Unify exports
	for PROD_BUILD and DEV_BUILD. 3. Support for context memory pools.
	4. Memory manager has lower memory overhead exceptionally on 64 bit
	targets

2004-03-25 08:38  aafemt

	* firebird2/src/isql/extract.epp (1.10.2.1):

	Fix for procedure params extract. Global variables must die!!

2004-03-24 22:43  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.10):

	Fixed bug QC #7449.

2004-03-24 22:36  dimitr

	* firebird2/src/jrd/dpm.epp (1.15.2.1):

	Fixed wrong generator pages write order.

2004-03-24 22:27  dimitr

	* firebird2/src/jrd/evl.cpp (1.34.2.3):

	Fixed memory leak.

2004-03-24 22:11  dimitr

	* firebird2/src/jrd/evl.cpp (1.34.2.2):

	Fixed bug SF #784121 (by Claudio).

2004-03-24 22:00  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.9):

	Fixed procedures vs views issue (invalid impure area re-usage).

2004-03-23 12:07  aafemt

	* firebird2/builds/posix/prefix.linux_amd64 (1.3):

	Remove DEBUG_GDS_ALLOC from platform files since Alex's added it
	into make.rules

2004-03-22 18:33  epocman

	* firebird2/src/utilities/: fbcpl/fbdialog.cpp (1.1.2.5),
	install_nt.h (1.7.2.12), install_svc.cpp (1.18.2.5), servi_proto.h
	(1.3.2.5), services.cpp (1.9.2.6):

	Win32 - instsvc.exe adds a service description string to the
	services configuration info on OSes that support it (Win2K, WinXP,
	Win2K3).

2004-03-20 16:45  alexpeshkoff

	* firebird2/src/common/classes/auto.h (1.7):

	1. introduced Jrd and Ods namespaces 2. cleanup of blk* request
	conversions 3. fixed memory allocation in Execute Statement ***
	posix build fixes ***

2004-03-20 15:30  alexpeshkoff

	* firebird2/src/common/classes/auto.h (1.6):

	1. dropped unneeded AutoPtrFromString 2. added private copy
	constructor and assignment to avoid errors

2004-03-18 06:54  robocop

	* firebird2/src/common/classes/auto.h (1.5):

	Cleanup. In geeky words: PandoraBox* pbox =
	reinterpret_cast<PandoraBox*>(&can_of_worms); pbox->open();
	pbox->flush(); Nickolay may want to undo my ods.h changes if gcc
	insists in its crusade against non-PODs and poodles.

2004-03-16 19:01  bellardo

	* firebird2/src/install/arch-specific/darwin/Makefile.in (1.2.2.9):

	Fix small bug in makefile

2004-03-15 20:10  alexpeshkoff

	* firebird2/src/common/classes/auto.h (1.4):

	fixing posix build

2004-03-14 14:08  alexpeshkoff

	* firebird2/src/common/classes/auto.h (1.3):

	May use _any_ way to delete pointer, not only operator delete

2004-03-11 06:03  robocop

	* firebird2/src/common/classes/auto.h (1.2):

	Cleanup Some minor corrections Second step to rename

2004-03-05 10:37  alexpeshkoff

	* firebird2/src/common/classes/auto.h (1.1):

	1. front-ported blob returning fix 2.correct license

2004-03-05 08:21  skidder

	* firebird2/src/dsql/user_dsql.cpp (1.20.2.1):

	Fix memory corruption

2004-02-22 12:13  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.12),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.7),
	src/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.7), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.14), src/install/arch-specific/win32/Readme.txt (1.2.2.4),
	src/install/arch-specific/win32/installation_readme.txt (1.2.2.6),
	src/jrd/isc_version.h (1.1.2.13):

	Add check for dinkum patches under msvc6. Update Build Number.

2004-02-22 00:04  skidder

	*
	firebird2/src/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.1.2.9):

	Fix SS problem with docs

2004-02-21 22:47  skidder

	* firebird2/src/install/arch-specific/linux/:
	classic/rpmheader.txt.in (1.2.2.1), super/rpmheader.txt.in
	(1.2.2.2):

	Minor packaging fixes to make people writing docs happy

2004-02-20 07:30  dimitr

	* firebird2/doc/WhatsNew (1.36.2.13):

	no message

2004-02-19 09:12  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.12):

	Updated version info.

2004-02-19 08:57  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.11):

	Updated version info.

2004-02-15 09:51  dimitr

	* firebird2/builds/posix/Makefile.in.extlib (1.10.2.5):

	Fixed a typo. Thanks To Oleg Kraynov.

2004-02-13 11:14  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/super/preuninstall.sh.in
	(1.1.2.8):

	Don't remove user & group firebird after uninstall

2004-02-13 11:13  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.19):

	Don't add lines to hosts.allow file

2004-02-10 19:53  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.10):

	Updated version info.

2004-02-10 19:46  dimitr

	* firebird2/src/isql/isql.epp (1.32.2.5):

	Fixed ISQL temp-file problem reported recently.

2004-02-10 19:16  dimitr

	* firebird2/doc/WhatsNew (1.36.2.12):

	Updated WhatsNew

2004-02-08 12:34  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.18):

	One more fix from Andreas Bentele

2004-02-08 11:49  alexpeshkoff

	* firebird2/src/install/misc/SSchangeRunUser.sh.in (1.1.2.3):

	Fixed typo

2004-02-06 08:45  skidder

	* firebird2/src/burp/: backup.epp (1.24.2.3), restore.epp
	(1.31.2.1):

	Backport fix for backup/restore of streamed blobs

2004-02-06 05:56  skidder

	* firebird2/src/jrd/: blp.h (1.5.4.2), gds.cpp (1.84.2.6):

	Backport savepoint printing code to B1_5_Release.  Not tested in
	this branch since logging facilities are broken there, works in
	2.0. Backported correct output name for EXECUTE STATEMENT verb

2004-02-05 11:16  paul_reeves

	* firebird2/src/: jrd/isc_version.h (1.1.2.9), misc/security.gbak
	(1.1.2.3):

	Restore SYSDBA grants to tables in security database. Update build
	number.

2004-02-04 16:30  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.17):

	Fixed syntax error Thanks to Andreas Bentele

2004-01-31 20:33  dimitr

	* firebird2/src/jrd/gds.cpp (1.84.2.5):

	Fixed the BLR blob filter.

2004-01-31 17:31  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.16):

	One more way to register service - /usr/sbin/update-rc.d Thanks to
	Andreas Bentele

2004-01-31 16:50  alexpeshkoff

	* firebird2/src/install/misc/: SSchangeRunUser.sh.in (1.1.2.2),
	SSrestoreRootRunUser.sh.in (1.1.2.2), changeDBAPassword.sh.in
	(1.1.2.4):

	Fixed scripts that modify SYSDBA password and RunUser

2004-01-31 14:31  dimitr

	* firebird2/src/dsql/: dsql.tab.h (1.18.2.3), parse.cpp (1.72.2.5),
	parse.y (1.79.2.6):

	Removed obsolete EXECUTE VARCHAR syntax.

2004-01-31 12:26  alexpeshkoff

	* firebird2/src/jrd/: blp.h (1.5.4.1), gds.cpp (1.84.2.4):

	Fixed new blr print problems

2004-01-29 14:37  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/:
	taruninstall.sh.in (1.1.2.1), postinstall.sh.in (1.2.2.15),
	preuninstall.sh.in (1.1.2.7), tarinstall.sh.in (1.1.2.3):

	Small fixes of SS install - mostly SuSE related Thanks to Andreas
	Bentele

2004-01-29 14:07  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/misc/firebird.init.d.suse.in
	(1.1.2.3):

	Small fixes of SS install - mostly SuSE related Thanks to Andreas
	Bentele

2004-01-28 17:26  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.8):

	Rolled back one of the previous bugfixes diue to unpredicted
	behaviour.

2004-01-28 16:32  hvlad

	* firebird2/src/v5_examples/: empbld.sql (1.4.2.1), empbuild.e
	(1.3.2.1), empddl.sql (1.5.2.1), intlbld.e (1.2.2.1):

	Restore examples build. Thanks to Helen Borrie and Paul Beach

2004-01-28 10:28  dimitr

	* firebird2/src/jrd/jrd.cpp (1.76.2.6):

	Fixed possible crashes when this routine is called from
	verify_database_name().  Confirmed for the embedded server in the
	case of relative root path.

2004-01-27 14:52  epocman

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.19.2.7),
	instreg.dsp (1.12.2.3), instsvc.dsp (1.13.2.2):

	Static link instreg and instsvc, just as instclient.

2004-01-27 12:12  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/FirebirdInstall_15.iss (1.5.2.13),
	jrd/isc_version.h (1.1.2.8):

	Update build number. Minor tweak to win32 install script.

2004-01-27 08:17  stryqx

	* firebird2/src/dsql/: dsql.tab.h (1.18.2.2), parse.cpp (1.72.2.4):

	Regenerate after changing PAGE_SIZE to KW_PAGE_SIZE.

2004-01-26 13:59  dimitr

	* firebird2/src/jrd/val.cpp (1.15.2.2):

	Minor debugging corrections.

2004-01-26 13:55  dimitr

	* firebird2/src/jrd/dfw.epp (1.45.2.3):

	Fixed yet another porting bug. Thanks to Eugene Kilin.

2004-01-26 08:10  stryqx

	* firebird2/src/dsql/: keywords.cpp (1.18.2.1), parse.y (1.79.2.5):

	Change PAGE_SIZE to KW_PAGE_SIZE so as not to conflict with system
	define on FreeBSD.

2004-01-23 05:49  skidder

	* firebird2/src/dsql/parse.y (1.79.2.4):

	Allocate static stack for bison parser

2004-01-22 08:47  epocman

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.19.2.6),
	common_utilities.dsp (1.1.2.1), instclient.dsp (1.1.2.3):

	Static link instclient.exe so it can be used from an installer when
	MS compiler support DLLs are possibly not yet updated.

2004-01-21 16:50  paul_reeves

	* firebird2/: builds/win32/clean_all.bat (1.9.2.1),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.6),
	src/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.5), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.12), src/jrd/isc_version.h (1.1.2.7), src/jrd/utl.cpp
	(1.35.2.2):

	Update build number. Make isc_get_client_version return ISC_
	version. Improve Installable Exe builder, especially to add support
	for pdb files and make final name more descriptive.

2004-01-20 18:38  skidder

	* firebird2/src/jrd/sch.cpp (1.6.2.4):

	Backport the fix into 1.5 tree

2004-01-20 04:09  skidder

	* firebird2/src/jrd/ibinitdll.cpp (1.6.2.5):

	Rollback Alex initialization code since it is not needed anymore.
	I added implicit threading subsystem initialization during
	scheduler initialization : read at first y-valve subsystem entry.

2004-01-20 04:02  skidder

	* firebird2/src/jrd/sch.cpp (1.6.2.3):

	Backport fix for thread scheduler initialization race condition
	that affected client library stability and was the reason of crash
	from Barry's coredump

2004-01-17 18:49  alexpeshkoff

	* firebird2/src/remote/srvr_w32.cpp (1.26.2.2):

	Removed hack, which loaded fbclient.dll at server startup - UDF's
	work fine in 9x without it now.

2004-01-17 17:41  alexpeshkoff

	* firebird2/src/isql/isql.epp (1.32.2.4):

	Fixed trivial AV when exiting w/o connect or create database

2004-01-17 17:33  alexpeshkoff

	* firebird2/src/jrd/ibinitdll.cpp (1.6.2.4):

	Added explicit thread subsystem initialization for fbclient

2004-01-16 12:13  stryqx

	* firebird2/src/install/arch-specific/freebsd/install.sh.in
	(1.1.2.6):

	Make it easier for PHP users to get up and running.

2004-01-15 15:07  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/preinstall.sh.in
	(1.2.2.5):

	Changed check for 'ed' presence to 'ex'.

2004-01-15 14:48  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/misc/firebird.init.d.debian.in
	(1.1.2.2):

	Fixed typo in script

2004-01-14 10:57  stryqx

	* firebird2/src/install/arch-specific/freebsd/install.sh.in
	(1.1.2.5):

	Make this script work on a clean system.

2004-01-12 07:58  skidder

	* firebird2/builds/posix/prefix.linux_amd64 (1.2):

	Do more AMD64 fixes. libfbstatic builds and can do some basic stuff
	now

2004-01-12 07:24  stryqx

	* firebird2/src/install/arch-specific/freebsd/install.sh.in
	(1.1.2.4):

	Cope with upgrades more gracefully.

2004-01-12 06:57  stryqx

	* firebird2/src/install/arch-specific/freebsd/install.sh.in
	(1.1.2.3):

	libgds links to libfbembed for ClassicServer.

2004-01-12 05:57  skidder

	* firebird2/builds/posix/prefix.linux_amd64 (1.1):

	Add prefix for my machine

2004-01-10 16:15  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.7):

	Fixed bug with computed fields referenced in a trigger context.

2004-01-09 10:28  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.6), install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.11), misc/security.gbak (1.1.2.2):

	Add grants to public on tables in security.fdb. Update build
	numbers for post-RC8 builds. Add a space to two string resources in
	the Win32 installer.

2004-01-08 11:28  epocman

	* firebird2/src/utilities/: install.cpp (1.1.2.5),
	install_client.cpp (1.1.2.3):

	Minor bug fixes, as reported in firebird-devel by
	<togniolli@uol.com.br>.

2004-01-07 17:49  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.14):

	Fixed problems: 1. ex couldn't write to file with 0550 (even under
	root) 2. don't run gsec twice for tar-install

2004-01-07 11:09  dimitr

	* firebird2/src/: alice/alice.cpp (1.27.2.1), burp/burp.cpp
	(1.33.2.2), utilities/dba.epp (1.27.2.4), utilities/gsec.cpp
	(1.16.2.1), jrd/svc.cpp (1.67.2.4):

	Removed handle leaks in the service manager.

2004-01-05 09:48  paul_reeves

	* firebird2/: builds/win32/msvc6/fb2control.dsp (1.1.2.5),
	src/install/arch-specific/win32/installation_readme.txt (1.2.2.5),
	src/utilities/fbcpl/fbdialog.cpp (1.1.2.4),
	src/utilities/fbcpl/fbdialog.h (1.1.2.4):

	Update build number. Improve error detection in cpl applet. Update
	some Win32 install notes.

2004-01-03 13:36  skywalker

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.13):

	Change to remove libgds.so if it is a link, but not if it is an
	actual file.

2004-01-03 13:35  skywalker

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.10):

	Change to remove existing links for libgds.so but not remove it if
	it is a file.

2004-01-03 13:34  skywalker

	*
	firebird2/src/install/arch-specific/linux/misc/changeDBAPassword.sh.in
	(1.1.2.3):

	Change to use ex, and to write SYSDBA.password correctly (variable
	was not set).

2004-01-03 12:40  epocman

	* firebird2/src/utilities/: install_nt.h (1.7.2.11), servi_proto.h
	(1.3.2.4), services.cpp (1.9.2.5):

	New helper function to check NT services status easier from other
	tools (like control panel applet).  Mainly for P.Reeves useage for
	now. The whole install helper functions is pending a OO rewrite in
	HEAD branch.

2004-01-02 15:32  epocman

	* firebird2/src/utilities/install.cpp (1.1.2.4):

	instclient.exe : new code (commented out for now) that can patch
	the string FileVersion (in addition to the numerical FileVersion)
	in case this proves really usefull. There has been a report that
	EMS IBManager had an issue with this, though I could not reproduce
	myself. In case it proves true, the code is ready and tested. Just
	need to uncomment it.

2003-12-30 01:26  skidder

	* firebird2/src/install/arch-specific/linux/Makefile.in (1.9.2.3):

	Correction

2003-12-30 01:16  skidder

	* firebird2/src/install/arch-specific/linux/Makefile.in (1.9.2.2):

	Make GDB happy with our debug info

2003-12-30 01:15  epocman

	* firebird2/src/iscguard/cntl_guard.cpp (1.8.2.2):

	Running as a service, while stopping, fbguard.exe did triggered the
	engine service stop but did not wait for the complete stop before
	reporting successfull stop. This could led to problems, dependent
	on system response time, when attempting removal of services
	immediately after a stop. Problem could be surfaced through instsvc
	and through the control panel applet.

2003-12-29 05:40  skidder

	* firebird2/src/install/arch-specific/linux/Makefile.in (1.9.2.1):

	Build external debug info packages

2003-12-29 03:31  skywalker

	* firebird2/src/install/misc/aliases.conf.in (1.1.2.2):

	Add original entry with employee.fdb defined.

2003-12-29 03:12  tmcsys

	* firebird2/src/install/arch-specific/darwin/install-script
	(1.1.2.7):

	change location of StartupItems for 10.3 OS/X Server

2003-12-28 05:53  skidder

	* firebird2/src/install/:
	arch-specific/linux/classic/makeInstallImage.sh.in (1.13.2.6),
	arch-specific/linux/super/makeInstallImage.sh.in (1.1.2.8),
	misc/CSchangeRunUser.sh.in (1.1.2.4),
	misc/CSrestoreRootRunUser.sh.in (1.1.2.2),
	misc/changeDBAPassword.sh.in (1.1.2.3):

	Since ed is not installed in most configurations, eradicate its
	usage from Firebird 1.5 installer. ex dependency is still present
	(for more than a year) and may be replaced with sed dependency if
	creates problem

2003-12-28 00:39  skidder

	* firebird2/builds/posix/prefix.linux (1.18.2.3):

	Distribute debuggable PROD_BUILD

2003-12-28 00:13  skidder

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.9):

	Rollback recent changes and create normal user and group on
	Mandrake. Usage of system users for non-system packages is likely
	to create problems

2003-12-28 00:09  skidder

	* firebird2/src/install/misc/aliases.conf.in (1.1.2.1):

	Add file forgotten by Mark

2003-12-28 00:07  skidder

	* firebird2/doc/WhatsNew (1.36.2.11):

	Document my change

2003-12-28 00:06  skidder

	* firebird2/src/jrd/ibase.h (1.40.2.5):

	Add version to ibase.h

2003-12-26 16:57  dimitr

	* firebird2/doc/WhatsNew (1.36.2.10):

	Added RC8 changes.

2003-12-26 16:00  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.7):

	Fixed issue spotted by Claudio.

2003-12-24 16:43  dimitr

	* firebird2/builds/win32/msvc6/: alice.dsp (1.15.2.1),
	alice_classic.dsp (1.12.2.1), burp.dsp (1.17.2.1), burp_classic.dsp
	(1.15.2.1), common.dsp (1.21.2.2), common_classic.dsp (1.15.2.2),
	dsql_server.dsp (1.20.2.1), dsql_server_classic.dsp (1.16.2.1),
	engine.dsp (1.32.2.2), engine_classic.dsp (1.28.2.2),
	engine_embed.dsp (1.9.2.1), fb2control.dsp (1.1.2.4),
	fb_inet_server.dsp (1.17.2.1), fb_lock_print.dsp (1.17.2.1),
	fbclient.dsp (1.33.2.3), fbembed.dsp (1.25.2.1), fbguard.dsp
	(1.17.2.2), fbserver.dsp (1.28.2.1), fbudf.dsp (1.10.2.1), gbak.dsp
	(1.19.2.1), gdef.dsp (1.14.2.1), gds32.dsp (1.18.2.2), gfix.dsp
	(1.17.2.2), gpre.dsp (1.18.2.1), gsec.dsp (1.13.2.1), gsplit.dsp
	(1.6.2.1), gstat.dsp (1.14.2.1), ib_udf.dsp (1.15.2.1), ib_util.dsp
	(1.15.2.1), instclient.dsp (1.1.2.2), instreg.dsp (1.12.2.2),
	instsvc.dsp (1.13.2.1), intl.dsp (1.20.2.1), intlcpp.dsp (1.5.2.1),
	ipserver.dsp (1.13.2.1), isql.dsp (1.19.2.1), lock.dsp (1.12.2.1),
	lock_classic.dsp (1.10.2.1), qli.dsp (1.13.2.1), remote.dsp
	(1.17.2.1), remote_classic.dsp (1.14.2.1), utilities.dsp
	(1.13.2.1), utilities_classic.dsp (1.11.2.1), v5_examples.dsp
	(1.3.2.1), wal.dsp (1.12.2.1), wal_classic.dsp (1.10.2.1):

	Let's create PDB files as a part of the release builds.

2003-12-24 15:53  dimitr

	* firebird2/src/ipserver/ipserver.cpp (1.19.2.2):

	Fixed one more server crash.

2003-12-24 14:02  dimitr

	* firebird2/src/jrd/: rse.cpp (1.28.2.3), sort.cpp (1.38.2.1),
	sort.h (1.7.2.1):

	Fixed server crashes in sort finilization. Thanks to Vlad Horsun
	and Oleg Loa.

2003-12-24 13:19  dimitr

	* firebird2/src/remote/srvr_w32.cpp (1.26.2.1):

	Fixed internal window issue.

2003-12-24 00:23  skywalker

	* firebird2/configure.in (1.141.2.20):

	Added generation of new script files from .in templates

2003-12-24 00:22  skywalker

	* firebird2/src/install/arch-specific/linux/super/:
	makeInstallImage.sh.in (1.1.2.7), postinstall.sh.in (1.2.2.12):

	Update install image to have new script files Update generation of
	password for rpm installs Alias file set as default option (trial
	go)

2003-12-24 00:21  skywalker

	* firebird2/src/install/arch-specific/linux/classic/:
	makeInstallImage.sh.in (1.13.2.5), postinstall.sh.in (1.10.2.8),
	preinstall.sh.in (1.4.2.2):

	Update install image to have two new script files Update generation
	of password for rpm installs Make default for libgds.so point to
	libfbembed.so Alias file set as default option (trial go)

2003-12-24 00:17  skywalker

	*
	firebird2/src/install/arch-specific/linux/misc/changeDBAPassword.sh.in
	(1.1.2.2):

	updated to use the openssl passwd generation for random, and to
	write out SYSDBA.password file

2003-12-24 00:14  skywalker

	*
	firebird2/src/install/arch-specific/linux/misc/createAliasDB.sh.in
	(1.1.2.1):

	A new script to add an entry into aliases.conf and to create an
	empty database

2003-12-24 00:13  skywalker

	*
	firebird2/src/install/arch-specific/linux/misc/changeGdsLibraryCompatibleLink.sh.in
	(1.1.2.1):

	Add a script to help change the libgds.so links between
	libfbembed.so and libfbclient.so for classic distributions

2003-12-23 21:39  skywalker

	* firebird2/src/install/misc/changeDBAPassword.sh.in (1.1.2.2):

	Update password generate method, and change format of the local
	SYSDBA.password file it writes.

2003-12-22 19:30  dimitr

	* firebird2/src/jrd/isc_file.cpp (1.52.2.5):

	Fixed bug introduced some months ago.

2003-12-22 18:58  dimitr

	* firebird2/src/burp/mvol.cpp (1.13.2.1):

	Another bugfix by Oleg Loa. Never terminate the server when GBAK is
	running as a service.

2003-12-22 18:43  dimitr

	* firebird2/src/jrd/: cvt2.cpp (1.11.2.1), evl.cpp (1.34.2.1):

	Fixed bug in nulls handling in BETWEEN. Thanks to Oleg Loa.

2003-12-21 12:51  alexpeshkoff

	* firebird2/src/jrd/lck.cpp (1.18.2.2):

	Rolled back my recent changes as absolutely wrong.

2003-12-21 01:43  skidder

	* firebird2/src/: dsql/dsql.tab.h (1.18.2.1), dsql/gen.cpp
	(1.33.2.3), dsql/node.h (1.23.2.3), dsql/parse.cpp (1.72.2.3),
	dsql/parse.y (1.79.2.3), jrd/blr.h (1.12.2.1), jrd/par.cpp
	(1.43.2.3):

	Fix NULLS FIRST/LAST issue and update parse.cpp

2003-12-19 16:43  paul_reeves

	* firebird2/: builds/win32/msvc6/fb2control.dsp (1.1.2.3),
	doc/README.Win32LibraryInstallation.txt (1.1.2.4),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.5), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.10), src/utilities/install.cpp (1.1.2.3),
	src/utilities/install_client.cpp (1.1.2.2),
	src/utilities/install_proto.h (1.1.2.2):

	Update build number for Fb 1.5. Put correct link to IDPL in some
	boiler plates. (Very) minor changes to Win32 build process.

2003-12-19 12:48  paul_reeves

	* firebird2/src/utilities/fbcpl/: fbdialog.cpp (1.1.2.3),
	fbdialog.h (1.1.2.3), fbpanel.cpp (1.1.2.4), fbpanel.h (1.1.2.3),
	res/fbcontrol.rc2 (1.1.2.2):

	cpl applet - Prevent runaway error dialogues. Disable controls if
	user has insufficient access rights.

2003-12-17 18:54  alexpeshkoff

	* firebird2/src/jrd/lck.cpp (1.18.2.1):

	Fixed 'Fatal lock manager error: invalid lock id (0), errno: 0' (at
	least one of the reasons for this error).  Bug happened when
	attempt was made to call LCK_convert_non_blocking() for LCK_none
	lock.

2003-12-17 15:33  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.11),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.4),
	src/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.5),
	src/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.4), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.9), src/jrd/isc_version.h (1.1.2.6):

	Integrate instclient into Win32 install script. Increment Build no
	for Fb 1.5. Make some minor corrections to some license
	boiler-plates.

2003-12-17 09:23  epocman

	* firebird2/src/utilities/install.cpp (1.1.2.2):

	Get rid of temp file in case of errors.

2003-12-15 18:12  epocman

	* firebird2/doc/README.Win32LibraryInstallation.txt (1.1.2.3):

	Updated documentation.

2003-12-15 17:23  epocman

	* firebird2/: builds/win32/make_all.bat (1.4.2.10),
	builds/win32/msvc6/Firebird2.dsw (1.19.2.5),
	builds/win32/msvc6/instclient.dsp (1.1.2.1),
	builds/win32/msvc6/instgds.dsp (1.1.2.2),
	src/utilities/gdsclient.cpp (1.1.2.6),
	src/utilities/gdsclient_proto.h (1.1.2.4),
	src/utilities/install.cpp (1.1.2.1),
	src/utilities/install_client.cpp (1.1.2.1),
	src/utilities/install_gds.cpp (1.1.2.4), src/utilities/install_nt.h
	(1.7.2.10), src/utilities/install_proto.h (1.1.2.1),
	builds/win32/msvc7/instclient.vcproj (1.1.2.1),
	builds/win32/msvc7/instgds.vcproj (1.1.2.2):

	Win32 - new instclient.exe tool (replaces instgds.exe).
	Documentation to follow shortly from me and/or Paul R.

2003-12-15 05:32  skywalker

	* firebird2/: configure.in (1.141.2.19),
	builds/posix/Makefile.in.client.util (1.9.2.3),
	builds/posix/Makefile.in.firebird (1.37.2.12),
	doc/README.user.troubleshooting (1.1.2.2),
	src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.13.2.4), src/install/arch-specific/linux/misc/firebird.xinetd.in
	(1.2.2.3),
	src/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.1.2.6), src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.11),
	src/install/arch-specific/linux/super/postuninstall.sh.in
	(1.1.2.4), src/install/arch-specific/linux/super/preinstall.sh.in
	(1.2.2.4), src/install/arch-specific/linux/super/preuninstall.sh.in
	(1.1.2.6), src/install/misc/fb_config.in (1.1.2.1):

	Update makefile for gstat add -lfbstatic to allow build to find
	db_alias.o

	Rollback xinetd flags - remove KEEPALIVE as Nickolay has this
	option hardcoded and it is not required.

	Update make clean to remove links as well

	Change troubleshooting doco to use /opt/firebird rather than
	/usr/local/firebird

	Add fb_lock_print to super install package

	Fix (my) syntax error in super uninstall

	Change super install scripts to use FBXXXX rather than IBXXX, I
	kept getting into trouble copying stuff from classic to super - now
	they are both the same

	also add a fb_config utility (undocumented currently)

2003-12-15 00:40  skidder

	* firebird2/src/: common/config/config.cpp (1.40.2.4), jrd/sch.cpp
	(1.6.2.2):

	Backport fixes for race conditions to Firebird 1.5

2003-12-14 23:07  skywalker

	* firebird2/src/install/arch-specific/linux/misc/firebird.xinetd.in
	(1.2.2.2):

	Changed FLAGS to include KEEPALIVE option needed apparantly for a
	change that was introduced to the service

2003-12-14 08:00  skywalker

	* firebird2/src/install/arch-specific/linux/:
	classic/postinstall.sh.in (1.10.2.7), classic/postuninstall.sh.in
	(1.1.2.2), super/postinstall.sh.in (1.2.2.10),
	super/postuninstall.sh.in (1.1.2.3):

	Fixed up the compatibility links, for libgds.so etc, checks now for
	links explicitly ( -e looks for the file at the end of the link)
	and removing the links when package is removed.

	Updated super to do uninstall the same way as classic did (use same
	routine and put uninstall.sh into bin directory)

2003-12-14 05:13  skywalker

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.6):

	Remove extra copy of reset server left in build uninstall file
	routine (my mistake from about 6mths ago).

2003-12-14 05:06  skywalker

	* firebird2/src/install/arch-specific/linux/misc/firebird.xinetd.in
	(1.2.2.1):

	Change run user for classic to be user firebird

2003-12-14 05:05  skywalker

	* firebird2/src/install/arch-specific/linux/super/:
	makeInstallImage.sh.in (1.1.2.5), postinstall.sh.in (1.2.2.9):

	Updated super install change replace of /etc/services entry

2003-12-14 05:03  skywalker

	* firebird2/src/install/arch-specific/linux/classic/:
	makeInstallImage.sh.in (1.13.2.3), postinstall.sh.in (1.10.2.5),
	postuninstall.sh.in (1.1.2.1):

	Update classic linux install

	1. fix examples database chmod to ug+rw *.fdb 2. fix check for
	firebird user already exists 3. add mandrake specific useradd
	method 4. makeImage gets .sh files from other location

2003-12-14 04:59  skywalker

	* firebird2/doc/README.user.troubleshooting (1.1.2.1):

	Update docs to specify that need to belong to firebird group to
	access databases on classic.

2003-12-14 04:58  skywalker

	* firebird2/builds/posix/Makefile.in.firebird (1.37.2.11):

	make clean now should delete from tmp_root not gen_root

2003-12-14 04:57  skywalker

	* firebird2/configure.in (1.141.2.18):

	Change location of some of the generated files, so they won't be
	deleted as part of make clean

2003-12-13 13:16  dimitr

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.19.2.4),
	common.dsp (1.21.2.1), common_classic.dsp (1.15.2.1), engine.dsp
	(1.32.2.1), engine_classic.dsp (1.28.2.1), fbclient.dsp (1.33.2.2):

	1) Move db_alias.cpp to common.lib 2) Add common.lib to gstat.exe

2003-12-13 13:12  dimitr

	* firebird2/src/utilities/dba.epp (1.27.2.3):

	Make gstat to work with database aliases.

2003-12-13 11:59  dimitr

	* firebird2/src/common/config/config_file.cpp (1.11.2.1):

	Let's be compatible with the config files open in binary mode.

2003-12-11 09:18  dimitr

	* firebird2/src/remote/inet.cpp (1.70.2.4):

	Replaced itoa with snprintf.

2003-12-11 00:54  arnobrinkman

	* firebird2/src/dsql/dsql.cpp (1.54.2.1):

	bugfix: Post a error when no input string is given else engine will
	crash.

2003-12-09 10:12  epocman

	* firebird2/src/utilities/: gdsclient.cpp (1.1.2.5),
	gdsclient_proto.h (1.1.2.3), install_gds.cpp (1.1.2.3),
	install_nt.h (1.7.2.9):

	Win32 - instgds.exe - Note : according to design decisions this
	will be replaced by instclient.exe within the next 12 hours. This
	commit only to share temporary code with P.Reeves and D.Yemanov in
	between.

2003-12-06 17:01  dimitr

	* firebird2/src/jrd/ini.epp (1.18.2.1):

	Fixed initialization bug found by Claudio,

2003-12-06 16:50  dimitr

	* firebird2/src/remote/inet.cpp (1.70.2.3):

	Fixed issues with TCP/IP port/service specification.

2003-12-06 16:41  dimitr

	* firebird2/src/common/config/config.cpp (1.40.2.3):

	Small correction.

2003-12-06 10:18  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/:
	postinstall.sh.in (1.2.2.8), preuninstall.sh.in (1.1.2.5):

	SS scripts - slightly optimized for various linux distibutions

2003-12-05 11:40  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.67.2.3):

	fixed SS shutdown in case on internal deadlock

2003-12-02 22:57  bellardo

	* firebird2/: configure.in (1.141.2.17),
	src/install/arch-specific/darwin/Makefile.in (1.2.2.8),
	src/install/arch-specific/darwin/install-script (1.1.2.6),
	src/install/arch-specific/darwin/preupgrade-script (1.1.2.3),
	src/install/arch-specific/darwin/Firebird.startupitem/Firebird
	(1.1.2.3):

	Improved build system support for darwin SS

2003-12-02 22:57  epocman

	* firebird2/src/utilities/gdsclient.cpp (1.1.2.4):

	Win32 - Changed version info resource update methods for Win9x
	compatibility.

2003-12-02 14:40  alexpeshkoff

	* firebird2/src/jrd/idx.cpp (1.16.2.6):

	Fixed use of descending index as table's primary key.  Problems
	were related with referencing such table in foreign key.

2003-12-01 08:54  epocman

	* firebird2/src/utilities/gdsclient.cpp (1.1.2.3):

	const_cast fixup.

2003-12-01 01:34  epocman

	* firebird2/src/utilities/: gdsclient.cpp (1.1.2.2),
	gdsclient_proto.h (1.1.2.2), install_gds.cpp (1.1.2.2),
	install_nt.h (1.7.2.8):

	Win32 - Streamlined version info access. Added 'instgds remove'
	support.

2003-12-01 00:19  epocman

	* firebird2/builds/win32/make_all.bat (1.4.2.9):

	Win32 - We don't need to build a gds32.dll anymore (stub or other).
	Distribution package only needs to include fbclient.dll along with
	instgds.exe tool.

2003-11-30 21:00  epocman

	* firebird2/doc/README.Win32LibraryInstallation.txt (1.1.2.2):

	Win32 - New tool 'instgds.exe'. This installs a copy of
	fbclient.dll as gds32.dll in the windows system directory, but take
	care of updating the file version info, so that gds32.dll appears
	to be of version 6.3 instead of 1.5, for compatibility reasons with
	some old legacy applications. There is no more 'stub' gds32.dll.
	The gds32.dll is a full clone of fbclient.dll (only client library
	to be build).

2003-11-30 20:53  epocman

	* firebird2/: builds/win32/make_all.bat (1.4.2.8),
	builds/win32/msvc6/Firebird2.dsw (1.19.2.3),
	builds/win32/msvc6/instgds.dsp (1.1.2.1), src/jrd/ibinitdll.cpp
	(1.6.2.3), src/jrd/version.rc (1.3.4.2),
	src/utilities/gdsclient.cpp (1.1.2.1), src/utilities/install_nt.h
	(1.7.2.7), src/utilities/gdsclient_proto.h (1.1.2.1),
	src/utilities/install_gds.cpp (1.1.2.1),
	builds/win32/msvc7/instgds.vcproj (1.1.2.1):

	Win32 - New tool 'instgds.exe'. This installs a copy of
	fbclient.dll as gds32.dll in the windows system directory, but take
	care of updating the file version info, so that gds32.dll appears
	to be of version 6.3 instead of 1.5, for compatibility reasons with
	some old legacy applications. There is no more 'stub' gds32.dll.
	The gds32.dll is a full clone of fbclient.dll (only client library
	to be build).

2003-11-30 13:23  dimitr

	* firebird2/src/: include/gen/msgs.h (1.5.2.2), msgs/msg.gbak
	(1.6.2.2):

	Cleaned up some error messages.

2003-11-27 12:09  dimitr

	* firebird2/src/jrd/: cmp.cpp (1.52.2.6), dfw.epp (1.45.2.2):

	Backported view/trigger fixes from FB2.

2003-11-26 21:00  bellardo

	* firebird2/src/install/arch-specific/darwin/: install-script
	(1.1.2.5), Firebird.startupitem/Firebird (1.1.2.2):

	Fix fbmgr.bin usage

2003-11-26 20:43  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.11):

	Install the qli and gdef utilities as part of SS, and other SS
	packaging support changes

2003-11-26 20:42  bellardo

	* firebird2/: builds/posix/Makefile.in.client.qli (1.1.2.1),
	builds/posix/Makefile.in.firebird (1.37.2.10), src/dudley/exe.epp
	(1.18.2.1), src/qli/meta.epp (1.17.2.1):

	Build qli and gdef for SS.  Small changes to the posix build
	system, plus removal of the WAL references.

2003-11-26 20:33  bellardo

	* firebird2/src/install/arch-specific/darwin/: Makefile.in
	(1.2.2.7), install-script (1.1.2.4), Firebird.startupitem/Firebird
	(1.1.2.1), Firebird.startupitem/StartupParameters.plist (1.1.2.1),
	Firebird.startupitem/Resources/English.lproj/Localizable.strings
	(1.1.2.1):

	Changes to the mac os x install process to support SS.

2003-11-26 01:32  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.10):

	Need the guard and manager for SS

2003-11-26 00:41  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.9):

	Fix the escaping problems

2003-11-26 00:39  bellardo

	* firebird2/src/install/arch-specific/darwin/Makefile.in (1.2.2.6):

	Make the package generation process a little less error prone.

2003-11-26 00:28  bellardo

	* firebird2/src/install/arch-specific/darwin/Makefile.in (1.2.2.5):

	Add support for SS installer

2003-11-26 00:18  bellardo

	* firebird2/builds/posix/: Makefile.in.firebird (1.37.2.9),
	postfix.darwin (1.1.2.8), prefix.darwin (1.8.2.17):

	Automatically build the darwin installer package as part of the
	compilation process.

2003-11-26 00:09  bellardo

	* firebird2/builds/posix/: Makefile.in.libfbclient (1.14.2.3),
	postfix.darwin (1.1.2.7), prefix.darwin (1.8.2.16):

	More packaging work for darwin

2003-11-25 23:13  bellardo

	* firebird2/builds/posix/Makefile.in.firebird (1.37.2.8):

	Build hooks to allow proper packaging for darwin

2003-11-25 07:37  bellardo

	* firebird2/src/lock/lock.cpp (1.56.2.6):

	POSIX standard says you can only call an exec* function or exit
	after a vfork().  This precludes nested vfork()s, which caused the
	lock manager not to launch in darwin.  This fix removes the nested
	vfork()s.

2003-11-24 19:02  alexpeshkoff

	* firebird2/src/jrd/svc.cpp (1.67.2.2):

	Fixed serious bug in CS's services API Second, third, etc attempt
	to start service executed exactly what was done by the first one.

2003-11-23 19:18  dimitr

	* firebird2/src/jrd/isc_file.cpp (1.52.2.4):

	Applied patch by Jim Beesley.

2003-11-23 18:54  dimitr

	* firebird2/src/jrd/cmp.cpp (1.52.2.5):

	Minor protection against improper index locks reference.

2003-11-23 18:47  dimitr

	* firebird2/src/jrd/opt.cpp (1.73.2.15):

	Minor protection against improper index locks reference.

2003-11-23 18:39  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.6):

	Fixed IF handling in the looper.

2003-11-23 18:12  skidder

	* firebird2/src/: intl/ld_proto.h (1.3.2.1), jrd/intl.cpp
	(1.32.2.1):

	Backport some intl fixes from CVS HEAD (changes affect only
	INTL_BUILTIN builds)

2003-11-22 23:40  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.30.2.4):

	bugfix: SF841696 calculated output descriptor for COALESCE/CASE
	should give charsets other then NONE/ASCII precedence

2003-11-22 01:01  arnobrinkman

	* firebird2/src/jrd/cmp.cpp (1.52.2.4):

	bugfix: Charset problem when mixing none (constants)/ascii charset
	and other character-sets in concatenation.

2003-11-20 20:07  bellardo

	* firebird2/src/jrd/: all.cpp (1.15.2.1), all.h (1.6.2.1), jrd.h
	(1.42.2.2):

	Fix a memory management bug that resulted in sporadic crashes when
	disconnecting from a database.

2003-11-18 17:44  dimitr

	* firebird2/src/jrd/: opt.cpp (1.73.2.14), rse.cpp (1.28.2.2):

	1) Fixed server crashes when a SP is used as inner stream in left
	joins 2) Fixed conjuncts out-of-limits issue

2003-11-17 19:34  skidder

	* firebird2/src/jrd/jrd.cpp (1.76.2.5):

	Fix problem with long stream blobs

2003-11-15 21:12  skidder

	* firebird2/src/remote/inet.cpp (1.70.2.2):

	Forcedly set SO_KEEPALIVE flag for POSIX CS connections
	independently of what was given by xinetd/inetd to us

2003-11-15 13:03  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.7):

	fixed install problems

2003-11-14 14:48  paul_reeves

	* firebird2/src/:
	install/arch-specific/darwin/installer_background.pdf (1.1.2.2),
	install/arch-specific/darwin/installer_background.psd (1.1.2.2),
	install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.4),
	install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.3), install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.8), install/arch-specific/win32/Readme.txt (1.2.2.3),
	install/arch-specific/win32/installation_readme.txt (1.2.2.4),
	jrd/isc_version.h (1.1.2.5):

	Add some refinements to Win32 install script. Update build_no for
	1.5.

2003-11-14 12:11  aafemt

	* firebird2/src/jrd/ibase.h (1.40.2.4):

	return isc_quad_high and _low

2003-11-14 03:43  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.6):

	Make sure we include the examples in our package

2003-11-14 03:37  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.5):

	Make sure extlib is compiled before we package everything up

2003-11-14 02:16  bellardo

	* firebird2/src/install/arch-specific/darwin/install-script
	(1.1.2.3):

	Update installer script to handle xinetd

2003-11-13 23:46  bellardo

	* firebird2/src/isql/isql.epp (1.32.2.3):

	isql needs to understand '--' comments so as not to incorrectly
	match the command termination string.

2003-11-13 11:51  epocman

	* firebird2/src/jrd/ibinitdll.cpp (1.6.2.2):

	Small fix to the logic finding fbclient from gds32, following
	discussions with Dmitry Yemanov.

2003-11-13 08:31  bellardo

	* firebird2/src/isql/isql.epp (1.32.2.2):

	Fix isql bug that caused a mis-synchronization between stdout and
	stderr.  The synchronization error resulted in incorrect output
	ordering when stdout and stderr were tied to the same file
	descriptor.

2003-11-13 08:28  bellardo

	* firebird2/src/extern/editline/editline.c (1.1.4.1):

	Fix editline bug that was reported to truncate redirected into to
	isql at 80 characters.	In fact, it shouldn't have always been
	exactly eighty characters, but that was how the bug manifested
	itself.

2003-11-13 05:57  tmcsys

	* firebird2/configure.in (1.141.2.16):

	create directory for darwin SS build

2003-11-13 05:51  tmcsys

	* firebird2/builds/posix/: Makefile.in.fbserver (1.11.2.3),
	Makefile.in.libfbclient (1.14.2.2):

	improved build for SS

2003-11-13 05:46  tmcsys

	* firebird2/builds/posix/prefix.darwin (1.8.2.15):

	change CLIENT_UTIL_TARGET from gds_delay to gds_relay

2003-11-13 02:20  tmcsys

	* firebird2/builds/posix/prefix.darwin (1.8.2.14):

	gcc 3.1 cpp-precomp is broken

2003-11-13 02:13  bellardo

	* firebird2/builds/posix/prefix.darwin (1.8.2.13):

	Use the darwin version specific compiler flags.

2003-11-13 02:12  bellardo

	* firebird2/configure.in (1.141.2.15):

	Set some compiler specific flags for darwin.

2003-11-12 19:23  dimitr

	* firebird2/src/jrd/opt.cpp (1.73.2.13):

	Fixed new bug with explicit plans.

2003-11-12 10:02  bellardo

	* firebird2/src/install/arch-specific/darwin/: majorvers.c
	(1.1.2.1), minorvers.c (1.1.2.1):

	Need the source files too

2003-11-12 10:00  bellardo

	* firebird2/src/install/arch-specific/darwin/: FB.info (1.1.2.2),
	Info.plist (1.1.2.3), Makefile.in (1.2.2.4):

	Fix up a few more version strings

2003-11-12 09:34  bellardo

	* firebird2/src/install/arch-specific/darwin/: Makefile.in
	(1.2.2.3), installer_background.pdf (1.1.2.1),
	installer_background.psd (1.1.2.1):

	Add a background image to the installer

2003-11-12 08:10  bellardo

	* firebird2/src/install/arch-specific/darwin/: Description.plist
	(1.1.2.2), Info.plist (1.1.2.2), Makefile.in (1.2.2.2),
	buildsuffix.c (1.1.2.1), fullvers.c (1.1.2.1):

	Determine the build version automatically

2003-11-12 07:17  bellardo

	* firebird2/src/install/arch-specific/darwin/: install-script
	(1.1.2.2), preinstall-script (1.1.2.2), preupgrade-script
	(1.1.2.2):

	Saved/Restore security.fdb when doing an "upgrade" install

2003-11-12 06:57  bellardo

	* firebird2/src/install/arch-specific/darwin/: Description.plist
	(1.1.2.1), FB.info (1.1.2.1), Info.plist (1.1.2.1), License.txt
	(1.1.2.1), Makefile.in (1.2.2.1), PkgInfo (1.1.2.1), ReadMe.txt
	(1.1.2.1), Welcome.txt (1.1.2.1), install-script (1.1.2.1),
	preinstall-script (1.1.2.1), preupgrade-script (1.1.2.1):

	Darwin installer files

2003-11-12 00:57  stryqx

	* firebird2/src/common/classes/locks.h (1.5.2.4):

	Fix the spinlocks case for FreeBSD 4.x

2003-11-11 13:50  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.7),
	builds/win32/make_examples.bat (1.4.2.2),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.3),
	src/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.2), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.7):

	Improve diagnostic output from make_all.log. Include Win32 examples
	in install script.

2003-11-11 09:24  tmcsys

	* firebird2/autogen.sh (1.8.2.1):


	1) User can specify tool path in ENV for systems with multiple
	versions of tools installed.  For example:

	/bin/sh AUTOCONF=[path_to_autoconf]/autoconf; export AUTOCONF
	LIBTOOL=[path_to_libtool]/libtool; export LIBTOOL
	LIBTOOLIZE=[path_to_libtooliize]/libtoolize; export LIBTOOLIZE
	./autogen.sh

	2) Autoconf version check.  Obsolete versions were caught by
	AC_PREREQ in configure.in and not by this script.

	Libtool version check may also pass obsolete versions.

2003-11-11 09:05  bellardo

	* firebird2/: configure.in (1.141.2.14), builds/posix/prefix.darwin
	(1.8.2.12):

	Darwin users need not shun editline.

2003-11-11 08:49  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.4):

	Make sure the intl library has the correct name.

2003-11-11 06:44  bellardo

	* firebird2/builds/posix/prefix.darwin (1.8.2.11):

	Enable prebinding with the firebird library

2003-11-11 03:34  bellardo

	* firebird2/builds/posix/postfix.darwin (1.1.2.3):

	Make sure some critical installation files are added to the
	framework

2003-11-11 03:31  bellardo

	* firebird2/src/jrd/os/darwin/config_root.cpp (1.1.2.2):

	root path needs a trailing path separator.  Style

2003-11-11 02:01  bellardo

	* firebird2/builds/posix/: Makefile.in.libfbembed (1.10.2.3),
	make.defaults (1.25.2.6), postfix.darwin (1.1.2.2), prefix.darwin
	(1.8.2.10):

	Add the ability to pass extra options when linking libfbembed

2003-11-11 01:27  bellardo

	* firebird2/builds/posix/: postfix.darwin (1.1.2.1), prefix.darwin
	(1.8.2.9):

	add the darwin postfix file and update the prefix file accordingly

2003-11-11 01:26  bellardo

	* firebird2/: configure.in (1.141.2.13),
	builds/posix/Makefile.in.firebird (1.37.2.7):

	Add support for a "postfix" makefile.  Basically it is a platform
	dependent makefile that gets included at the end of src/Makefile.
	configure.in checks for a postfix file before including it, so
	everything should "just work".	To add a postfix file for a
	platform, simply create "builds/posix/postfix.<PLATFORM>".

2003-11-11 00:28  bellardo

	* firebird2/builds/posix/: Makefile.in.embed.gbak (1.6.2.1),
	Makefile.in.embed.gdef (1.5.2.1), Makefile.in.embed.gfix (1.7.2.1),
	Makefile.in.embed.gpre (1.9.2.1), Makefile.in.embed.isql (1.6.2.1),
	Makefile.in.embed.qli (1.10.2.1), Makefile.in.embed.util (1.8.2.2),
	Makefile.in.inet_server (1.11.2.2), make.defaults (1.25.2.5):

	Abstract away the embeded client link command, to support a custom
	one for darwin

2003-11-10 23:57  bellardo

	* firebird2/builds/posix/: Makefile.in.firebird (1.37.2.6),
	prefix.darwin (1.8.2.8):

	Moving closer to correct packaging on darwin.  Added generic
	targets (platform specifif) that get run before and after classic
	build.	Also added darwin specific rules that handle the bulk of
	the packaging.

2003-11-10 21:34  tmcsys

	* firebird2/src/jrd/isc_sync.cpp (1.55.2.2):

	fix arg list for fussy compilers

2003-11-10 17:03  dimitr

	* firebird2/src/iscguard/iscguard.cpp (1.19.2.3):

	Fixed typo.

2003-11-10 03:09  bellardo

	* firebird2/builds/posix/: Makefile.in.client.gbak (1.6.2.1),
	Makefile.in.client.gdef (1.5.2.1), Makefile.in.client.gfix
	(1.7.2.1), Makefile.in.client.gpre (1.9.2.1),
	Makefile.in.client.isql (1.6.2.1), Makefile.in.client.util
	(1.9.2.2), make.defaults (1.25.2.4):

	The native shared library packaging system on Darwin is different
	from other *nixes.  I'm in the process of adding native support.
	This change allows the platform makefile to specify the command
	line options used to link against the firebird library.  It
	shouldn't break other builds, as it is defaulted to the original
	options.

2003-11-10 01:01  bellardo

	* firebird2/builds/posix/: Makefile.in.libfbembed (1.10.2.2),
	make.defaults (1.25.2.3), prefix.darwin (1.8.2.7):

	Slight "improvement" to the posix build process to support darwin.
	Basically, darwin needs different link commands depending on the
	intented use of the dynamic library.  If the library is intended to
	be included in the executable at link time a dylib is created.	If
	a library is intended to be loaded by a program while it is running
	(for example a plugin) it needs to be a bundle.  These makefile
	changes differentiate between these two case, providing a different
	set of options for each.  it should be backwards compatible.

2003-11-09 23:59  bellardo

	* firebird2/src/jrd/thd.h (1.12.2.3):

	Define POSIX_THREADS when compiling DARWIN && SUPERCLIENT

2003-11-09 23:53  bellardo

	* firebird2/src/common/classes/locks.h (1.5.2.3):

	The rest of the pthread_mutex spinlock implementation

2003-11-09 23:36  bellardo

	* firebird2/src/common/classes/locks.h (1.5.2.2):

	Darwin support for spinlocks

2003-11-09 22:24  bellardo

	* firebird2/configure.in (1.141.2.12):

	Create a needed darwin specific directory

2003-11-09 20:58  bellardo

	* firebird2/src/remote/xdr.cpp (1.9.2.3):

	use PowerPC instead of DARWIN

2003-11-09 19:52  bellardo

	* firebird2/src/remote/xdr.cpp (1.9.2.2):

	Add SWAP_DOUBLE for darwin FB 1.5

2003-11-09 19:34  bellardo

	* firebird2/builds/posix/prefix.darwin (1.8.2.6):

	Use g++ to link, instead of ld

2003-11-09 17:34  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.4):

	Adjusted build number.

2003-11-09 17:19  dimitr

	* firebird2/builds/win32/make_examples.bat (1.4.2.1):

	Polished up the examples build.

2003-11-09 15:14  dimitr

	* firebird2/src/misc/security.gbak (1.1.2.1):

	no message

2003-11-09 12:59  dimitr

	* firebird2/doc/WhatsNew (1.36.2.9):

	Added RC7 changes.

2003-11-09 11:47  dimitr

	* firebird2/src/jrd/isc_version.h (1.1.2.3):

	Adjusted build number.

2003-11-09 11:40  dimitr

	* firebird2/doc/README.user.embedded (1.1.2.1):

	Corrections.

2003-11-07 12:11  epocman

	* firebird2/src/utilities/: install_nt.h (1.7.2.6), install_reg.cpp
	(1.9.2.5), registry.cpp (1.10.2.5), services.cpp (1.9.2.4):

	Minor synch details with HEAD branch. Absolutely no interface nor
	functional changes.

2003-11-06 20:12  paul_reeves

	* firebird2/src/jrd/isc_version.h (1.1.2.2):

	Try and get the buyild number more or less correct for the actual
	commits to the B1_5_Release branch. Undo a feature of the Win32
	install script that doesn't work.

2003-11-06 17:51  dimitr

	* firebird2/doc/README.build.msvc.html (1.6.2.1):

	Minor corrections by Paul Beach.

2003-11-06 16:56  dimitr

	* firebird2/src/jrd/opt.cpp (1.73.2.12):

	Correction.

2003-11-06 14:05  paul_reeves

	* firebird2/: doc/README.Win32LibraryInstallation.txt (1.1.2.1),
	src/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.3), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.6), src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.3):

	More tweaks to the Win32 installer. Documentation added about
	library installation policy. Installation notes for the binary
	installer updated.

2003-11-06 13:23  stryqx

	* firebird2/src/install/arch-specific/freebsd/install.sh.in
	(1.1.2.2):

	Save some disk space by copying the symlinks as symlinks.

2003-11-06 10:28  stryqx

	* firebird2/configure.in (1.141.2.11):

	Let configure know about the FreeBSD install script.

2003-11-06 10:11  stryqx

	* firebird2/src/install/arch-specific/freebsd/: Makefile.in
	(1.1.2.1), install.sh.in (1.1.2.1):

	First cut at the install script for FreeBSD.  Package management
	for FreeBSD binaries will be done via the FreeBSD Ports Tree.

2003-11-06 01:21  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.11):

	bugfix: A user specified PLAN with MERGE and JOINS crashed the
	server, noted by Dmitry.    simplified : PLAN MERGE (JOIN ..., JOIN
	...)

2003-11-05 16:20  paul_reeves

	* firebird2/src/:
	install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.2), install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.5), jrd/isc_version.h (1.1.2.1):

	Minor tweaks to Win32 installer.

2003-11-05 08:48  dimitr

	* firebird2/src/jrd/tra.cpp (1.38.2.1):

	Backported recent bugfix.

2003-11-04 13:18  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.6),
	doc/Firebird_conf.txt (1.2.2.1), doc/README.user (1.1.2.1),
	doc/WhatsNew (1.36.2.8),
	src/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
	(1.1.2.1),
	src/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
	(1.1.2.1), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.4), src/install/arch-specific/win32/Readme.txt (1.2.2.2),
	src/jrd/isc_version.rc (1.2.2.1), src/jrd/version.rc (1.3.4.1):

	Extensive reworking of install script for Win32. Main new feature
	is better analysis of existing previous installs. This is necessary
	to support new client library installation requirements.

2003-11-03 22:40  skidder

	* firebird2/src/jrd/met.epp (1.61.2.1):

	Fix one more problem in my cyclic metadata dependency handling
	code. Noted and fixed by Dmitry Emanov

2003-11-01 12:29  dimitr

	* firebird2/src/jrd/idx.cpp (1.16.2.5):

	Slightly reworked one of the previous bugfixes.

2003-10-31 17:39  skidder

	* firebird2/src/install/: misc/CSchangeRunUser.sh.in (1.1.2.3),
	arch-specific/linux/classic/postinstall.sh.in (1.10.2.4):

	Do not create home directory for firebird user

2003-10-31 13:21  skidder

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.3):

	Fix SuSE 9.0 install problem

2003-10-30 23:25  skidder

	* firebird2/src/: common/classes/alloc.cpp (1.29.2.2),
	common/classes/alloc.h (1.21.2.3), common/classes/tree.h
	(1.13.2.1), gpre/cmd.cpp (1.9.2.1), gpre/sql.cpp (1.14.2.1),
	include/firebird.h (1.12.2.2), intl/ldcommon.h (1.5.2.1):

	Backport allocation operators hack

2003-10-30 23:18  skidder

	* firebird2/src/utilities/security.epp (1.20.2.2):

	Return engine to buildable state on Linux after Alex bugfix

2003-10-30 18:48  epocman

	* firebird2/: builds/win32/msvc6/gds32.dsp (1.18.2.1),
	src/jrd/ibinitdll.cpp (1.6.2.1):

	Win32 stub GDS32.DLL now preferably attempts to load FBCLIENT.DLL
	from its installation location (rootdir/bin) instead of system
	directories. Related to the finishing touches of the Win32
	installation scheme looking forward multi-instances support after
	V1.5.  Please build maintainers, add advapi32.lib to msvc7/mingw
	builds of gds32.dll. Thanks.

2003-10-30 15:38  alexpeshkoff

	* firebird2/src/utilities/security.epp (1.20.2.1):

	Fixed non-registered bug - buggy application might add user with
	name, containing non-printable characters, which couldn't be
	modified/deleted using standard tools like gsec.

2003-10-29 06:18  stryqx

	* firebird2/src/jrd/thd.h (1.12.2.2):

	Fix build on FreeBSD

2003-10-28 23:47  arnobrinkman

	* firebird2/src/jrd/cmp.cpp (1.52.2.3):

	bugfix: Missing literal node caused at least to fail on GROUP BY
	constant expressions

2003-10-28 19:21  skidder

	* firebird2/: builds/posix/Makefile.in.firebird (1.37.2.5),
	src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.13.2.2),
	src/install/arch-specific/linux/classic/preinstall.sh.in (1.4.2.1):

	Build libfbclient.so in Linux CS

2003-10-28 13:37  skidder

	* firebird2/builds/posix/prefix.solaris (1.5.2.3):

	Remove unneeded define. Noted by Claudio

2003-10-27 19:30  skidder

	* firebird2/: configure.in (1.141.2.10),
	builds/posix/prefix.solaris (1.5.2.2), src/gpre/exp.cpp (1.12.2.1),
	src/intl/lc_ascii.c (1.15.2.1), src/jrd/common.h (1.73.2.3),
	src/lock/lock.cpp (1.56.2.5), src/lock/lock.h (1.18.2.1):

	LP32 Solaris/Sparc/GCC port. Seems to work

2003-10-27 19:29  skidder

	* firebird2/builds/posix/Makefile.in.firebird (1.37.2.4):

	Make B1_5_Release compile on Linux

2003-10-26 12:12  hippoman

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.9.2.3),
	fb2control.vcproj (1.1.2.1):

	* added Control Panel Applet to msvc7 build

2003-10-26 12:11  hippoman

	* firebird2/builds/win32/make_all.bat (1.4.2.5):

	* Fixed buil log name for msvc7

2003-10-23 15:18  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.6):

	small fix to avoid unwanted error messages during installation

2003-10-22 09:20  dimitr

	* firebird2/src/dsql/gen.cpp (1.33.2.2):

	Backported Claudio's fix.

2003-10-20 03:44  brodsom

	* firebird2/builds/posix/Makefile.in.client.qli (1.1):

	Add gdef and qli to posix ss build (needed for the tcs)

2003-10-19 08:58  stryqx

	* firebird2/configure.in (1.141.2.9):

	Make configure summary report match reality.

2003-10-17 09:21  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.4),
	src/install/arch-specific/win32/FirebirdInstall_15.iss (1.5.2.3),
	src/install/arch-specific/win32/Readme.txt (1.2.2.1),
	src/utilities/fbcpl/fbpanel.cpp (1.1.2.3):

	cpl applet now uses version.lib to detect installed default
	instance.

2003-10-16 23:27  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.10):

	  Backport
	bugfix: Missing initialization of position vector. Thanks for
	Nickolay who notice this.

2003-10-16 15:12  alexpeshkoff

	* firebird2/src/alice/tdr.cpp (1.17.2.2):

	Backported Claudio's fix to 1_5

2003-10-16 07:05  paul_reeves

	* firebird2/: builds/win32/msvc6/fb2control.dsp (1.1.2.2),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.2), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.2), src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.2), src/install/arch-specific/win32/strip_comments.sed
	(1.1.2.1), src/utilities/fbcpl/FBControl.rc (1.1.2.2),
	src/utilities/fbcpl/fbdialog.cpp (1.1.2.2),
	src/utilities/fbcpl/fbdialog.h (1.1.2.2),
	src/utilities/fbcpl/fbpanel.cpp (1.1.2.2),
	src/utilities/fbcpl/fbpanel.h (1.1.2.2):

	Concatenate ibase.h for the binary installer. Tweak the InnoSetup
	install script a little more.

2003-10-15 18:16  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.5):

	Fixed problem with overwritten hosts.equiv file during SS install

2003-10-15 17:28  alexpeshkoff

	* firebird2/src/: common/classes/array.h (1.3.2.1),
	common/config/dir_list.cpp (1.14.2.1), common/config/dir_list.h
	(1.9.2.1), jrd/ExecuteStatement.cpp (1.14.2.2),
	jrd/ExecuteStatement.h (1.5.2.1), jrd/os/posix/fbsyslog.cpp
	(1.1.2.1), jrd/os/win32/fbsyslog.cpp (1.1.2.1),
	jrd/os/win32/thd_priority.cpp (1.10.2.1), jrd/os/fbsyslog.h
	(1.1.2.1), jrd/os/thd_priority.h (1.6.2.1), burp/std_desc.h
	(1.1.2.1):

	Applied IDPL instead of IPL to files, created by me

2003-10-15 16:47  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.extlib (1.10.2.4),
	Makefile.in.firebird (1.37.2.3):

	fixed bug with server hangs on some UDFs in fbudf

2003-10-15 13:09  alexpeshkoff

	* firebird2/configure.in (1.141.2.8):

	changes required for SS install scripts

2003-10-15 11:26  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/:
	makeInstallImage.sh.in (1.1.2.4), postinstall.sh.in (1.2.2.4),
	preinstall.sh.in (1.2.2.3), preuninstall.sh.in (1.1.2.4),
	rpmfiles.txt.in (1.2.2.3):

	SS install scripts

2003-10-15 11:19  alexpeshkoff

	*
	firebird2/src/install/arch-specific/linux/super/SSchangePasswd.sh.in
	(1.1.2.2):

	Use common SYSDBA password change script for both CS & SS

2003-10-15 11:07  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/misc/:
	changeDBAPassword.sh.in (1.1.2.1), firebird.init.d.debian.in
	(1.1.2.1), firebird.init.d.generic.in (1.1.2.2),
	firebird.init.d.gentoo.in (1.1.2.1), firebird.init.d.mandrake.in
	(1.1.2.2), firebird.init.d.suse.in (1.1.2.2):

	SS install scripts

2003-10-13 14:55  dimitr

	* firebird2/src/dsql/pass1.cpp (1.72.2.6):

	Fixed server crash with explicit plans used in subqueries, when
	outer aggregation is performed.

2003-10-12 16:21  skidder

	* firebird2/src/jrd/common.h (1.73.2.2):

	Fix comment, noted by Claudio

2003-10-12 15:17  epocman

	* firebird2/doc/install_win32.txt (1.2.2.4):

	[no log message]

2003-10-12 14:02  epocman

	* firebird2/doc/install_win32.txt (1.2.2.3):

	[no log message]

2003-10-12 13:54  epocman

	* firebird2/doc/README.instsvc (1.1.2.2):

	[no log message]

2003-10-12 12:40  epocman

	* firebird2/src/utilities/install_nt.h (1.7.2.5):

	Win32 HKLM name change as per recent discussion in fbdevel.

2003-10-12 11:06  epocman

	* firebird2/src/utilities/: registry.cpp (1.10.2.4), registry.h
	(1.3.2.3):

	Win32 HKLM name change as per recent discussion in fbdevel.  Nicer
	cleanup of product and company level keys on instreg remove (when
	they are empty).

2003-10-11 10:12  paul_reeves

	* firebird2/builds/win32/make_all.bat (1.4.2.3):

	remove intlcpp from msvc6 build

2003-10-11 02:00  skidder

	* firebird2/src/install/misc/CSchangeRunUser.sh.in (1.1.2.2):

	Fix minor install issues

2003-10-11 01:17  skidder

	* firebird2/: configure.in (1.141.2.7),
	builds/posix/prefix.linux_sparc32 (1.1.2.1),
	src/common/classes/alloc.h (1.21.2.2),
	src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.2), src/jrd/common.h (1.73.2.1), src/jrd/exe.h (1.15.2.1),
	src/jrd/gds.cpp (1.84.2.3), src/jrd/ibase.h (1.40.2.3),
	src/jrd/isc_sync.cpp (1.55.2.1), src/jrd/opt.cpp (1.73.2.9),
	src/jrd/par.cpp (1.43.2.2), src/jrd/utl.cpp (1.35.2.1),
	src/remote/xdr.cpp (1.9.2.1):

	Linux/Sparc port, seems to work. Uses 64-bit IO and 64-bit
	instruction set (thus 64-bit alignment). Pointers are still 32-bit.

2003-10-10 01:39  skidder

	* firebird2/src/jrd/: log.cpp (1.7.2.1), log.h (1.2.4.1):

	Backport GCC 3.3 compile fix

2003-10-10 01:08  skidder

	* firebird2/: configure.in (1.141.2.6),
	builds/posix/Makefile.in.client.util (1.9.2.1),
	builds/posix/Makefile.in.embed.util (1.8.2.1),
	builds/posix/make.defaults (1.25.2.2), builds/posix/prefix.darwin
	(1.8.2.5), builds/posix/prefix.example (1.4.2.1),
	builds/posix/prefix.freebsd (1.6.2.2), builds/posix/prefix.linux
	(1.18.2.2), builds/posix/prefix.mingw (1.19.2.1),
	builds/posix/prefix.sinixz (1.16.2.1), builds/posix/prefix.solaris
	(1.5.2.1), builds/posix/prefix.solx86 (1.18.2.1),
	builds/posix/prefix.solx86gcc (1.1.2.1), src/lock/print.cpp
	(1.19.2.1):

	Backport fixes needed to build fb_lock_print as it is very
	difficult to live without this tool

2003-10-09 18:45  alexpeshkoff

	* firebird2/: configure.in (1.141.2.5),
	src/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.1.2.3), src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.3),
	src/install/arch-specific/linux/super/postuninstall.sh.in
	(1.1.2.2), src/install/arch-specific/linux/super/preuninstall.sh.in
	(1.1.2.3), src/install/arch-specific/linux/super/tarinstall.sh.in
	(1.1.2.2),
	src/install/arch-specific/linux/misc/firebird.init.d.generic.in
	(1.1.2.1),
	src/install/arch-specific/linux/misc/firebird.init.d.mandrake.in
	(1.1.2.1),
	src/install/arch-specific/linux/misc/firebird.init.d.suse.in
	(1.1.2.1), src/install/arch-specific/linux/misc/firebird.initd.in
	(1.1.2.3),
	src/install/arch-specific/linux/misc/rc.config.firebird.in
	(1.1.2.1):

	Next step to correct SS install

2003-10-09 15:10  alexpeshkoff

	* firebird2/src/utilities/: ibmgr.cpp (1.8.2.1), srvrmgr.cpp
	(1.13.2.1):

	renamed ibmgr => fbmgr

2003-10-09 11:35  dimitr

	* firebird2/src/extlib/fbudf/fbudf.sql (1.2.4.1):

	Backported Claudio's fix.

2003-10-08 15:03  dimitr

	* firebird2/src/jrd/pag.cpp (1.37.2.4):

	Fixed the issue related to the previous commit.

2003-10-08 14:43  dimitr

	* firebird2/src/jrd/rse.h (1.13.2.1):

	Corrected optimizer limits to avoid possible issues found by
	Nickolay.

2003-10-08 13:49  dimitr

	* firebird2/src/install/misc/firebird.conf (1.28.2.3):

	no message

2003-10-08 10:49  dimitr

	* firebird2/doc/sql.extensions/README.context_variables (1.2.2.2):

	Added extra note.

2003-10-08 01:08  stryqx

	* firebird2/src/journal/server.e (1.10.2.1):

	Define clock as time_t rather than SLONG

2003-10-07 12:48  stryqx

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.7.2.2):

	style

2003-10-07 12:17  stryqx

	* firebird2/src/extlib/fbudf/fbudf.cpp (1.7.2.1):

	Fix build with gcc 3.3

2003-10-07 08:02  stryqx

	* firebird2/builds/posix/prefix.freebsd (1.6.2.1):

	Make builds work on both FreeBSD-stable and FreeBSD-current.

2003-10-06 15:20  alexpeshkoff

	* firebird2/doc/sql.extensions/README.execute_statement (1.2.2.2):

	Added security note

2003-10-06 11:35  alexpeshkoff

	* firebird2/src/jrd/pag.cpp (1.37.2.3):

	Style fix - thanks to Claudio

2003-10-03 14:45  dimitr

	* firebird2/src/: utilities/dbaswi.h (1.3.4.1), jrd/ibase.h
	(1.40.2.2), jrd/svc.cpp (1.67.2.1):

	Backported SvcAPI gstat fix.

2003-10-03 14:33  dimitr

	* firebird2/src/utilities/dba.epp (1.27.2.2):

	Corrected gstat version info output.

2003-10-03 14:19  dimitr

	* firebird2/src/jrd/: jrd_pwd.h (1.8.2.1), pwd.cpp (1.16.2.1):

	Correction in the security database cache code.

2003-10-03 12:36  dimitr

	* firebird2/src/common/config/config.cpp (1.40.2.2):

	Increased a default size of the lock table, after discussion with
	Nickolay.

2003-10-01 21:43  dimitr

	* firebird2/src/jrd/opt.cpp (1.73.2.8):

	Fixed bug introduced one year ago.

2003-10-01 17:10  alexpeshkoff

	* firebird2/src/jrd/: pag.cpp (1.37.2.2), sdw.cpp (1.14.2.1):

	Security fix - verify names of additional database files before
	actual use of them.  This protects from manual modification of
	RDB$FILES system table.

2003-10-01 14:51  skidder

	* firebird2/src/jrd/exe.cpp (1.68.2.5):

	Fix bug in savepoints support introduced by Dmitry a few RCs ago

2003-10-01 14:19  alexpeshkoff

	* firebird2/src/jrd/jrd.cpp (1.76.2.4):

	small cleanup

2003-10-01 13:57  alexpeshkoff

	* firebird2/src/jrd/isc_file.cpp (1.52.2.3):

	comment added

2003-10-01 10:24  epocman

	* firebird2/src/: jrd/os/win32/config_root.cpp (1.7.2.2),
	utilities/install_nt.h (1.7.2.4), utilities/registry.h (1.3.2.2):

	Win32 - Restoring backward compatible behaviour on
	getRootFromRegistry(), while keeping the new registry setup
	proposal in effect.

2003-09-30 17:27  epocman

	* firebird2/src/jrd/os/win32/config_root.cpp (1.7.2.1):

	Win32 getRootFromRegistry commented out. To be discussed with
	Dmitry.

2003-09-30 17:15  epocman

	* firebird2/doc/README.instsvc (1.1.2.1):

	Updated documentation for the new instreg/instsvc Win32 setup
	tools.

2003-09-30 17:14  epocman

	* firebird2/src/utilities/: install_nt.h (1.7.2.3), registry.cpp
	(1.10.2.3), registry.h (1.3.2.1):

	Paving the way for multi-instances support (simultaneously running
	multiple distinct installations of the product - on Win32). We
	introduce adequate defaults that will generalize nicely on a next
	release.

2003-09-29 13:37  paul_reeves

	* firebird2/builds/win32/msvc6/fb2control.dsp (1.1.2.1):

	[no log message]

2003-09-29 12:48  paul_reeves

	* firebird2/src/utilities/fbcpl/: FBControl.rc (1.1.2.1),
	ctrlpan.cpp (1.1.2.1), ctrlpan.h (1.1.2.1), fbcontrol.clw
	(1.1.2.1), fbcontrol.cpp (1.1.2.1), fbcontrol.def (1.1.2.1),
	fbcontrol.h (1.1.2.1), fbdialog.cpp (1.1.2.1), fbdialog.h
	(1.1.2.1), fbpanel.cpp (1.1.2.1), fbpanel.h (1.1.2.1), resource.h
	(1.1.2.1), stdafx.cpp (1.1.2.1), stdafx.h (1.1.2.1),
	res/fbcontrol.rc2 (1.1.2.1), res/server.ico (1.1.2.1),
	res/server_stop.ico (1.1.2.1):

	[no log message]

2003-09-29 11:54  paul_reeves

	* firebird2/: builds/win32/make_all.bat (1.4.2.2),
	builds/win32/make_boot.bat (1.5.2.1), builds/win32/prepare.bat
	(1.19.2.3), builds/win32/msvc6/Firebird2.dsw (1.19.2.2),
	builds/win32/msvc6/fbguard.dsp (1.17.2.1),
	builds/win32/msvc6/instreg.dsp (1.12.2.1),
	src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.10.2.1), src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5.2.1), src/install/arch-specific/win32/installation_readme.txt
	(1.2.2.1), src/install/arch-specific/win32/setenvvar.bat (1.2.2.1),
	src/iscguard/iscguard.cpp (1.19.2.2), src/iscguard/iscguard.h
	(1.5.2.1):

	Add Firebird Control Panel applet. Minor improvements to Win32
	build process. Addition of command-line switch for Guardian to
	start Classic server as an application. Updated InnoSetup script.

2003-09-28 22:51  skidder

	* firebird2/builds/win32/msvc7/Firebird2.sln (1.9.2.2):

	Update MSVC7 makefiles

2003-09-28 22:50  skidder

	* firebird2/src/lock/lock.cpp (1.56.2.4):

	Re-enable automatic lock manager pool resizing on Win32 CS

2003-09-28 17:38  dimitr

	* firebird2/src/jrd/idx.cpp (1.16.2.4):

	Fixed bug in the cleanup after unsuccessful index creation.

2003-09-28 15:51  dimitr

	* firebird2/src/jrd/: btr.h (1.6.2.2), idx.cpp (1.16.2.3):

	Fixed bug in unique indices.

2003-09-26 17:14  dimitr

	* firebird2/src/: jrd/intlnames.h (1.7.2.2), intl/lc_iso8859_2.c
	(1.7.2.1), intl/ld.c (1.15.2.1), intl/collations/xx88592hun.h
	(1.1.2.1):

	Added new collation by Sandor Szollosi.

2003-09-24 16:52  dimitr

	* firebird2/src/remote/: inet.cpp (1.70.2.1), wnet.cpp (1.18.2.1):

	Don't change screen cursor during CS attach.

2003-09-23 21:07  skidder

	* firebird2/: configure.in (1.141.2.4),
	builds/posix/Makefile.in.firebird (1.37.2.2),
	src/install/arch-specific/linux/misc/firebird.initd.in (1.1.2.2),
	src/install/arch-specific/linux/super/SSchangePasswd.sh (1.1.2.2),
	src/install/arch-specific/linux/super/SSchangePasswd.sh.in
	(1.1.2.1),
	src/install/arch-specific/linux/super/makeInstallImage.sh.in
	(1.1.2.2), src/install/arch-specific/linux/super/postinstall.sh.in
	(1.2.2.2), src/install/arch-specific/linux/super/preinstall.sh.in
	(1.2.2.2), src/install/arch-specific/linux/super/preuninstall.sh.in
	(1.1.2.2), src/install/arch-specific/linux/super/rpmfiles.txt.in
	(1.2.2.2), src/install/misc/CSchangeRunUser.sh (1.6.2.1),
	src/install/misc/CSchangeRunUser.sh.in (1.1.2.1),
	src/install/misc/CSrestoreRootRunUser.sh (1.3.2.1),
	src/install/misc/CSrestoreRootRunUser.sh.in (1.1.2.1),
	src/install/misc/SSchangeRunUser.sh (1.2.2.1),
	src/install/misc/SSchangeRunUser.sh.in (1.1.2.1),
	src/install/misc/SSrestoreRootRunUser.sh (1.2.2.1),
	src/install/misc/SSrestoreRootRunUser.sh.in (1.1.2.1),
	src/install/misc/changeDBAPassword.sh (1.3.2.1),
	src/install/misc/changeDBAPassword.sh.in (1.1.2.1),
	src/install/misc/firebird.init.d.generic (1.2.2.1),
	src/install/misc/firebird.init.d.generic.in (1.1.2.1),
	src/install/misc/firebird.init.d.mandrake (1.2.2.1),
	src/install/misc/firebird.init.d.mandrake.in (1.1.2.1):

	Make Linux CS install prefix-aware

2003-09-23 21:00  skidder

	*
	firebird2/src/install/arch-specific/linux/classic/postinstall.sh.in
	(1.10.2.1):

	Let the default Linux CS RPM install be secure

2003-09-23 16:15  dimitr

	* firebird2/src/jrd/scl.epp (1.21.2.2):

	Fixed bug with CURRENT_ROLE, introduced in early v1.5 development.

2003-09-15 11:33  dimitr

	* firebird2/src/alice/alice_meta.epp (1.11.2.1):

	Fixed another problem in gfix. Thanks to Vlad Horsun.

2003-09-15 10:56  alexpeshkoff

	* firebird2/src/jrd/jrd.cpp (1.76.2.3):

	Fixed problems with security.fdb access, introduced in RC6

2003-09-15 10:05  dimitr

	* firebird2/src/alice/tdr.cpp (1.17.2.1):

	Fixed very old typo. Thanks to Vlad Horsun.

2003-09-13 15:29  epocman

	* firebird2/src/utilities/: install_reg.cpp (1.9.2.4),
	install_svc.cpp (1.18.2.4):

	Win32 instreg / instsvc now returns FINI_ERROR instead of FINI_OK
	when usage() function is called. This helps external automated
	tools to detect mistakes in parameters.

2003-09-12 08:20  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/tarinstall.sh.in
	(1.1.2.1):

	fix typo in file name

2003-09-11 10:01  epocman

	* firebird2/doc/install_win32.txt (1.2.2.2):

	Minor Win32 installation notes update

2003-09-10 19:29  dimitr

	* firebird2/doc/WhatsNew (1.36.2.7):

	no message

2003-09-10 19:20  dimitr

	* firebird2/doc/WhatsNew (1.36.2.6):

	Added recent RC6 changes

2003-09-10 15:33  epocman

	* firebird2/src/: iscguard/cntl_guard.cpp (1.8.2.1),
	iscguard/iscguard.cpp (1.19.2.1), utilities/install_reg.cpp
	(1.9.2.3), utilities/install_svc.cpp (1.18.2.3),
	utilities/servi_proto.h (1.3.2.3), utilities/services.cpp
	(1.9.2.3):

	Back-port from HEAD to 1.5 of recent security enhancement running
	as a service under a specific account in Win32.

2003-09-10 14:52  dimitr

	* firebird2/src/jrd/intlnames.h (1.7.2.1):

	Applied Peter's patch

2003-09-08 16:48  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.fbserver (1.11.2.2),
	Makefile.in.libfbserver (1.6.2.1):

	define REENTRANT to make compiler build MT-safe binaries

2003-09-07 23:39  epocman

	* firebird2/builds/win32/uninstall.bat (1.1.2.1):

	instsvc 'remove' new syntax does'nt need a '-g' option.

2003-09-07 23:36  epocman

	* firebird2/builds/win32/: install_classic.bat (1.1.2.1),
	install_super.bat (1.1.2.1):

	instsvc new syntax does not take root_directory on the
	command-line.

2003-09-05 15:03  alexpeshkoff

	* firebird2/src/install/misc/firebird.conf (1.28.2.2):

	Added additional security warning

2003-09-05 12:39  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/:
	SSchangePasswd.sh (1.1.2.1), makeInstallImage.sh.in (1.1.2.1),
	postinstall.sh.in (1.2.2.1), postuninstall.sh.in (1.1.2.1),
	preinstall.sh.in (1.2.2.1), preuninstall.sh.in (1.1.2.1),
	rpmfiles.txt.in (1.2.2.1), rpmheader.txt.in (1.2.2.1):

	fix posix SS build - now rpm package appear to be successfully
	buildable

2003-09-05 12:35  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/install.sh.in
	(1.1.2.1):

	fix posix SS build - removed old (1.0) installation script

2003-09-05 12:30  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/misc/firebird.initd.in
	(1.1.2.1):

	fix posix SS build - added script for /etc/init.d

2003-09-04 17:52  alexpeshkoff

	* firebird2/builds/posix/Makefile.in.firebird (1.37.2.1):

	fix posix SS build - script files are copied for both SS and CS

2003-09-03 09:37  dimitr

	* firebird2/src/utilities/dba.epp (1.27.2.1):

	Fixed gstat crach reported by Phil Shrimpton.

2003-09-01 16:18  alexpeshkoff

	* firebird2/builds/posix/make.defaults (1.25.2.1):

	fix posix SS client library name

2003-09-01 15:55  skidder

	* firebird2/builds/win32/msvc7/fbclient_static.vcproj (1.1.2.2):

	Adjust MSVC7 makefiles

2003-08-31 21:38  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.7):

	fix: Unique index must be complete used else we keep on looking for
	another one.

2003-08-31 17:01  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.6):

	fix: Choose a unique (prefer less fields) above other indices

2003-08-31 11:08  epocman

	* firebird2/src/utilities/: install_nt.h (1.7.2.2), install_reg.cpp
	(1.9.2.2), install_svc.cpp (1.18.2.2), regis_proto.h (1.2.4.1),
	registry.cpp (1.10.2.2), servi_proto.h (1.3.2.2), services.cpp
	(1.9.2.2):

	OEM/Ansi conversions, command-line password, other minor updates.

2003-08-31 09:41  dimitr

	* firebird2/doc/install_win32.txt (1.2.2.1):

	Small corrections.

2003-08-30 18:41  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.4):

	Fixed broken savepoint handling in BREAK/LEAVE/EXIT.  The bug
	caused to logical database corruption/inconsistency, such as PK/UK
	violation, or BUGCHECK(287).

2003-08-30 17:56  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.5):

	Optimizer fix. Compound-indices were choosen above single-indices
	where we need only the single-field-index.

2003-08-29 15:45  epocman

	* firebird2/src/utilities/: install_nt.h (1.7.2.1), install_reg.cpp
	(1.9.2.1), install_svc.cpp (1.18.2.1), registry.cpp (1.10.2.1),
	servi_proto.h (1.3.2.1), services.cpp (1.9.2.1):

	Fixes and enhancements to win32 instreg / instsvc install tools.

2003-08-28 10:21  dimitr

	* firebird2/src/isql/isql.epp (1.32.2.1):

	Applied Peter's patch for ISQL.

2003-08-28 00:47  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.30.2.3):

	Change code-style and prepare for more info on error-message

2003-08-28 00:42  arnobrinkman

	* firebird2/src/dsql/: parse.y (1.79.2.2), parse.cpp (1.72.2.2):

	missing line/column-numbers

2003-08-26 08:57  dimitr

	* firebird2/src/dsql/: gen.cpp (1.33.2.1), node.h (1.23.2.2),
	pass1.cpp (1.72.2.5):

	Fixed BREAK/LEAVE incompatibility with FOR EXECUTE STATEMENT loops.

2003-08-26 00:40  arnobrinkman

	* firebird2/src/dsql/: make.cpp (1.30.2.2), make_proto.h
	(1.10.2.1), pass1.cpp (1.72.2.4):

	1) Make COALESCE/CASE output descriptor more SQL-standard.
	Exception is that we allow mixing datatypes with (var)char (except
	blob), because all datatypes are convertable to character-type and
	because this functionallity was available from 1st day COALESCE is
	introduced inside Firebird.  2) Fix bug with expressions without
	fields inside aggregate-functions.  Example :	SELECT	   (SELECT
	Count(1) FROM RDB$DATABASE)   FROM     RDB$RELATIONS

2003-08-25 17:09  alexpeshkoff

	* firebird2/src/jrd/ExecuteStatement.cpp (1.14.2.1):

	Fixed bug with returning BLOBs from statement, reported privately
	by Dmitry Y.  Don't front-port to HEAD, because ExecuteStatement is
	to be reworked in 1.6.

2003-08-25 10:33  dimitr

	* firebird2/src/: include/gen/codes.h (1.10.2.1),
	include/gen/codetext.h (1.5.2.1), include/gen/gds_codes.ftn
	(1.4.2.1), include/gen/gds_codes.pas (1.5.2.1),
	include/gen/iberror.h (1.5.2.1), include/gen/msgs.h (1.5.2.1),
	include/gen/rdb_codes.h (1.5.2.1), include/gen/sql_code.h
	(1.6.2.1), msgs/msg.gbak (1.6.2.1):

	Added new error message for Arno.

2003-08-23 00:52  arnobrinkman

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.19.2.1),
	fbclient.dsp (1.33.2.1), fbclient_static.dsp (1.4.2.1):

	Fix MSVC6 build

2003-08-22 00:35  skidder

	* firebird2/src/: remote/remote.cpp (1.15.2.1),
	common/config/config.cpp (1.40.2.1):

	Fix kernel memory leak

2003-08-22 00:32  skidder

	* firebird2/: doc/WhatsNew (1.36.2.5),
	src/install/misc/firebird.conf (1.28.2.1):

	Fix kernel memory leak

2003-08-20 01:08  skidder

	* firebird2/doc/WhatsNew (1.36.2.4):

	Get ready for RC6

2003-08-19 23:20  skidder

	* firebird2/configure.in (1.141.2.3):

	Apply writebuildnum.sh at configure time to simplify building rpm
	packages in release branch

2003-08-19 15:02  skidder

	* firebird2/src/burp/backup.epp (1.24.2.2):

	Backport Blas' fix to 1.5 tree

2003-08-19 14:49  skidder

	* firebird2/src/jrd/opt.cpp (1.73.2.4):

	Get rid of alloca usage

2003-08-18 23:44  skidder

	* firebird2/src/jrd/: btr.cpp (1.33.2.1), btr.h (1.6.2.1), dfw.epp
	(1.45.2.1), idx.cpp (1.16.2.2), idx_proto.h (1.5.2.1), jrd.h
	(1.42.2.1), opt.cpp (1.73.2.3), pag.cpp (1.37.2.1), val.cpp
	(1.15.2.1), vio.cpp (1.49.2.2):

	Finally, port 1.03 changes to 1.5 tree. Let's pray that I didn't
	miss anything during this bytemoving process

2003-08-18 13:32  skidder

	* firebird2/src/jrd/isc_file.cpp (1.52.2.2):

	Fix const-correctness of ISC_expand_filename of UNIX. Thanks to
	Andrew Gough

2003-08-18 00:36  skidder

	* firebird2/doc/WhatsNew (1.36.2.3):

	Add RC6 changes

2003-08-18 00:32  skidder

	* firebird2/src/burp/backup.epp (1.24.2.1):

	Backport backup.epp portability fix

2003-08-18 00:25  skidder

	* firebird2/src/jrd/sch.cpp (1.6.2.1):

	Backport fix of SS crash on IO error

2003-08-17 23:38  skidder

	* firebird2/builds/win32/msvc7/: Firebird2.sln (1.9.2.1),
	fbclient.vcproj (1.17.2.2):

	Adjust MSVC7 makefiles

2003-08-17 23:28  skidder

	* firebird2/src/ipserver/ipclient.cpp (1.21.2.1):

	Backport ACL and aliases bugfixes to v.1.5 tree

2003-08-17 23:16  skidder

	* firebird2/src/jrd/: cmp.cpp (1.52.2.2), cmp_proto.h (1.7.2.1),
	db_alias.cpp (1.10.2.1), db_alias.h (1.1.2.1), idx.cpp (1.16.2.1),
	isc_file.cpp (1.52.2.1), jrd.cpp (1.76.2.2), req.h (1.11.2.1),
	scl.epp (1.21.2.1), scl_proto.h (1.4.2.1):

	Backport ACL and aliases bugfixes to v.1.5 tree

2003-08-13 13:13  alexpeshkoff

	* firebird2/builds/win32/msvc6/gfix.dsp (1.17.2.1):

	Fixed MSVC6 gfix build

2003-08-12 00:31  skidder

	* firebird2/builds/win32/msvc7/: alice.vcproj (1.8.2.1),
	alice_classic.vcproj (1.8.2.1), build_msg.vcproj (1.1.2.1),
	burp.vcproj (1.11.2.1), burp_classic.vcproj (1.11.2.1),
	codes.vcproj (1.1.2.1), common.vcproj (1.9.2.1),
	common_classic.vcproj (1.7.2.1), dsql_server.vcproj (1.10.2.1),
	dsql_server_classic.vcproj (1.10.2.1), engine.vcproj (1.21.2.1),
	engine_classic.vcproj (1.20.2.1), engine_embed.vcproj (1.8.2.1),
	fb_inet_server.vcproj (1.9.2.1), fb_lock_print.vcproj (1.13.2.1),
	fbclient.vcproj (1.17.2.1), fbclient_static.vcproj (1.1.2.1),
	fbembed.vcproj (1.14.2.1), fbguard.vcproj (1.11.2.1),
	fbserver.vcproj (1.10.2.1), fbudf.vcproj (1.6.2.1), gbak.vcproj
	(1.11.2.1), gdef.vcproj (1.11.2.1), gds32.vcproj (1.10.2.1),
	gfix.vcproj (1.10.2.1), gpre.vcproj (1.13.2.1), gpre_boot.vcproj
	(1.12.2.1), gsec.vcproj (1.10.2.1), gsplit.vcproj (1.5.2.1),
	gstat.vcproj (1.11.2.1), ib_udf.vcproj (1.10.2.1), ib_util.vcproj
	(1.10.2.1), instreg.vcproj (1.9.2.1), instsvc.vcproj (1.9.2.1),
	intl.vcproj (1.10.2.1), intlcpp.vcproj (1.4.2.1), ipserver.vcproj
	(1.9.2.1), isql.vcproj (1.11.2.1), lock.vcproj (1.8.2.1),
	lock_classic.vcproj (1.8.2.1), qli.vcproj (1.10.2.1), remote.vcproj
	(1.11.2.1), remote_classic.vcproj (1.11.2.1), utilities.vcproj
	(1.10.2.1), utilities_classic.vcproj (1.9.2.1), wal.vcproj
	(1.8.2.1), wal_classic.vcproj (1.8.2.1):

	Adjust MSVC7 makefiles

2003-08-11 23:46  skidder

	* firebird2/src/qli/mov.cpp (1.17.2.1):

	Backport FreeBSD fixes

2003-08-11 23:41  skidder

	* firebird2/src/: burp/burp.cpp (1.33.2.1), jrd/cvt.cpp (1.20.2.1),
	jrd/mov.cpp (1.7.2.1):

	Backport FreeBSD fixes

2003-08-11 23:37  skidder

	* firebird2/src/: jrd/thd.h (1.12.2.1), include/firebird.h
	(1.12.2.1):

	Backport Win32 CS startup race condition fix

2003-08-11 23:34  skidder

	* firebird2/src/common/classes/: alloc.cpp (1.29.2.1), alloc.h
	(1.21.2.1), locks.cpp (1.3.2.1), locks.h (1.5.2.1):

	Backport Win32 CS startup race condition fix

2003-08-11 23:07  skidder

	* firebird2/src/lock/lock.cpp (1.56.2.3):

	Backport lock manager fixes

2003-08-11 02:58  arnobrinkman

	* firebird2/src/dsql/make.cpp (1.30.2.1):

	bugfix: CASE / COALESCE functions determine always NUMERIC even
	when all values where int or long.

2003-08-08 23:33  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.73.2.2):

	bugfix: All flags csb_flags were cleared except csb_active. Thanks
	to Claudio V.

2003-08-08 11:13  paulbeach

	* firebird2/builds/win32/setenvvar.bat (1.1.2.2):

	Fix moronic spelling mistake

2003-08-08 09:52  paulbeach

	* firebird2/builds/win32/: make_all.bat (1.4.2.1), prepare.bat
	(1.19.2.2), setenvvar.bat (1.1.2.1):

	Fix Blas' fix for Firebird location in prepare, so it can handle
	spaces in the path name. Echo %FIREBIRD% in setenvvar.bat. Copy
	firebird.conf to output so the server will actually run.

2003-08-07 21:30  skidder

	* firebird2/src/jrd/jrd.cpp (1.76.2.1):

	Fix stack corruption when aliases are used

2003-08-07 12:18  aafemt

	* firebird2/src/: ipserver/ipserver.cpp (1.19.2.1), jrd/alt.cpp
	(1.21.2.1), jrd/ibase.h (1.40.2.1), remote/server.cpp (1.34.2.1):

	Rollback public API changes by Mike Nordell

2003-08-06 19:15  brodsom

	* firebird2/builds/win32/msvc6/build_msg.dsp (1.3.2.1):

	This file should be in the branch but due to some CVS mistery it is
	not.

2003-08-06 18:30  skidder

	* firebird2/src/jrd/db_alias.h (1.1):

	Implementation of fast physical incremental backup

2003-08-06 18:21  brodsom

	* firebird2/builds/win32/prepare.bat (1.19.2.1):

	Patch. previoulsy when the directory parameter have spaces (as in
	the example) the script fail.

2003-08-05 00:18  skidder

	* firebird2/builds/posix/Makefile.in.extlib (1.10.2.3):

	Backport fbudf/fb_udf fix to B1_5_Release

2003-08-05 00:17  skidder

	*
	firebird2/src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.13.2.1):

	Distribute docs in Linux builds

2003-08-04 23:54  skidder

	* firebird2/doc/sql.extensions/: README.aggregate_tracking
	(1.1.2.1), README.context_variables (1.2.2.1), README.data_types
	(1.2.2.1), README.exception_handling (1.1.2.1),
	README.execute_statement (1.2.2.1), README.explicit_locks
	(1.4.2.1), README.order_by_expressions_nulls (1.2.2.1),
	README.savepoints (1.1.2.1), README.universal_triggers (1.1.2.1):

	Move docs to B1_5_Release

2003-08-04 23:21  skidder

	* firebird2/builds/posix/prefix.linux (1.18.2.1):

	Return Linux port to buildable state after fixup of Darwin port by
	John Bellardo

2003-08-04 10:13  dimitr

	* firebird2/doc/WhatsNew (1.36.2.2):

	no message

2003-08-04 10:08  dimitr

	* firebird2/doc/WhatsNew (1.36.2.1):

	Added RC5 changes

2003-08-04 09:21  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.3):

	no message

2003-08-04 09:15  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.2):

	A bit corrected GDSCODE handling + minor cleanup.

2003-08-01 22:12  skidder

	* firebird2/src/extlib/ib_udf.c (1.5.2.1):

	Fix bugs in ib_udf functions rtrim, ltrim and log. Found and fixed
	by Paul Vinkenoog

2003-07-31 17:33  dimitr

	* firebird2/src/burp/burp.h (1.17.2.1):

	Fixed gbak version string.

2003-07-31 13:54  skidder

	* firebird2/doc/sql.extensions/README.explicit_locks (1.4):

	Fix typo

2003-07-30 16:51  skidder

	* firebird2/src/lock/lock.cpp (1.56.2.2):

	Fix Win32 CS lock manager issue

2003-07-29 13:33  skidder

	* firebird2/doc/sql.extensions/README.savepoints (1.1):

	Added docs for savepoints

2003-07-29 02:55  arnobrinkman

	* firebird2/doc/sql.extensions/README.aggregate_tracking (1.1):

	Please give some comments

2003-07-29 02:29  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.72.2.3):

	2nd RC4 bugfix, but much better tracking of supported nested
	aggregates.

2003-07-28 21:20  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.72.2.2):

	bugfix RC4: a higher context was supported with nested aggregates,
	but this isn't possible.  Only a lower context is possible with
	nested aggregates.

2003-07-28 11:29  skidder

	* firebird2/doc/sql.extensions/README.explicit_locks (1.3):

	Fix a couple typos

2003-07-28 11:21  skidder

	* firebird2/doc/sql.extensions/: README.explicit_locks (1.2),
	README.order_by_expressions_nulls (1.2):

	Correct docs a little

2003-07-27 20:00  skidder

	* firebird2/doc/sql.extensions/README.order_by_expressions_nulls
	(1.1):

	Some more docs

2003-07-27 17:44  skidder

	* firebird2/doc/sql.extensions/README.explicit_locks (1.1):

	Add docs for explicit locking

2003-07-24 00:45  arnobrinkman

	* firebird2/src/jrd/par.cpp (1.43.2.1):

	bugfix: sub-select in aggregate select inside a view failed. Due
	wrong context/stream parsing.

2003-07-19 08:20  bellardo

	* firebird2/configure.in (1.141.2.2):

	Need to create the jrs/os/darwin directory in temp

2003-07-19 08:19  bellardo

	* firebird2/builds/posix/: make.rules (1.19.2.2), prefix.darwin
	(1.8.2.4):

	More changes to the darwin prefix file

2003-07-19 08:12  bellardo

	* firebird2/builds/posix/Makefile.in.extlib (1.10.2.2):

	Fix an error in previous commit where I forgot to include a
	variable name

2003-07-19 07:52  bellardo

	* firebird2/builds/posix/: Makefile.in.extlib (1.10.2.1),
	Makefile.in.intl (1.11.2.1), Makefile.in.libfbclient (1.14.2.1),
	Makefile.in.libfbembed (1.10.2.1), make.rules (1.19.2.1),
	prefix.darwin (1.8.2.3):

	Darwin needs full control over some shared library link parameters,
	so provide it in a way that should be backwards compatible.

2003-07-19 07:02  bellardo

	* firebird2/configure.in (1.141.2.1):

	Darwin need to link again CoreFoundation

2003-07-19 06:57  bellardo

	* firebird2/builds/posix/: Makefile.in.boot.gpre (1.14.2.1),
	Makefile.in.codes (1.7.2.1), Makefile.in.embed.lockmgr (1.5.2.1),
	Makefile.in.fbserver (1.11.2.1), Makefile.in.inet_server
	(1.11.2.1), Makefile.in.static.gbak (1.6.2.1),
	Makefile.in.static.gpre (1.10.2.1), make.shared.targets (1.13.2.1),
	prefix.darwin (1.8.2.2):

	Darwin can't handle -L<space>lib_include_dir parameter to linker,
	so all instances have been changed to -Llib_include_dir.  Also
	update the darwin platform prefix file.

2003-07-19 06:53  bellardo

	* firebird2/src/jrd/os/darwin/: config_root.cpp (1.1.2.1),
	fbsyslog.cpp (1.1.2.1), mod_loader.cpp (1.2.4.1), path_utils.cpp
	(1.1.2.1):

	Update darwin specific OS files.

2003-07-19 06:53  bellardo

	* firebird2/src/jrd/gds.cpp (1.84.2.2):

	Darwin specific includes no longer needed.

2003-07-19 06:42  bellardo

	* firebird2/src/jrd/gds.cpp (1.84.2.1):

	Add a header needed for DARWIN

2003-07-19 06:23  bellardo

	* firebird2/builds/posix/prefix.darwin (1.8.2.1):

	Fix debug build compile flags

2003-07-18 23:41  skidder

	* firebird2/src/lock/lock.cpp (1.56.2.1):

	Apply Windows CS lock manager fix to release branch

2003-07-17 10:26  dimitr

	* firebird2/src/jrd/exe.cpp (1.68.2.1):

	Re-applied recent v1.5 fixes to the release branch.

2003-07-17 10:21  dimitr

	* firebird2/src/: dsql/node.h (1.23.2.1), dsql/parse.cpp
	(1.72.2.1), dsql/parse.y (1.79.2.1), dsql/pass1.cpp (1.72.2.1),
	jrd/rse.cpp (1.28.2.1), jrd/vio.cpp (1.49.2.1), jrd/vio_proto.h
	(1.8.2.1), jrd/dyn.epp (1.27.2.1):

	Re-applied recent v1.5 fixes to the release branch.

2003-07-17 10:07  dimitr

	* firebird2/src/jrd/ids.m (1.2.2.1):

	Re-applied recent v1.5 fixes to the release branch.

2003-07-17 10:04  dimitr

	* firebird2/src/jrd/: opt.cpp (1.73.2.1), cmp.cpp (1.52.2.1):

	Re-applied recent v1.5 fixes to the release branch.

2003-07-15 12:32  dimitr

	* firebird2/doc/sql.extensions/: README.context_variables (1.2),
	README.data_types (1.2):

	no message

2003-07-15 11:09  dimitr

	* firebird2/doc/sql.extensions/: README.context_variables (1.1),
	README.data_types (1.1), README.exception_handling (1.1),
	README.universal_triggers (1.1):

	Added some documentation for RelNotes. More will follow shortly.

2003-07-08 13:49  dimitr

	* firebird2/src/common/config/config_file.cpp (1.11):

	Removed warning for fbembed

2003-07-08 13:32  skidder

	* firebird2/doc/install_win32.txt (1.2):

	Correct docs a little

2003-07-08 13:19  skidder

	* firebird2/doc/WhatsNew (1.36):

	[no log message]

2003-07-08 13:17  dimitr

	* firebird2/src/dsql/parse.cpp (1.72):

	Fixed parse.cpp

2003-07-08 12:56  alexpeshkoff

	* firebird2/builds/win32/preprocess.bat (1.16):

	enable standalone use of preprocess.bat

2003-07-08 12:45  brodsom

	* firebird2/builds/posix/: Makefile.in.msgs (1.12), make.defaults
	(1.25):

	no message

2003-07-08 03:08  brodsom

	* firebird2/clean.sh (1.6):

	Correction

2003-07-08 03:04  brodsom

	* firebird2/: clean.sh (1.5), configure.in (1.141),
	builds/posix/Makefile.in.codes (1.7),
	builds/posix/Makefile.in.example5 (1.7),
	builds/posix/Makefile.in.firebird (1.37),
	builds/posix/Makefile.in.gpre (1.8),
	builds/posix/Makefile.in.v5_examples (1.9),
	builds/posix/make.defaults (1.24), builds/posix/make.rules (1.19),
	builds/posix/make.shared.targets (1.13),
	builds/posix/make.shared.variables (1.26),
	builds/posix/prefix.solaris (1.5):

	-Split posix build output between 'gen' and 'temp'(compiler .o .d)
	- Remove some redundant variables

2003-07-08 01:49  skidder

	* firebird2/src/dsql/parse.y (1.79):

	Fix problem in non-reserved Inserting/Updating/Deleting
	implementation found by Dmitry Emanov

2003-07-07 22:06  skidder

	* firebird2/src/jrd/gds.cpp (1.84):

	Little fix to make Linux version compile

2003-07-07 13:42  brodsom

	* firebird2/doc/README.build.msvc.html (1.6):

	Correction

2003-07-07 13:34  brodsom

	* firebird2/builds/win32/clean_all.bat (1.9):

	Installer update

2003-07-07 13:29  brodsom

	* firebird2/doc/README.build.msvc.html (1.5):

	Installer update

2003-07-07 02:56  brodsom

	* firebird2/src/install/arch-specific/win32/FirebirdInstall_15.iss
	(1.5):

	Correction

2003-07-06 17:13  dimitr

	* firebird2/doc/WhatsNew (1.35):

	Added RC4 changed.

2003-07-06 15:56  dimitr

	* firebird2/src/jrd/tra.cpp (1.38):

	Fixed thread priority to avoid the sweeper to be locked outside the
	scheduler under a heavy load.

2003-07-06 15:35  dimitr

	* firebird2/src/remote/srvr_w32.cpp (1.26):

	no message

2003-07-06 13:38  dimitr

	* firebird2/src/remote/srvr_w32.cpp (1.25):

	Preload the client library to fix the win98 UDF issues.

2003-07-06 10:38  dimitr

	* firebird2/builds/win32/defs/: fbclient.def (1.3),
	fbclient_debug.def (1.3):

	Minor addition to the private API

2003-07-06 10:14  dimitr

	* firebird2/src/isql/isql.epp (1.32):

	Fixed ISQL temp file bug.

2003-07-06 09:05  dimitr

	* firebird2/src/isql/isql.epp (1.31):

	no message

2003-07-06 09:03  dimitr

	* firebird2/src/: dudley/lex.cpp (1.14), gpre/gpre.cpp (1.26),
	isql/isql.h (1.9), jrd/rse.cpp (1.28), jrd/sort.cpp (1.38),
	qli/lex.cpp (1.14):

	Uniform tempfile naming.

2003-07-06 05:11  brodsom

	* firebird2/src/ipserver/alli.cpp (1.4):

	Bracketing fix

2003-07-06 03:51  brodsom

	* firebird2/builds/posix/Makefile.in.codes (1.6):

	Comment correction

2003-07-06 03:18  hippoman

	* firebird2/builds/win32/msvc7/: Firebird2Boot.sln (1.1),
	build_msg.vcproj (1.1), codes.vcproj (1.1), common_static.vcproj
	(1.1), fbclient_static.vcproj (1.1), gpre_static.vcproj (1.1),
	v5_examples.vcproj (1.1):

	Syncing MSVC7 build files

2003-07-06 03:16  hippoman

	* firebird2/builds/win32/: make_all.bat (1.4), make_boot.bat (1.5):

	Fixing MSVC7 build

2003-07-06 03:07  brodsom

	* firebird2/: builds/make.new/config/config.h.in (1.1),
	builds/make.new/config/install-sh (1.1), clean.sh (1.4),
	configure.in (1.140):

	Move make.new to builds

2003-07-05 17:22  brodsom

	* firebird2/builds/old_prefixes/: README.txt (1.1), prefix.aix
	(1.1), prefix.aix_ppc (1.1), prefix.darwin (1.1), prefix.freebsd
	(1.1), prefix.hp10 (1.1), prefix.hp9.0 (1.1), prefix.linux (1.1),
	prefix.mu (1.1), prefix.ncr3000 (1.1), prefix.netbsd (1.1),
	prefix.sco (1.1), prefix.sco_ev (1.1), prefix.solaris (1.1),
	prefix.solaris_mt (1.1), prefix.solx86 (1.1), prefix.sun4 (1.1),
	prefix.sun4_acc (1.1), prefix.win_nt (1.1), prefix.win_nts (1.1):

	Move old_prefixes to builds directory

2003-07-05 16:48  brodsom

	* firebird2/doc/README.build.msvc.html (1.4):

	Update

2003-07-05 16:45  brodsom

	* firebird2/: builds/win32/preprocess.bat (1.15),
	builds/win32/clean_all.bat (1.8), builds/win32/make_all.bat (1.3),
	builds/win32/make_boot.bat (1.4), builds/win32/make_examples.bat
	(1.4), builds/win32/prepare.bat (1.19),
	src/install/arch-specific/win32/BuildExecutableInstall.bat (1.10):

	Move temporary 'dbs' below temporary 'gen'

2003-07-05 16:23  dimitr

	* firebird2/src/jrd/gds.cpp (1.83):

	no message

2003-07-05 14:45  dimitr

	* firebird2/src/common/config/config.cpp (1.40):

	Fixed typo.

2003-07-05 14:45  dimitr

	* firebird2/src/jrd/isc_sync.cpp (1.55):

	1) Cleanup 2) Some changes for the embedded server

2003-07-05 14:11  dimitr

	* firebird2/src/: jrd/gds.cpp (1.82), jrd/gds_proto.h (1.17),
	common/config/dir_list.cpp (1.14):

	1) Cleanup 2) Some changes for the embedded server

2003-07-05 05:31  brodsom

	* firebird2/builds/win32/: clean_all.bat (1.7), make_examples.bat
	(1.3):

	Corrections

2003-07-05 05:22  brodsom

	* firebird2/: builds/win32/clean_all.bat (1.6),
	builds/win32/make_all.bat (1.2), builds/win32/make_boot.bat (1.3),
	builds/win32/make_examples.bat (1.2), builds/win32/parse.bat (1.4),
	src/install/arch-specific/win32/BuildExecutableInstall.bat (1.9):

	Use temporary compiler dir 'temp' below root

2003-07-05 05:17  brodsom

	* firebird2/builds/win32/msvc6/: alice.dsp (1.15),
	alice_classic.dsp (1.12), build_msg.dsp (1.3), burp.dsp (1.17),
	burp_classic.dsp (1.15), codes.dsp (1.3), common.dsp (1.21),
	common_classic.dsp (1.15), common_static.dsp (1.2), dsql_server.dsp
	(1.20), dsql_server_classic.dsp (1.16), engine.dsp (1.32),
	engine_classic.dsp (1.28), engine_embed.dsp (1.9),
	fb_inet_server.dsp (1.17), fb_lock_print.dsp (1.17), fbclient.dsp
	(1.33), fbclient_static.dsp (1.4), fbembed.dsp (1.25), fbguard.dsp
	(1.17), fbserver.dsp (1.28), fbudf.dsp (1.10), gbak.dsp (1.19),
	gdef.dsp (1.14), gds32.dsp (1.18), gfix.dsp (1.17), gpre.dsp
	(1.18), gpre_boot.dsp (1.17), gpre_static.dsp (1.3), gsec.dsp
	(1.13), gsplit.dsp (1.6), gstat.dsp (1.14), ib_udf.dsp (1.15),
	ib_util.dsp (1.15), instreg.dsp (1.12), instsvc.dsp (1.13),
	intl.dsp (1.20), intlcpp.dsp (1.5), ipserver.dsp (1.13), isql.dsp
	(1.19), lock.dsp (1.12), lock_classic.dsp (1.10), qli.dsp (1.13),
	remote.dsp (1.17), remote_classic.dsp (1.14), utilities.dsp (1.13),
	utilities_classic.dsp (1.11), v5_examples.dsp (1.3), wal.dsp
	(1.12), wal_classic.dsp (1.10):

	Use temporary compiler dir 'temp' below root

2003-07-05 04:53  brodsom

	* firebird2/:
	src/install/arch-specific/win32/BuildExecutableInstall.bat (1.8),
	builds/win32/clean_all.bat (1.5), builds/win32/make_boot.bat (1.2):

	Move firebird.msg to 'gen' directory

2003-07-05 04:41  brodsom

	* firebird2/src/install/arch-specific/win32/setenvvar.bat (1.2):

	Correction

2003-07-05 04:35  brodsom

	* firebird2/doc/README.build.msvc.html (1.3):

	Update

2003-07-05 04:23  brodsom

	* firebird2/builds/win32/clean_all.bat (1.4):

	Correction

2003-07-05 04:18  brodsom

	* firebird2/: builds/win32/clean_all.bat (1.3),
	src/install/arch-specific/win32/setenvvar.bat (1.1):

	-Scripts with visual studio version detection -Move output
	directory to a temporary below root -Use absolute paths (easier to
	move)

2003-07-05 04:14  brodsom

	*
	firebird2/src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.7):

	-Scripts with visual studio version detection -Move output
	directory to a temporary below root -Use absolute paths (easier to
	move)

2003-07-05 04:02  brodsom

	* firebird2/builds/win32/make_examples.bat (1.1):

	-Scripts with visual studio version detection -Move output
	directory to a temporary below root -Use absolute paths (easier to
	move)

2003-07-05 03:10  brodsom

	* firebird2/builds/win32/: make_all.bat (1.1), make_boot.bat (1.1),
	prepare.bat (1.18), preprocess.bat (1.14), setenvvar.bat (1.1):

	-Scripts with visual studio version detection -Move output
	directory to a temporary below root -Use absolute paths (easier to
	move)

2003-07-04 21:21  brodsom

	* firebird2/doc/README.build.msvc.html (1.2):

	Update, not the final one.

2003-07-04 21:13  brodsom

	*
	firebird2/src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.6):

	-Remove unneeded messages -Replace cat (unix) with type (win)

2003-07-04 20:48  brodsom

	* firebird2/src/v5_examples/: empbuild.c (1.12), empbuild.e (1.3):

	-Add check for input files -Solve format warnings -Update
	empbuild.c

2003-07-04 20:46  brodsom

	* firebird2/src/v5_examples/empddl.sql (1.5):

	Change DATE to TIMESTAMP

2003-07-04 18:45  brodsom

	* firebird2/src/gpre/sql.cpp (1.14):

	-b option for EXEC SQL SET DATABASE

2003-07-04 18:19  brodsom

	* firebird2/src/gpre/: par.cpp (1.21), sql.cpp (1.13), sql_proto.h
	(1.4):

	-b option for exec sql

2003-07-04 17:17  dimitr

	* firebird2/src/: jrd/ibase.h (1.40), jrd/isc.cpp (1.36), jrd/isc.h
	(1.7), remote/ibconfig.cpp (1.16):

	Get rid of the old config stuff completely.

2003-07-04 15:08  brodsom

	* firebird2/builds/win32/prepare.bat (1.17):

	-Replace build_all with makeX_boot.  -Add make7_boot (To be
	reviewed by Ignacio J Ortega)

2003-07-04 14:46  dimitr

	* firebird2/builds/win32/prepare.bat (1.16):

	Minor changes to the preparation script.

2003-07-04 14:42  brodsom

	* firebird2/doc/README.build.mingw.html (1.1):

	Change the file name to a more understandable one.

2003-07-04 14:40  brodsom

	* firebird2/doc/README.build.msvc.html (1.1):

	First and temporary version of msvc build readme. (The good one in
	hours)

2003-07-04 14:19  dimitr

	* firebird2/src/common/classes/tree.h (1.13):

	Fixed win32 build

2003-07-04 14:15  dimitr

	* firebird2/src/remote/: ibconfig.cpp (1.15), ibconfig.rc (1.3):

	Temporary disallowed config management via the property sheet.

2003-07-04 14:12  dimitr

	* firebird2/src/jrd/svc.cpp (1.67):

	Removed old config stuff remains.  Temporary disallowed config
	management via Services API.

2003-07-04 12:15  dimitr

	* firebird2/builds/win32/msvc6/: engine.dsp (1.31),
	engine_classic.dsp (1.27), engine_embed.dsp (1.8):

	Fixed little optimization issue with VC6 (SP < 5)

2003-07-04 05:31  brodsom

	* firebird2/clean.sh (1.3):

	Add more files to clean

2003-07-04 05:12  brodsom

	* firebird2/src/lock/lock.cpp (1.56):

	Patch for the MinGW build problem (CS only code)

2003-07-04 04:26  brodsom

	* firebird2/builds/posix/prefix.mingw (1.19):

	Use MINGW macro and mthreads

2003-07-04 04:25  brodsom

	* firebird2/src/jrd/ibsetjmp.h (1.4):

	Use MINGW macro.

2003-07-04 01:02  brodsom

	* firebird2/src/gpre/sql.cpp (1.12):

	Patch

2003-07-03 17:47  brodsom

	* firebird2/: builds/posix/Makefile.in.msgs (1.11), clean.sh (1.2):

	add extension to identify type

2003-07-03 16:44  brodsom

	* firebird2/configure.in (1.139):

	Remove unused directory creation

2003-07-03 16:29  brodsom

	* firebird2/clean.sh (1.1):

	Add script to clean build generated files

2003-07-03 15:08  brodsom

	* firebird2/builds/win32/clean_all.bat (1.2):

	Add batch to remove build created files and directories

2003-07-03 14:44  brodsom

	* firebird2/builds/win32/clean_all.bat (1.1):

	Add batch to remove build created files and directories

2003-07-03 14:36  brodsom

	* firebird2/builds/win32/: prepare.bat (1.15), preprocess.bat
	(1.13), msvc6/alice.dsp (1.14), msvc6/alice_classic.dsp (1.11),
	msvc6/build_msg.dsp (1.2), msvc6/burp.dsp (1.16),
	msvc6/burp_classic.dsp (1.14), msvc6/codes.dsp (1.2),
	msvc6/dsql_server.dsp (1.19), msvc6/dsql_server_classic.dsp (1.15),
	msvc6/engine.dsp (1.30), msvc6/engine_classic.dsp (1.26),
	msvc6/engine_embed.dsp (1.7), msvc6/fb_inet_server.dsp (1.16),
	msvc6/fbclient.dsp (1.32), msvc6/fbclient_static.dsp (1.3),
	msvc6/fbembed.dsp (1.24), msvc6/fbserver.dsp (1.27), msvc6/gbak.dsp
	(1.18), msvc6/gdef.dsp (1.13), msvc6/gfix.dsp (1.16),
	msvc6/gpre.dsp (1.17), msvc6/gpre_static.dsp (1.2), msvc6/gsec.dsp
	(1.12), msvc6/gstat.dsp (1.13), msvc6/isql.dsp (1.18),
	msvc6/qli.dsp (1.12), msvc6/utilities.dsp (1.12),
	msvc6/utilities_classic.dsp (1.10), msvc6/v5_examples.dsp (1.2),
	msvc7/alice.vcproj (1.8), msvc7/alice_classic.vcproj (1.8),
	msvc7/burp.vcproj (1.11), msvc7/burp_classic.vcproj (1.11),
	msvc7/dsql_server.vcproj (1.10), msvc7/dsql_server_classic.vcproj
	(1.10), msvc7/engine.vcproj (1.21), msvc7/engine_classic.vcproj
	(1.20), msvc7/engine_embed.vcproj (1.8),
	msvc7/fb_inet_server.vcproj (1.9), msvc7/fbclient.vcproj (1.17),
	msvc7/fbembed.vcproj (1.14), msvc7/fbserver.vcproj (1.10),
	msvc7/gbak.vcproj (1.11), msvc7/gdef.vcproj (1.11),
	msvc7/gfix.vcproj (1.10), msvc7/gpre.vcproj (1.13),
	msvc7/gsec.vcproj (1.10), msvc7/gstat.vcproj (1.11),
	msvc7/isql.vcproj (1.11), msvc7/qli.vcproj (1.10),
	msvc7/utilities.vcproj (1.10), msvc7/utilities_classic.vcproj
	(1.9):

	Move generated source from 'generated' to 'gen'. So we don't use a
	CVS and obsolete directory for build output and it will be easier
	to do a clean build.

2003-07-03 13:04  brodsom

	* firebird2/builds/win32/: blrtable.bat (1.4), parse.bat (1.3),
	prepare.bat (1.14), preprocess.bat (1.12):

	minor changes

2003-07-03 04:13  brodsom

	* firebird2/builds/win32/preprocess.bat (1.11):

	Remove sed test since the normal build (without parse) doesn't need
	sed or any other unix command.

2003-07-03 04:12  brodsom

	* firebird2/builds/win32/parse.bat (1.2):

	-Change parse.bat to verify yacc/bison and sed and work with the
	two parser generators.

2003-07-03 02:22  brodsom

	* firebird2/src/jrd/codes.epp (1.17):

	Solve a bug. mv can't be used in win32.  Replace cmp with a native
	compare on win32

2003-07-02 21:02  brodsom

	* firebird2/: src/jrd/dyn_def.epp (1.34),
	builds/win32/preprocess.bat (1.10),
	builds/posix/make.shared.targets (1.12):

	Add special action to be used in dyn_def.cpp.  (remove dyn_def.sed)

2003-07-02 20:58  brodsom

	* firebird2/src/gpre/: gpre.h (1.33), hsh.h (1.4), int.cpp (1.13),
	int_cxx.cpp (1.11), par.cpp (1.20), words.h (1.3):

	Add special action to be used in dyn_def.cpp.

2003-07-02 16:40  brodsom

	* firebird2/builds/win32/: prepare.bat (1.13), preprocess.bat
	(1.9):

	Avoid using sed to edit epp files (excluding security.epp).

2003-07-02 15:41  dimitr

	* firebird2/src/jrd/map.cpp (1.11):

	Small correction.

2003-07-02 14:57  brodsom

	* firebird2/src/gpre/: gpre.cpp (1.25), gpre.h (1.32), gpreswi.h
	(1.8), msc.cpp (1.6), msc_proto.h (1.4), par.cpp (1.19),
	par_proto.h (1.4):

	New gpre -b option to be used in the msvc build process. It enable
	to set the base directory for compile time db without using sed.

2003-07-02 13:40  brodsom

	* firebird2/builds/win32/msvc6/: Firebird2Boot.dsw (1.1),
	Firebird2.dsw (1.19):

	New dsp's to replace nmake's (split boot workspace)

2003-07-02 11:40  dimitr

	* firebird2/src/dsql/: parse.cpp (1.71), parse.y (1.78):

	Correct the parser a bit.

2003-07-02 02:16  brodsom

	* firebird2/src/dsql/: parse.cpp (1.70), parse.y (1.77), dsql.tab.h
	(1.18), keywords.cpp (1.18):

	Solve macro conflicts on win 32 when using bison and msvc

2003-07-02 01:19  brodsom

	* firebird2/src/dsql/parse.sed (1.10):

	Enable use of bison 1.35 (tested with gnuwin32 version)

2003-07-02 00:24  brodsom

	* firebird2/builds/win32/preprocess.bat (1.8):

	New dsp's to replace nmake's (gpre with BOOT_BUILD = gpre_static)

2003-07-01 20:49  brodsom

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.18),
	fbclient_static.dsp (1.2):

	New dsp's to replace nmake's

2003-07-01 20:45  brodsom

	* firebird2/builds/win32/msvc6/: build_msg.dsp (1.1), codes.dsp
	(1.1):

	New dsp's to replace nmake's

2003-07-01 19:09  brodsom

	* firebird2/builds/win32/msvc6/: common_static.dsp (1.1),
	fbclient_static.dsp (1.1), gpre_static.dsp (1.1), Firebird2.dsw
	(1.17):

	New dsp's to replace nmake's

2003-06-30 20:12  brodsom

	* firebird2/: builds/win32/prepare.bat (1.12), src/msgs/include.epp
	(1.5):

	Remove unneeded sed commands in build

2003-06-30 20:09  brodsom

	* firebird2/: src/dudley/exe.epp (1.18),
	builds/win32/msvc6/gbak.dsp (1.17):

	Changes only inside #ifdef DEBUG.  Needed to be able to build with
	-DDEBUG on gcc.(there are also some format corrections)

2003-06-30 16:31  skidder

	* firebird2/src/dsql/pass1.cpp (1.72):

	Forbid pessimistic locks in queries with DISTINCT clause

2003-06-30 15:11  alexpeshkoff

	* firebird2/src/jrd/: cmp.cpp (1.52), met.epp (1.61):

	fixed AV in fbserver when JRD_PRC::prc_request == 0 at commit time

2003-06-30 14:48  alexpeshkoff

	* firebird2/src/jrd/: fun.epp (1.22), fun_proto.h (1.4), intl.cpp
	(1.32), par.cpp (1.43):

	fixed restore of backup file without required UDF(s)

2003-06-30 13:26  brodsom

	* firebird2/src/remote/: inet.cpp (1.70), interface.cpp (1.48),
	protocol.cpp (1.26), remote.cpp (1.15), server.cpp (1.34), wnet.cpp
	(1.18):

	Changes only inside #ifdef DEBUG.  Needed to be able to build with
	-DDEBUG on gcc.(there are also some format corrections)

2003-06-30 13:02  brodsom

	* firebird2/src/lock/lock.cpp (1.55):

	Changes only inside #ifdef DEBUG.  Needed to be able to build with
	-DDEBUG on gcc.(there are also some format corrections)

2003-06-30 12:47  brodsom

	* firebird2/src/: dsql/ddl.cpp (1.50), gpre/gpre_meta.epp (1.20):

	Changes only inside #ifdef DEBUG.  Needed to be able to build with
	-DDEBUG on gcc.(there are also some format corrections)

2003-06-30 12:42  brodsom

	* firebird2/src/burp/: backup.epp (1.24), mvol.cpp (1.13),
	restore.epp (1.31):

	Changes only inside #ifdef DEBUG.  Needed to be able to build with
	-DDEBUG on gcc.(there are also some format corrections)

2003-06-29 22:36  skidder

	* firebird2/src/dsql/: dsql.h (1.28), metd.epp (1.26), pass1.cpp
	(1.71):

	Add checks to allow explicit pessimistic locks only in cases when
	we really support them

2003-06-28 15:59  dimitr

	* firebird2/src/dsql/ddl.cpp (1.49):

	Fixed metadata cache issues with CREATE OR ALTER statement.

2003-06-28 14:48  dimitr

	* firebird2/src/jrd/btr.cpp (1.33):

	no message

2003-06-28 11:32  dimitr

	* firebird2/src/jrd/exe.cpp (1.68):

	Fixed error handling in the looper.

2003-06-27 19:04  dimitr

	* firebird2/src/jrd/opt.cpp (1.73):

	Bugfix for SF #736318.

2003-06-27 18:55  dimitr

	* firebird2/src/jrd/btr.cpp (1.32):

	Cleanup

2003-06-27 17:59  brodsom

	* firebird2/builds/win32/msvc6/: Firebird2.dsw (1.16),
	v5_examples.dsp (1.1):

	Add batch and dsp to rebuild empbuild.c. The script is not included
	in build process.

2003-06-27 00:14  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.72):

	bugfix: When 1 merge was done no other merge could be generated.
	for example with 4 stored procedures.

2003-06-26 12:43  dimitr

	* firebird2/src/: jrd/blr.h (1.12), jrd/exe.cpp (1.67),
	dsql/gen.cpp (1.33), dsql/parse.cpp (1.69), dsql/parse.y (1.76):

	Some savepoint-related changes: 1. release single savepoint 2.
	fixed exception handling

2003-06-25 09:43  dimitr

	* firebird2/src/: jrd/gds.cpp (1.81), jrd/isc.cpp (1.35),
	common/config/dir_list.cpp (1.13), install/misc/firebird.conf
	(1.28):

	Renamed environment variable. Fixed one temp-related crash.

2003-06-25 09:38  dimitr

	* firebird2/src/: common/config/config.cpp (1.39), remote/inet.cpp
	(1.69):

	Fixed manual TCP port assignment.

2003-06-24 12:33  dimitr

	* firebird2/src/isql/isql.epp (1.30):

	Applied the patch by Tomas Skoda.

2003-06-24 11:28  dimitr

	* firebird2/src/dsql/: parse.cpp (1.68), parse.y (1.75):

	Fixed one more limitation in the parser.

2003-06-22 14:37  alexpeshkoff

	* firebird2/doc/: README.NTSecurity (1.1), README.instsvc (1.1):

	some more readme's

2003-06-22 13:52  alexpeshkoff

	* firebird2/doc/sql.extensions/README.execute_statement (1.2):

	fixed word repetition

2003-06-20 19:55  kkuznetsov

	* firebird2/: builds/posix/prefix.solx86 (1.18),
	builds/posix/prefix.solx86gcc (1.1), src/common/classes/tree.h
	(1.12):

	Trying to make FB2 compiler independant add prefix for SUN C
	compiler and fix fist compilation error

2003-06-19 20:13  dimitr

	* firebird2/src/install/misc/firebird.conf (1.27):

	Fixed the config option.

2003-06-19 20:10  dimitr

	* firebird2/src/common/config/: config.cpp (1.38), config.h (1.23):

	Fixed the config option.

2003-06-19 15:47  alexpeshkoff

	* firebird2/src/utilities/install_svc.cpp (1.18):

	reject -l switch in any mode besides "install"

2003-06-18 15:29  alexpeshkoff

	* firebird2/doc/sql.extensions/README.execute_statement (1.1):

	Initial revision of EXECUTE STATEMENT description

2003-06-18 10:08  alexpeshkoff

	* firebird2/src/jrd/vio.cpp (1.49):

	fixed bug, submitted to fb-devel by Cosmin Popa <cosmin@aplix.ro>
	after execution of pre-(update/delete) triggers, non-existent
	deadlock was raised, conflict was with version, created by current
	transaction

2003-06-16 17:42  alexpeshkoff

	* firebird2/src/: jrd/dfw.epp (1.45), jrd/ExecuteStatement.cpp
	(1.14), jrd/ExecuteStatement.h (1.5), jrd/exe.cpp (1.66),
	jrd/ext.cpp (1.25), jrd/flu.cpp (1.34), jrd/flu_proto.h (1.4),
	jrd/fun.epp (1.21), jrd/jrd.cpp (1.76), jrd/met.epp (1.60),
	jrd/why.cpp (1.23), dsql/dsql.cpp (1.54):

	fixed diagnostic in EXECUTE STATEMENT & DirectoryList

2003-06-16 00:26  skidder

	* firebird2/src/dsql/parse.y (1.74):

	Oops. Part of my own RELEASE SAVEPOINT implementation leaked into
	to the previous commit

2003-06-16 00:08  skidder

	* firebird2/src/dsql/parse.y (1.73):

	Make INSERTING/UPDATING/DELETING non-reserved keywords. The patch
	causes compilation performance degradation for statements
	containing a lot of braces, but my testing indicated that this
	effect is surely unmeasurable for nesting level up to 250

2003-06-15 08:03  stryqx

	* firebird2/configure.in (1.138):

	The check for socklen_t fails on FreeBSD as socklen_t is defined in
	sys/socket.h. Write a specific check for this on FreeBSD.

2003-06-15 07:57  stryqx

	* firebird2/configure.in (1.137):

	Fix a typo.

2003-06-13 09:56  dimitr

	* firebird2/src/dsql/: dsql.h (1.27), pass1.cpp (1.70):

	New error messages for:   - gbak   - DSQL layer (aggregate
	tracking)   - JRD layer (EXECUTE STATEMENT)   - config stuff

2003-06-13 09:50  dimitr

	* firebird2/src/: msgs/msg.gbak (1.6), include/gen/codes.h (1.10),
	include/gen/codetext.h (1.5), include/gen/gds_codes.ftn (1.4),
	include/gen/gds_codes.pas (1.5), include/gen/iberror.h (1.5),
	include/gen/msgs.h (1.5), include/gen/rdb_codes.h (1.5),
	include/gen/sql_code.h (1.6), burp/backup.epp (1.23):

	New error messages for:   - gbak   - DSQL layer (aggregate
	tracking)   - JRD layer (EXECUTE STATEMENT)   - config stuff

2003-06-13 03:17  skywalker

	* firebird2/configure.in (1.136):

	Create a required directory for super

2003-06-12 11:38  dimitr

	* firebird2/src/dsql/pass1.cpp (1.69):

	Disallowed explicit locking for aggregate queries.  The same should
	be done for stored procedure streams (joins require some work too).

2003-06-11 14:00  alexpeshkoff

	* firebird2/src/utilities/: install_svc.cpp (1.17), servi_proto.h
	(1.3), services.cpp (1.9):

	security fix - added -login switch to instsvc

2003-06-10 15:39  dimitr

	* firebird2/src/: dsql/dsql.tab.h (1.17), dsql/gen.cpp (1.32),
	dsql/keywords.cpp (1.17), dsql/node.h (1.23), dsql/parse.cpp
	(1.67), dsql/parse.y (1.72), dsql/pass1.cpp (1.68), jrd/blr.h
	(1.11), jrd/blrtable.cpp (1.15), jrd/cmp.cpp (1.51), jrd/exe.cpp
	(1.65), jrd/exe.h (1.15), jrd/nod.h (1.8), jrd/par.cpp (1.42):

	Fixed (hopefully) savepoints implementation: 1) RELEASE SAVEPOINT
	statement is added 2) SAVEPOINT statement now re-establishes
	existing savepoint with the same name 3) all savepoint stuff is
	changed to use single BLR verb

2003-06-10 10:19  eku

	* firebird2/src/install/arch-specific/sinixz/prototype.in (1.16):

	Updated package prototype file.

2003-06-10 01:04  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.71):

	bugfix: More bugfixes for 'no current record for fetch operation'
	errors.  These were mostly related to queries where a MERGE was
	done and/or SP/VIEW/Aggregates/Unions were used together.

2003-06-08 22:59  hippoman

	* firebird2/builds/win32/msvc7/: fb_inet_server.vcproj (1.8),
	fb_lock_print.vcproj (1.13), fbclient.vcproj (1.16), fbembed.vcproj
	(1.13), fbguard.vcproj (1.11), fbserver.vcproj (1.9), gbak.vcproj
	(1.10), gdef.vcproj (1.10), gds32.vcproj (1.10), gfix.vcproj (1.9),
	gpre.vcproj (1.12), gpre_boot.vcproj (1.12), gsec.vcproj (1.9),
	gsplit.vcproj (1.5), gstat.vcproj (1.10), ib_udf.vcproj (1.10),
	ib_util.vcproj (1.10), instreg.vcproj (1.9), instsvc.vcproj (1.9),
	intl.vcproj (1.10), intlcpp.vcproj (1.4), isql.vcproj (1.10),
	qli.vcproj (1.9):

	*Synced msvc7 build *changed dir references related ro rc files to
	relative paths.

2003-06-08 20:12  dimitr

	* firebird2/src/remote/protocol.h (1.12):

	Re-enable default asymmetric protocol.

2003-06-08 15:13  dimitr

	* firebird2/src/: jrd/inf.cpp (1.20), jrd/license.h (1.30),
	jrd/utl.cpp (1.35), remote/merge.cpp (1.10):

	Version information cleanup.

2003-06-07 14:39  dimitr

	* firebird2/src/jrd/: isc_version.h (1.1), isc_version.rc (1.2),
	license.h (1.29):

	Fixed broken version compatibility with IB.

2003-06-06 16:13  alexpeshkoff

	* firebird2/src/jrd/dyn.epp (1.27):

	fixing linux SS - removed V4_THREADING left from netware port

2003-06-06 16:04  alexpeshkoff

	* firebird2/src/install/arch-specific/linux/super/:
	makeInstallImage.sh.in (1.1), postinstall.sh.in (1.2),
	rpmfiles.txt.in (1.2), rpmheader.txt.in (1.2), tarMainInstall.sh.in
	(1.1), tarMainUninstall.sh.in (1.1), taruninstall.sh.in (1.1):

	fixing linux SS - install files -- SORRY -- this files are not
	checked, but are required to start SS build

2003-06-06 11:31  alexpeshkoff

	* firebird2/builds/posix/: Makefile.in.fbserver (1.11),
	prefix.linux (1.18):

	fixing linux SS - trivial mistypes

2003-06-06 11:16  alexpeshkoff

	* firebird2/src/remote/inet_server.cpp (1.26):

	fixing linux SS - removed variable free_map_debug, as not present
	in any other part of firebird code

2003-06-06 08:39  alexpeshkoff

	* firebird2/src/jrd/ibsetjmp.h (1.3):

	fixing linux SS - avoid compiler error ISO C++ forbids arrays
	assignment

2003-06-05 21:38  dimitr

	* firebird2/: builds/win32/msvc6/fbembed.dsp (1.23),
	src/jrd/why.cpp (1.22), src/remote/interface.cpp (1.47):

	Add remote client to the embedded server again.

2003-06-05 19:15  dimitr

	* firebird2/src/jrd/svc.cpp (1.66):

	Explicitly assign normal priority to the service tasks.  Avoid
	lockups between GC thread, cache writer and the service manager.

2003-06-05 18:09  dimitr

	* firebird2/src/jrd/opt.cpp (1.70):

	Fixed random crashes with big queries prepared.

2003-06-05 15:12  dimitr

	* firebird2/builds/win32/msvc6/engine.dsp (1.29):

	Rolled back my previous optimization change.

2003-06-05 14:37  dimitr

	* firebird2/src/dsql/parse.y (1.71):

	Let's be GNU Bison 1.75 friendly.

2003-06-05 13:08  dimitr

	* firebird2/src/dsql/parse.cpp (1.66):

	Committed up-to-date parse.cpp.

2003-06-05 12:12  aafemt

	* firebird2/src/: include/fb_types.h (1.25), jrd/gdsold.h (1.23),
	jrd/ibase.h (1.39), jrd/scroll_cursors.h (1.4):

	Backward compatibility of public interface

2003-06-05 10:38  dimitr

	* firebird2/src/jrd/jrd.cpp (1.75):

	Fixed minor memory leak in CREATE/ATTACH DATABASE.

2003-06-04 15:04  dimitr

	* firebird2/builds/win32/msvc6/engine.dsp (1.28):

	Fixed another issue with invalid VC6 optimization.

2003-06-04 10:29  paul_reeves

	* firebird2/builds/win32/prepare.bat (1.11):

	Add a warning about changed behaviour of prepare.bat.

2003-06-04 10:22  paul_reeves

	* firebird2/builds/win32/prepare.bat (1.10):

	Automate the Win32 build process a little bit more.

2003-06-03 12:26  skidder

	* firebird2/src/burp/restore.epp (1.30):

	Correct workaround of GCC 3.2 bug. Weirdness of our code fixed.

2003-06-03 12:14  aafemt

	* firebird2/src/burp/restore.epp (1.29):

	Workaround for GCC 3.2 bug

2003-06-02 18:11  skidder

	* firebird2/src/dsql/parse.y (1.70):

	Fix server crash when SKIP syntax with braces used (SF 747567).
	Really strange, but problem does not affect Linux version. This is
	why it escaped my testing

2003-06-02 15:55  alexpeshkoff

	* firebird2/src/include/fb_string.h (1.6):

	Fixed bug with case-sensitive filesystem

2003-06-01 21:17  skidder

	* firebird2/doc/WhatsNew (1.34):

	fix up WhatsNew

2003-06-01 21:14  skidder

	* firebird2/doc/WhatsNew (1.33):

	fix up WhatsNew

2003-06-01 20:42  dimitr

	* firebird2/doc/WhatsNew (1.32):

	Added RC3 notes.

2003-06-01 19:02  fsg

	* firebird2/src/gpre/pas.cpp (1.10):

	Some cosmetic changes

2003-06-01 18:22  skidder

	* firebird2/src/jrd/: cmp.cpp (1.50), dfw.epp (1.44), exe.cpp
	(1.64), jrd.cpp (1.74), jrd_proto.h (1.8), met.epp (1.59),
	met_proto.h (1.18), tra.cpp (1.37):

	Fix metadata cache problem that prevented restore of some databases

2003-06-01 17:51  skidder

	* firebird2/src/install/misc/CSchangeRunUser.sh (1.6):

	Install aliases.conf on Linux

2003-06-01 17:49  skidder

	* firebird2/src/lock/lock.cpp (1.54):

	Fix problem that I introduced on non-Windows CS platforms when was
	fixing Windows CS bug

2003-06-01 17:47  skidder

	* firebird2/src/install/arch-specific/linux/classic/:
	makeInstallImage.sh.in (1.13), postinstall.sh.in (1.10):

	Install aliases.conf on Linux

2003-06-01 12:00  dimitr

	* firebird2/src/jrd/gds.cpp (1.80):

	INT is _not_ OK. Today (01-Jun-2003) the overflow occured.

2003-06-01 10:09  dimitr

	* firebird2/src/include/fb_string.h (1.5):

	Fixed PathName compile issues.

2003-05-30 14:29  dimitr

	* firebird2/src/dsql/parse.cpp (1.65):

	Updated parse.cpp.

2003-05-30 14:17  alexpeshkoff

	* firebird2/src/: common/config/config_file.cpp (1.10),
	common/config/config_file.h (1.4), common/config/dir_list.cpp
	(1.12), common/config/dir_list.h (1.9), include/fb_string.h (1.4),
	jrd/ext.cpp (1.24), jrd/flu.cpp (1.33), jrd/isc_file.cpp (1.52):

	Added support for case-sensitivity in path's comaparison according
	to OS requirements.  Use it in config_file & dir_list Now in win32
	one may write: DatabaseAccess=ReStrIcT c:\HiSpAtH

2003-05-30 13:48  dimitr

	* firebird2/src/jrd/fun.epp (1.20):

	Bugfix for wrong UDF arguments of types DATE/TIME (dialect 3).
	Thanks to Oleg LOA.

2003-05-29 15:40  skidder

	* firebird2/src/install/arch-specific/linux/Makefile.in (1.9):

	Use rpmbuild to build packages

2003-05-29 13:59  dimitr

	* firebird2/src/jrd/idx.cpp (1.16):

	Bugfix for RI failure in foreign keys.

2003-05-29 12:14  skidder

	* firebird2/src/install/:
	arch-specific/linux/classic/postinstall.sh.in (1.9),
	misc/CSchangeRunUser.sh (1.5):

	Fix permissions problem for firebird.conf (SF 745090)

2003-05-28 05:33  paul_reeves

	* firebird2/builds/win32/prepare.bat (1.9):

	Fix typo

2003-05-27 17:44  dimitr

	* firebird2/src/jrd/: exe.cpp (1.63), ExecuteStatement.cpp (1.13):

	We should never treat numeric NULL as zero. Always check for
	req_null flag.

2003-05-27 16:59  dimitr

	* firebird2/src/jrd/idx.cpp (1.15):

	Another fix for index corruption. Shouldn't affect anything else
	this time.

2003-05-26 17:46  dimitr

	* firebird2/src/jrd/btr.cpp (1.31):

	Small cleanup.

2003-05-26 17:45  dimitr

	* firebird2/src/jrd/exe.cpp (1.62):

	Fixed bug with incorrect handling of numeric NULLs as exception
	messages.

2003-05-26 17:44  dimitr

	* firebird2/src/lock/lock.cpp (1.53):

	Fixed win32 build.

2003-05-26 10:18  dimitr

	* firebird2/src/jrd/vio.cpp (1.48):

	Rolled back previous bugfix due to found side-effects. Still
	looking for a correct solution.

2003-05-25 21:24  skidder

	* firebird2/src/jrd/isc_sync.cpp (1.54):

	Improve diagnostics

2003-05-25 20:59  skidder

	* firebird2/src/: jrd/isc_sync.cpp (1.53), lock/lock.cpp (1.52):

	Allow easy adjustment of LockSemCount in Posix builds. Do not fail
	if value is adjusted in configuration file, but cannot be applied
	because of running engine processes

2003-05-25 12:44  fsg

	* firebird2/: configure.in (1.135),
	builds/posix/Makefile.in.boot.gpre (1.14),
	src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.12):

	Reenabled ada, fortran, cobol and pascal for gpre Install *udf.sql
	into the UDF-directory for linux builds

2003-05-25 02:24  skidder

	* firebird2/src/jrd/os/posix/config_root.cpp (1.6):

	Add comment

2003-05-25 02:12  skidder

	* firebird2/src/jrd/os/posix/config_root.cpp (1.5):

	Allow Kylix and other tools work with local Linux CS version
	installed

2003-05-25 02:09  skidder

	* firebird2/src/: jrd/common.h (1.73), include/fb_types.h (1.24):

	Move FB_ALIGN out of platform-dependent section as some parts of
	code depend on its implementation unconditionally

2003-05-25 02:07  skidder

	* firebird2/builds/posix/: make.rules (1.18), prefix.mingw (1.18):

	Allow C programs use our shared libraries on Linux and other POSIX
	platforms

2003-05-25 02:04  skidder

	* firebird2/: builds/posix/Makefile.in.extlib (1.10),
	builds/posix/make.defaults (1.23),
	src/install/arch-specific/linux/classic/makeInstallImage.sh.in
	(1.11):

	Fix UDF linkage problems on linux

2003-05-24 19:27  skidder

	* firebird2/src/dsql/parse.sed (1.9):

	Oops. Forgot to commit sed-script for parse.y

2003-05-24 17:18  skidder

	* firebird2/src/dsql/parse.y (1.69):

	Add comment

2003-05-24 15:44  fsg

	* firebird2/src/gpre/pas.cpp (1.9):

	Some fixes to allow to compile gpre with --with-gpre-pascal again

2003-05-24 09:46  dimitr

	* firebird2/src/jrd/svc.cpp (1.65):

	Fixed synchronization issues in the service manager.

2003-05-23 18:55  skidder

	* firebird2/src/dsql/parse.y (1.68):

	Make FIRST/SKIP keywords non-reserved

2003-05-22 18:59  alexpeshkoff

	* firebird2/src/jrd/exe.cpp (1.61):

	Use transaction pool for storing rpb chains.  Bug in commit, which
	I tried to fix using permanent pool here, was caused by another
	reason and already fixed.

2003-05-22 14:42  paul_reeves

	* firebird2/: builds/win32/prepare.bat (1.8),
	src/install/arch-specific/win32/BuildExecutableInstall.bat (1.5),
	src/install/arch-specific/win32/FirebirdInstall_15.iss (1.4),
	src/install/arch-specific/win32/Readme.txt (1.2),
	src/install/arch-specific/win32/installation_readme.txt (1.2):

	Update Win32 install script and associated files

2003-05-22 13:13  alexpeshkoff

	* firebird2/src/jrd/: ibase.h (1.38), y_handle.h (1.4), y_ref.h
	(1.2):

	Some cosmetic cleanup to follow __ standard. Comments added.

2003-05-22 08:39  alexpeshkoff

	* firebird2/src/common/config/config_file.cpp (1.9):

	Fixed problem with fbclient on 9x

2003-05-20 17:39  dimitr

	* firebird2/src/include/gen/autoconfig_msvc.h (1.85):

	Fixed win32 build. VC6 doesn't have mkstemp().

2003-05-19 08:57  alexpeshkoff

	* firebird2/src/jrd/met.epp (1.58):

	Make engine compile again with MSVC

2003-05-17 00:15  arnobrinkman

	* firebird2/src/jrd/opt.cpp (1.69):

	bugfix FB1.5: Optimizer crashed when all indices of a table had the
	selectivity of 1

2003-05-16 22:34  skidder

	* firebird2/src/: include/fb_types.h (1.23), jrd/cch.cpp (1.35),
	jrd/cch_proto.h (1.5), jrd/idx.cpp (1.14), jrd/lck.cpp (1.18),
	jrd/lck.h (1.8), jrd/met.epp (1.57), jrd/sdw.cpp (1.14),
	jrd/sdw_proto.h (1.2), jrd/unix.cpp (1.25), jrd/winnt.cpp (1.22),
	lock/lock.cpp (1.51), lock/lock.h (1.18):

	Fix up lock manager. Clean AST invocation. Fix type of lrq_flags to
	match its value. Backout my logic for fast deadlock detection as it
	breaks engine in several places

2003-05-15 13:16  skidder

	* firebird2/src/jrd/utl.cpp (1.34):

	Make engine compile again

2003-05-14 17:12  skidder

	* firebird2/src/jrd/ibase.h (1.37):

	Compatibility change

2003-05-14 14:32  eku

	* firebird2/src/jrd/: gds.cpp (1.79), sort.cpp (1.37):

	Improved error handling as suggested by skidder.

2003-05-14 10:24  alexpeshkoff

	* firebird2/src/jrd/exe.cpp (1.60):

	Fixed bug with wrong req_attachment after exception in procedure

2003-05-14 10:15  dimitr

	* firebird2/src/dsql/: ddl.cpp (1.48), pass1.cpp (1.67):

	Enabled BREAK/LEAVE and EXITcommands in non-system triggers.

2003-05-14 10:09  dimitr

	* firebird2/src/jrd/thd.cpp (1.19):

	THD_yield() should just release the CPU, it shouldn't wait. Hence
	we get significant speed-up for the GC/sweep.

2003-05-14 07:39  eku

	* firebird2/: configure.in (1.134),
	src/include/gen/autoconfig_msvc.h (1.84), src/jrd/gds.cpp (1.78),
	src/jrd/misc.h (1.3), src/jrd/sort.cpp (1.36), src/jrd/utl.cpp
	(1.33):

	Check for the function mkstemp(). If it's not available, fall back
	to mktemp().

2003-05-13 14:04  alexpeshkoff

	* firebird2/src/jrd/: ExecuteStatement.cpp (1.12), exe.cpp (1.59):

	Fixed bug with NULL argument

2003-05-13 12:13  aafemt

	* firebird2/src/remote/srvr_w32.cpp (1.24):

	Win32 SS doesn't ignore protocol command-line switches anymore. CS
	doesn't support IPC

2003-05-11 21:38  skidder

	* firebird2/src/jrd/rse.cpp (1.27):

	Fix server crashes when explicit pessimistic locks are used from
	PSQL

2003-05-11 21:32  skidder

	* firebird2/src/dsql/pass1.cpp (1.66):

	Use explicit pessimistic locks only if WITH LOCK clause is
	specified

2003-05-11 19:12  skidder

	* firebird2/src/jrd/gds.cpp (1.77):

	Fix little issue in temp stuff noted by Claudio Valderrama

2003-05-11 15:23  dimitr

	* firebird2/builds/win32/defs/: fbclient.def (1.2),
	fbclient_debug.def (1.2):

	Restored compatibility ordinals. Unfortunately, too many software
	depend on them.

2003-05-11 13:48  dimitr

	* firebird2/src/jrd/gds.cpp (1.76):

	Fixed temp file management in utilities.

2003-05-10 17:37  hippoman

	*
	firebird2/src/install/arch-specific/win32/BuildExecutableInstall.bat
	(1.4):

	* now it's nod needed a FB 1.0 install to make the install package,
	everything is took from the source tree, or built..

2003-05-10 17:13  dimitr

	* firebird2/doc/WhatsNew (1.31):

	Update.

2003-05-10 15:05  dimitr

	* firebird2/src/jrd/vio.cpp (1.47):

	Fixed GC code to avoid [quite frequent] index corruptions.

2003-05-10 15:01  dimitr

	* firebird2/src/jrd/gds.cpp (1.75):

	Restore compatibility with VC6.

2003-05-10 03:10  hippoman

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.3), FirebirdInstall_15.iss (1.3):

	* install gds32 and fbclient into system32 * add cs and ss
	executables to both installs * Different Names for CS and SS
	install packages.  * echo off

2003-05-10 02:06  hippoman

	* firebird2/src/install/arch-specific/win32/:
	BuildExecutableInstall.bat (1.2), FirebirdInstall_15.iss (1.2):

	* Support for msvc7 runtime and build

2003-05-09 18:18  skidder

	* firebird2/src/jrd/: gds.cpp (1.74), gds_proto.h (1.16), sort.cpp
	(1.35):

	1. Cleanup 2. Rework temporary files management. In particular: -
	fix security hole on all POSIX platforms except FREEBSD/OPENBSD
	related to mktemp usage (possible DoS attacks or privileges
	elevation) via switching to mkstemp - fix problem with only 27
	unique filenames generated on Win32 (which could cause
	unpredictable behavior in SS builds) - pass appropriate flags to
	CreateFile on Win32 to indicate that files are temporary (this may
	improve performance a little)

2003-05-09 18:02  skidder

	* firebird2/src/: jrd/all.cpp (1.15), jrd/jrd.cpp (1.73),
	dsql/alld.cpp (1.10), remote/inet_server.cpp (1.25),
	remote/window.cpp (1.16):

	Cleanup

2003-05-09 17:10  hippoman

	* firebird2/builds/win32/msvc7/: engine.vcproj (1.20),
	engine_classic.vcproj (1.19), Firebird2.sln (1.9), common.vcproj
	(1.9), common_classic.vcproj (1.7), engine_embed.vcproj (1.7),
	fbclient.vcproj (1.15), fbembed.vcproj (1.12):

	* Synced the msvc7 build files

2003-05-09 16:45  skidder

	* firebird2/src/intl/lc_ascii.c (1.15):

	Strange, but MSVC fails to compile C code that uses "inline"
	keyword directly. Replace it with "__inline" in my previous commit

2003-05-08 21:47  skidder

	* firebird2/src/intl/lc_ascii.c (1.14):

	Optimize it a little

2003-05-08 19:40  skidder

	* firebird2/doc/WhatsNew (1.30):

	better description for some of RC2 changes

2003-05-08 12:31  alexpeshkoff

	* firebird2/src/common/config/config_file.cpp (1.8):

	For BootBuild don't give any diagnostic for missing firebird.conf.
	For wrong firebird.conf - standard diagnostic.

2003-05-08 12:30  aafemt

	* firebird2/src/remote/srvr_w32.cpp (1.23):

	Missed parameter -l -- accept win32 IPC local connections

2003-05-08 09:15  dimitr

	* firebird2/doc/WhatsNew (1.29):

	Added RC2 changes.

2003-05-08 08:21  dimitr

	* firebird2/src/intl/lc_ascii.c (1.13):

	Handle special win1251 characters properly.

2003-05-07 21:14  skidder

	* firebird2/src/remote/xdr.cpp (1.9):

	Mark probable problem for non-Intel ports

2003-05-07 15:48  skidder

	* firebird2/src/lock/lock.cpp (1.50):

	Fix invalid assertion failures in DEV_BUILD

2003-05-07 15:46  skidder

	* firebird2/src/include/fb_types.h (1.22):

	Fix a reason of several observed xdr-related crashes. Bug was
	introduced during initial C++ porting effort

2003-05-07 13:13  skidder

	* firebird2/src/common/classes/alloc.cpp (1.29):

	No more messages about forbidden usage of global operator new in
	DEV_BUILD. C++ library from RH8.0 does that routinely and this
	causes crashes because stderr messages go to TCP socket from
	fb_inet_server

2003-05-07 09:51  dimitr

	* firebird2/src/common/config/config.cpp (1.37):

	Since CS doesn't lock processes while waiting for incoming aux
	connection, it's potentially dangerous to use one definite port for
	event processing.

2003-05-07 09:25  dimitr

	* firebird2/src/common/config/config.cpp (1.36):

	Corrected default value, as suggested by Nickolay.

2003-05-07 09:22  dimitr

	* firebird2/src/jrd/svc.cpp (1.64):

	Added comment.

2003-05-07 09:08  dimitr

	* firebird2/src/remote/interface.cpp (1.46):

	Const correctness suggested by Claudio.

2003-05-07 09:06  dimitr

	* firebird2/src/jrd/: jrd_pwd.h (1.8), pwd.cpp (1.16):

	It's useless to care about handle leaks when both the engine and
	thread scheduler are shutdown.	Please also note, that THREAD_*
	macros shouldn't be used in atexit()-handlers or static
	destructors.

2003-05-07 03:57  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.65):

	1) bugfix RC1: Aggregates from a different parent_context where not
	allowed in the HAVING clause.

	2) Enabled aggregate-functions from different parent_context (with
	lower scope_level) to be used inside another aggregate-function

	Example: SELECT   MAX((SELECT COUNT(*) FROM RDB$RELATIONS)) FROM
	RDB$RELATIONS

2003-05-06 17:04  dimitr

	* firebird2/src/: common/config/config.cpp (1.35),
	install/misc/firebird.conf (1.26):

	Changed default value.

2003-05-06 14:05  dimitr

	* firebird2/src/jrd/dfw.epp (1.43):

	Hide metadata cache diagnostic warnings in the release builds.

2003-05-05 16:25  dimitr

	* firebird2/src/jrd/btr.cpp (1.30):

	no message

2003-05-05 14:26  alexpeshkoff

	* firebird2/src/common/config/: dir_list.cpp (1.11), dir_list.h
	(1.8):

	Enable spaces & tabs in directory list

2003-05-05 14:11  dimitr

	* firebird2/src/remote/window.cpp (1.15):

	Disabled XNET in the server window.

2003-05-05 14:09  dimitr

	* firebird2/src/remote/srvr_w32.cpp (1.22):

	If a port cannot be reconnected, exit child process instead of
	crashing with SEGV.

2003-05-05 13:55  skidder

	* firebird2/src/common/classes/array.h (1.3):

	Fix compiler warnings

2003-05-05 13:48  alexpeshkoff

	* firebird2/src/jrd/rpb_chain.cpp (1.2):

	Don't build rpb chains for external files

2003-05-05 13:47  alexpeshkoff

	* firebird2/src/jrd/exe.cpp (1.58):

	Moved pre-(modify,erase)triggers code to single inline function

2003-05-05 13:44  dimitr

	* firebird2/src/remote/server.cpp (1.33):

	Small fixes for WNET and XNET: 1. Wake up event thread on
	disconnect.  2. Shutdown broken port properly.

2003-05-05 13:14  dimitr

	* firebird2/src/remote/interface.cpp (1.45):

	Fixed possible client crashes on disconnect (when events are
	registered).

2003-05-05 12:46  alexpeshkoff

	* firebird2/src/jrd/tra.h (1.13):

	Comment added

2003-05-05 12:45  alexpeshkoff

	* firebird2/src/common/config/config_file.cpp (1.7):

	Preprocessor cleanup

2003-05-05 12:39  dimitr

	* firebird2/src/remote/cntl.cpp (1.11):

	Synchronized command-line arguments with srvr_w32.cpp.

2003-05-05 12:36  dimitr

	* firebird2/builds/win32/msvc6/fbembed.dsp (1.22):

	Updated project files

2003-05-05 12:32  dimitr

	* firebird2/doc/README.user.embedded (1.1):

	Added notes for the embedded server

2003-05-05 12:27  dimitr

	* firebird2/src/install/misc/firebird.conf (1.25):

	Updated documentation

2003-05-05 11:18  dimitr

	* firebird2/src/: jrd/isc_file.cpp (1.51), remote/interface.cpp
	(1.44):

	Removed XNET temporary stubs from ISC and REMOTE.  It will be
	available as native local protocol in v1.6.

2003-05-05 10:48  dimitr

	* firebird2/src/jrd/svc.cpp (1.63):

	Correction.

2003-05-05 10:40  dimitr

	* firebird2/src/jrd/svc.cpp (1.62):

	1. Disabled not working services in win32 CS (until v1.6) 2. Fixed
	SEGV in the service manager

2003-05-05 09:55  alexpeshkoff

	* firebird2/src/jrd/cmp.cpp (1.49):

	Comment added

2003-05-05 09:38  alexpeshkoff

	* firebird2/builds/posix/make.shared.variables (1.25):

	Dropped second entry for rpb_chain

2003-05-05 09:06  dimitr

	* firebird2/src/jrd/svc.cpp (1.61):

	Cleanup

2003-05-05 00:02  arnobrinkman

	* firebird2/src/dsql/pass1.cpp (1.64):

	fixed a typo and changed some comments

2003-05-04 17:39  dimitr

	* firebird2/src/jrd/: exe.cpp (1.57), vio.cpp (1.46), vio_proto.h
	(1.8):

	1. Cleanup 2. Fixed bug with wrong record statistics when operation
	fails after a VIO call (e.g. constraint violation or exception in
	post-triggers)

2003-05-04 17:32  dimitr

	* firebird2/src/jrd/idx_proto.h (1.5):

	Corrected VIO interface.

2003-05-02 20:41  dimitr

	* firebird2/src/jrd/: jrd_pwd.h (1.7), pwd.cpp (1.15):

	Fixed threading issues in the security database manager.

2003-05-02 19:17  dimitr

	* firebird2/src/remote/: protocol.h (1.11), server.cpp (1.32):

	Rolled back asymmetric protocol due to found bugs and lack of time
	to fix them in v1.5.

2003-05-02 18:04  alexpeshkoff

	* firebird2/src/burp/: burp.cpp (1.33), spit.cpp (1.11), spit.h
	(1.2), std_desc.h (1.1):

	Fixed bug with stdin/stdout use in win32 version of gbak

2003-05-02 17:20  alexpeshkoff

	* firebird2/src/dsql/pass1.cpp (1.63):

	Fixed server crash in EXECUTE STATEMENT combined with exceptions
	handling block

2003-05-02 17:13  alexpeshkoff

	* firebird2/src/jrd/cmp.cpp (1.48):

	Once I've seen att_requests == 0x00000014, so some debugging code
	added to catch it earlier in dev_builds

2003-05-01 15:28  dimitr

	* firebird2/: src/common/config/config_file.cpp (1.6),
	builds/win32/msvc6/fbclient.dsp (1.31):

	Bugfix

2003-05-01 14:46  dimitr

	* firebird2/src/jrd/dls.cpp (1.11):

	Cleanup

2003-05-01 14:19  dimitr

	* firebird2/src/: common/config/dir_list.cpp (1.10),
	common/config/dir_list.h (1.7), jrd/dls.cpp (1.10), jrd/dls_proto.h
	(1.5):

	Temporary directory management

2003-05-01 13:45  dimitr

	* firebird2/src/install/misc/firebird.conf (1.24):

	Temporary directory management

2003-05-01 13:35  dimitr

	* firebird2/src/common/config/: config.cpp (1.34), config.h (1.22):

	Temporary directory management

2003-04-29 20:42  skidder

	* firebird2/src/lock/lock.cpp (1.49):

	Fix broken lock table resizing code in CS builds.  This bug
	affected all versions of Firebird (and probably Interbase too).
	The only reason why CS builds worked was a fact that UNIX usually
	maps grown memory mapping to the same address as it were before.

2003-04-29 19:14  skidder

	* firebird2/src/intl/: lc_ascii.c (1.12), lc_ascii.h (1.2):

	Make UPPER() work correctly for WIN1251 charset

2003-04-29 17:08  alexpeshkoff

	* firebird2/src/remote/srvr_w32.cpp (1.21):

	Make SS create memory log in debug mode on shutdown

2003-04-29 16:23  alexpeshkoff

	* firebird2/builds/posix/make.shared.variables (1.24):

	added rpb_chain to posix build

2003-04-28 21:48  skidder

	* firebird2/src/install/arch-specific/linux/classic/:
	makeInstallImage.sh.in (1.10), postinstall.sh.in (1.8),
	preinstall.sh.in (1.4):

	Install firebird.conf to installation root on Linux

